commit 8e64d6efd8d778a5f83d8bff9cd273a86dcc182f
Author: Heiko Schocher <hs@denx.de>
Date:	Wed Mar 31 08:34:51 2010 +0200

    net, doc: How to setup MAC address correctly

    As this seems unclear, document how the flow of setting up
    the MAC address is correct.

    Signed-off-by: Heiko Schocher <hs@denx.de>

    Text changed slightly, adding input from Mike Frysinger.

    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit b78b48c6a0c34b2991e31fc4548aaf773d34f2b3
Author: Heiko Schocher <hs@denx.de>
Date:	Wed Mar 31 08:34:46 2010 +0200

    net, fec_mxc: only setup the device enetaddr with eeprom value

    Only fill the device enetaddr with the contents of the eeprom,
    do not program it in MAC address registers

    Signed-off-by: Heiko Schocher <hs@denx.de>
    Acked-by: Ben Warren <biggerbadderben@gmail.com>

commit d5a64237d58ded31c2eed455c7a346e1c85f5565
Author: Felix Radensky <felix@embedded-sol.com>
Date:	Tue Mar 30 15:02:13 2010 +0300

    doc: Fix ramdisk examples in doc/uImage.FIT/multi.its

    The ramdisk sections in doc/uImage.FIT/multi.its lack
    load address and entry point properties. Using examples
    from this file will result in unbootable image, u-boot
    will issue the following error messages:

    Can't get ramdisk subimage load address!
    Ramdisk image is corrupt or invalid

    This patch adds missing properties to ramdisk sections.

    Signed-off-by: Felix Radensky <felix@embedded-sol.com>

commit 2d2018f3db5ed834bc1ee208a2c6212fdf00bca1
Author: Heiko Schocher <heiko.schocher@invitel.hu>
Date:	Wed Mar 24 13:22:50 2010 +0100

    jffs2, suen3: Fix compiler warning

    $ ./MAKEALL suen3
    jffs2_1pass.c: In function 'get_fl_mem':
    jffs2_1pass.c:399: warning: unused variable 'id'
    jffs2_1pass.c: In function 'get_node_mem':
    jffs2_1pass.c:423: warning: unused variable 'id'

    Signed-off-by: Heiko Schocher <hs@denx.de>
    Tested-by: Tom <Tom.Rix@windriver.com>

commit 9ff32d8ccf0e23b5577c25610f001af8d761b4a2
Author: Timur Tabi <timur@freescale.com>
Date:	Mon Mar 29 12:51:07 2010 -0500

    mpc86xx: set the DDR BATs after calculating true DDR size

    After determining how much DDR is actually in the system, set DBAT0 and
    IBAT0 accordingly.	This ensures that the CPU won't attempt to access
    (via speculation) addresses outside of actual memory.

    On 86xx systems, DBAT0 and IBAT0 (the BATs for DDR) are initialized to 2GB
    and kept that way.	If the system has less than 2GB of memory (typical for
    an MPC8610 HPCD), the CPU may attempt to access this memory during
    speculation.  The zlib code is notorious for generating such memory reads,
    and indeed on the MPC8610, uncompressing the Linux kernel causes a machine
    check (without this patch).

    Currently we are limited to power of two sized DDR since we only use a
    single bat.  If a non-power of two size is used that is less than
    CONFIG_MAX_MEM_MAPPED u-boot will crash.

    Signed-off-by: Timur Tabi <timur@freescale.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 33f57bd553edf29dffef5a6c7d76e169c79a6049
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Fri Mar 26 15:14:43 2010 -0500

    85xx: Fix enabling of L1 cache parity on secondary cores

    Use the same code between primary and secondary cores to init the
    L1 cache.  We were not enabling cache parity on the secondary cores.

    Also, reworked the L1 cache init code to match the e500mc L2 init code
    that first invalidates the cache and locks.  Than enables the cache and
    makes sure its enabled before continuing.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 1a332da61df9c38b567359af114daeaaaefaead8
Author: Stefan Roese <sr@denx.de>
Date:	Mon Mar 29 15:30:46 2010 +0200

    ppc4xx: Fix problem with I2C bus >= 1 initialization

    This patch fixes a problem introduced with patch eb5eb2b0
    [ppc4xx: Cleanup PPC4xx I2C infrastructure]. We need to assign the I2C
    base address to the "i2c" pointer inside of the controller loop.
    Otherwise controller 0 is initialized multiple times instead of
    initializing each I2C controller sequentially.

    Tested on Katmai.

    Signed-off-by: Stefan Roese <sr@denx.de>
    Acked-by: Heiko Schocher <hs@denx.de>

commit 24de2f4be00f81c58270d0df47296bf3a3601cef
Author: Heiko Schocher <hs@denx.de>
Date:	Mon Mar 29 13:15:48 2010 +0200

    bootm, linux: fix booting Multi-File Image with "kernel+ramdisk+fdt"

    Booting a "Multi-File Image" including a linux kernel, ramdisk and
    fdt, generated with

    mkimage -A ppc \
	-O linux \
	-T multi \
	-C gzip \
	-a 00000000 \
	-e 00000000 \
	-n "kernel-2.6+initrd+dtb" \
	-d "vmlinux.bin.gz:ramdisk_image.gz:board.dtb" \
	multi.bin

    actually fails, because ramdisk start and end addresses
    didn;t get initialized. This patch fixes this issue.

    Tested on the KUP4K board.

    Signed-off-by: Heiko Schocher <hs@denx.de>

commit 2883cc2d48e99fd1873ef8af03fee7966611b735
Author: Wolfgang Denk <wd@denx.de>
Date:	Sun Mar 28 00:25:14 2010 +0100

    Prepare 2010.03-rc3

    Update CHANGELOG

    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit 060f28532b09dd3d2c78423bdd809ac768a27629
Author: Wolfgang Denk <wd@denx.de>
Date:	Thu Mar 25 14:07:23 2010 +0100

    cmd_usb.c: print debug messages only when DEBUG is defined

    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit a574cff121b1479c8e962b7a2a29310020387260
Author: Wolfgang Denk <wd@denx.de>
Date:	Wed Mar 24 12:19:19 2010 +0100

    ml300: remove support for broken, orphaned board

    The ml300 board has a number of issues, but nobody cares about this
    long-orphaned board any more.  Remove it.

    Signed-off-by: Wolfgang Denk <wd@denx.de>
    Acked-by: Michal Simek <monstr@monstr.eu>

commit 04387d24a17b1ee13024dd4779da4b84d47c65cc
Author: Wolfgang Denk <wd@denx.de>
Date:	Sat Mar 27 23:37:46 2010 +0100

    mkimage: fix Segmentation Fault when run without "-n name" option

    The restructuring of the mkimage command in commit 89a4d6b1 ("tools:
    mkimage: split code into core, default and FIT image specific")
    introduced a bug that caused mkimage to segfault when run without
    "-n name" option.  Initialize the imagename entry to prevent that.

    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit c40c94a3d20a8616264c2dfcda85279185d69aeb
Author: Renato Andreola <renato.andreola@imagos.it>
Date:	Wed Mar 24 23:00:47 2010 +0800

    cfi_flash: precision and underflow problem in tout calculation

    With old configuration it could happen tout=0 if CONFIG_SYS_HZ<1000.

    Signed-off-by: Renato Andreola <renato.andreola@imagos.it>
    Signed-off-by: Alessandro Rubini <rubini@gnudd.com>
    Signed-off-by: Thomas Chou <thomas@wytron.com.tw>
    Signed-off-by: Stefan Roese <sr@denx.de>

commit c550afada5fcad426aa6a219a329feb9eedae8b2
Author: Rupjyoti Sarmah <rsarmah@appliedmicro.com>
Date:	Wed Mar 24 16:52:02 2010 +0530

    ppc4xx fix unstable 440EPx bootstrap options

    440EPx fixed bootstrap options A, B, D, and E sets PLL FWDVA to a value = 1.
    This results in the PLLOUTB being greater than the CPU clock frequency
    resulting unstable 440EPx operation resulting in various software hang
    conditions.

    This patch reprograms the FWDVA satisfying the requirement of setting FWDVB
    to a value greater than 1 while using one of the four deafult bootstrap options.

    Signed-off-by: Rupjyoti Sarmah <rsarmah@amcc.com>
    Acked-by : Victor Gallardo <vgallardo@appliedmicro.com>
    Signed-off-by: Stefan Roese <sr@denx.de>

commit fb508b8b39a52a4063d098f5a9b4355bc5b30c14
Author: Matthias Fuchs <matthias.fuchs@esd.eu>
Date:	Wed Mar 24 10:16:20 2010 +0100

    at91: Get rid of some warnings when building for otc570

    The soft-i2c code for AT91 defines I2C_SOFT_DECLARATIONS
    for direct access by dereferencing a pio pointer.
    The OTC570 platform uses the AT91 gpio API so it does not
    need the pio variable.

    Signed-off-by: Matthias Fuchs <matthias.fuchs@esd.eu>

commit acb13868936a28502782a16e1edaec378e494a29
Author: Alessandro Rubini <rubini@unipv.it>
Date:	Sat Mar 13 17:44:08 2010 +0100

    lcd: make 16bpp work

    Support for 16bpp was supposed to be in the code but was not working.
    This makes it work and has been tested in the nhk8815 board.

    Signed-off-by: Alessandro Rubini <rubini@unipv.it>
    Acked-by: Andrea Gallo <andrea.gallo@stericsson.com>
    Signed-off-by: Anatolij Gustschin <agust@denx.de>

commit 152dda3d94e97ede7af3f9560a59a659384d4585
Author: Wolfgang Denk <wd@denx.de>
Date:	Mon Mar 22 23:25:00 2010 +0100

    Prepare v2010.03-rc2

    Update CHANGELOG

    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit d650da2dd4af99967aabc43cccbd8f160eb4cea6
Author: Matthias Kaehlcke <matthias@kaehlcke.net>
Date:	Tue Mar 9 22:13:33 2010 +0100

    ep93xx timer: Fix resolution of get_ticks()

    ep93xx timer: Make get_ticks() return a value in CONFIG_SYS_HZ resolution,
    as announced by get_tbclk()

    Signed-off-by: Matthias Kaehlcke <matthias@kaehlcke.net>

commit 7e67fb5bf27a07d3b8d6b97c76f7195f7d68af58
Author: Matthias Kaehlcke <matthias@kaehlcke.net>
Date:	Tue Mar 9 22:13:20 2010 +0100

    ep93xx timer: Fix possible overflow in usecs_to_ticks()

    ep93xx timer: Use 64-bit values in usecs_to_ticks() in order to avoid
    overflows in intermediate values

    Signed-off-by: Matthias Kaehlcke <matthias@kaehlcke.net>

commit daa989b47297c9f73426783599c286ef3a1f3f49
Author: Asen Dimov <dimov@ronetix.at>
Date:	Thu Mar 18 13:41:47 2010 +0200

    correct a syntax typo in at91_matrix.h

    Signed-off-by: Asen Dimov <dimov@ronetix.at>

commit 322ff395c9aec7b87a2211fe4333fdf44377c564
Author: Jeff Angielski <jeff@theptrgroup.com>
Date:	Wed Mar 17 15:09:26 2010 -0400

    env: fix endian ordering in crc table

    The crc table was being built as little endian for big endian
    targets.  This would cause fw_printenv to always fail with
    "Warning: Bad CRC, using default environment" messages.

    Signed-off-by: Jeff Angielski <jeff@theptrgroup.com>
    Acked-by: Joakim Tjernlund <Joakim.Tjernlund@transmode.se>

commit 51c2ac9bb574c1420b993615268392b0c1f829f6
Author: Anatolij Gustschin <agust@denx.de>
Date:	Tue Mar 16 17:10:08 2010 +0100

    mpc5121: cpu/mpc512x/diu.c: fix warnings

    Fix warnings while compiling with CONFIG_VIDEO enabled:

    diu.c: In function 'video_hw_init':
    diu.c:158: warning: 'return' with no value, in function returning non-void
    diu.c:162: warning: format '%ld' expects type 'long int', but argument 6 has type 'int'
    diu.c:162: warning: format '%ld' expects type 'long int', but argument 7 has type 'int'

    Signed-off-by: Anatolij Gustschin <agust@denx.de>

commit a74908161a1b37d780d3a826a86807bbc50a3857
Author: Anatolij Gustschin <agust@denx.de>
Date:	Tue Mar 16 15:29:33 2010 +0100

    console.c: fix problem with splashimage

    If a board uses cfb_console driver and splash image
    and also defines CONFIG_SILENT_CONSOLE, the user is
    locked out even if "silent" is not set. It is not
    possible to get any output, neither on vga console
    device nor on serial console after redirecting the
    output to the serial console, since the GD_FLG_SILENT
    flag remains set.

    Fix the problem by redirecting the output from frame
    buffer to serial console if splashimage is used.
    Only suppress the output if "silent" environment
    variable was set and don't set the GD_FLG_SILENT
    flag arbitrarily.

    Signed-off-by: Anatolij Gustschin <agust@denx.de>

commit 5647f78d04174b0b99857d2a7cbf25141bd14a45
Author: Thomas Weber <swirl@gmx.li>
Date:	Sat Mar 13 23:14:45 2010 +0100

    mod change 755 => 644 for multiple files

    I executed 'find . -name "*.[chS]" -perm 755 -exec chmod 644 {} \;'

    Signed-off-by: Thomas Weber <swirl@gmx.li>
    Add some more: neither Makefile nor config.mk need execute permissions.
    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit 99c006a320ceb9ea19135ac1512e4a81e8bebb72
Author: Stefano Babic <sbabic@denx.de>
Date:	Sat Mar 13 21:09:00 2010 +0100

    mxcmmc: fix warnings due to access 32 bit registers with 16 bit accessors

    Some registers of the mxcmmc driver were accessed using
    16 bit accessor functions, because only the LSB is
    significant. This is not needed and generates
    warnings.

    Signed-off-by: Stefano Babic <sbabic@denx.de>

commit c96f86eefc215b67dd222694ce2b6f60e6a42b0b
Author: Wolfgang Denk <wd@denx.de>
Date:	Sun Jan 17 23:55:53 2010 +0100

    TFTP: allow for adjustable retransmission timout

    So far, TFTP negotiated a fixed retransmission timeout of 5 seconds.
    In some cases (busy networks, slow TFTP servers) this caused very
    slow transfers. A new environment variable "tftptimeout" allows to
    set this timeout. Lowering this value may make downloads succeed
    faster in networks with high packet loss rates or with unreliable
    TFTP servers.

    Signed-off-by: Wolfgang Denk <wd@denx.de>
    Cc: Ben Warren <biggerbadderben@gmail.com>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit 252b404d954f91499a4477a3e1064eb237ce5a1c
Author: Wolfgang Denk <wd@denx.de>
Date:	Tue Mar 9 14:27:25 2010 +0100

    Fix PCI_BASE_ADDRESS_5 handling in pci_hose_config_device()

    Signed-off-by: FUJITA Kazutoshi <fujita@soum.co.jp>
    Signed-off-by: <wd@denx.de>
    Acked-by: Stefan Roese <sr@denx.de>

commit 9d90a93d367272ee65550c0c9f82615cec967c70
Author: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Date:	Thu Feb 25 14:03:08 2010 +0100

    cmd_mmc remove \n

    This patch removes the \n after the help message for mmcinfo.
    This resulted in an empty line being displayed after the mmcinfo line
    when the help command was given.

    Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>

commit 67c7189dd35cb368ef665126fd17816581bd2e92
Author: Renato Andreola <renato.andreola@imagos.it>
Date:	Tue Mar 16 16:01:29 2010 -0400

    nios2: Added support to YANU UART

    Signed-off-by: Scott McNutt <smcnutt@psyent.com>

commit 1e67fb32fbdae7949bb423c9e20b3f77c0a61663
Author: Thomas Chou <thomas@wytron.com.tw>
Date:	Tue Mar 16 12:12:48 2010 -0400

    nios2: use generic unaligned.h

    Signed-off-by: Scott McNutt <smcnutt@psyent.com>

commit 05022629a2ca6c385dc390d32c20aa27cf5d915a
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Thu Jan 21 05:01:15 2010 -0500

    asm-blackfin/unaligned.h: add for zlib code

    The new zlib code wants asm/unaligned.h, so have the Blackfin version pull
    in the asm-generic/unaligned.h.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 3adc1fda38a6aacd4aaf3c2c9cc62a1e69e6de17
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Thu Jan 21 05:01:14 2010 -0500

    asm-generic/unaligned.h: dynamic default unaligned accesses

    This is based on the asm-arm/unaligned.h, but made generic so all arches
    that cannot do unaligned accesses can utilize it.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit be129aa71882421ad0b50cd3762915d10ace27ad
Author: Matthias Weisser <matthias.weisser@graf-syteco.de>
Date:	Tue Jan 12 12:06:31 2010 +0100

    video: Fix console display when splashscreen is used

    If a splashscreen is used the console scrolling used the
    scroll size as needed when a logo was displayed. This
    patch sets the scroll size to the whole screen if
    a splashscreen is shown.

    Signed-off-by: Matthias Weisser <matthias.weisser@graf-syteco.de>

commit 93910edb595a88d394da3eb2cf5148096155dfe9
Author: Wolfgang Denk <wd@denx.de>
Date:	Fri Mar 12 23:06:04 2010 +0100

    Prepare v2010.03-rc1

    Coding style cleanup, update CHANGELOG.

    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit 4e72fb15c9073129e05820cc9c54f54bc4985835
Author: Wolfgang Denk <wd@denx.de>
Date:	Fri Mar 12 22:11:00 2010 +0100

    standalone eepro100_eeprom: fix build error

    Building examples/standalone/eepro100_eeprom triggers this error:

    In file included from include/common.h:629,
		     from eepro100_eeprom.c:24:
    include/net.h: In function 'NetReadIP':
    include/net.h:430: warning: implicit declaration of function 'memcpy'
    eepro100_eeprom.c: At top level:
    eepro100_eeprom.c:81: error: conflicting types for 'memcpy'
    include/net.h:430: error: previous implicit declaration of 'memcpy' was here

    Fix this.

    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit 1bb1809558e11eb089fba32caed9fc99d21477c1
Author: Wolfgang Denk <wd@denx.de>
Date:	Fri Mar 12 22:10:31 2010 +0100

    Update .gitignore's: add some generated files

    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit 9c9cbe78dcb0afad081670cb1bdc82d227095cae
Author: Detlev Zundel <dzu@denx.de>
Date:	Mon Mar 8 14:02:57 2010 +0100

    mpc82xx: Remove SL8245 board and the now orpahned sk98lin network driver.

    This code has compile problems and the company does not even exist any
    more.  So we take the liberty to drop support for it.

    Signed-off-by: Detlev Zundel <dzu@denx.de>
    CC: Wolfgang Denk <wd@denx.de>
    CC: Ben Warren <biggerbadderben@gmail.com>

commit ca02f6f8dc4966b2a019b15e01b5070189327df2
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Wed Mar 10 17:16:48 2010 -0600

    85xx: Drop FIT support to allow u-boot image to fit in 512k

    The 36-bit build exceeds the 512k size we have.  Removing FIT type image
    support allows us to fit and we dont really use it.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 5f8419597f427aaf9bb501460735d703d10db5ee
Author: Michael Zaidman <michael.zaidman@gmail.com>
Date:	Sun Feb 28 16:28:25 2010 +0200

    Cosmetic change - indentation correction.

    Signed-off-by: Michael Zaidman <michael.zaidman@gmail.com>

commit a693447ceadff49155e260cbbaef4e09c926cab5
Author: Anatolij Gustschin <agust@denx.de>
Date:	Wed Feb 24 00:29:44 2010 +0100

    cmd_mtdparts.c: prevent printbuffer overflows

    The length of configured MTDPARTS_DEFAULT string
    could be greater than console printbuffer size.
    Replace printf() by puts() to avoid potential buffer
    overflows.

    Signed-off-by: Anatolij Gustschin <agust@denx.de>

commit 3920bbedcf74a073bc72950a51de75af6faa2f06
Author: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Date:	Fri Feb 19 11:59:04 2010 +0100

    Fix MPC8536DS documentation

    This patch corrects small mistake in the register list in
    doc/README.mpc8536ds. These registers are 32 bits and this one starts
    at ....c not ....e

    When using the ...c address I can boot from sd, when using the ...e
    address I cannot.

    Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
    Acked-by: Hu Mingkai <B21284@freescale.com>

commit ab68f4dd193053c0ba395af15b154caca35e99f3
Author: Heiko Schocher <hs@denx.de>
Date:	Wed Feb 10 08:03:21 2010 +0100

    doc: add README for CONFIG_HWCONFIG option

    Signed-off-by: Heiko Schocher <hs@denx.de>

commit 7026ead0d3ece5e43d6b39f62fb5c4306f691224
Author: Heiko Schocher <hs@denx.de>
Date:	Tue Feb 9 15:50:27 2010 +0100

    TQM8xx: enable device tree support on all TQM8xx based boards.

    Also enable support for CONFIG_HWCONFIG because we use this for
    configuring if this hardware has a FEC or not.

    syntax:

    hwconfig=fec:on   if hardware has an fec
    hwconfig=fec:off  if hardware has no fec

    Signed-off-by: Heiko Schocher <hs@denx.de>
    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit 6ed3b9d44c359bc829e9acd0a55fcd1c3e82b6ae
Author: Heiko Schocher <hs@denx.de>
Date:	Tue Feb 9 15:50:21 2010 +0100

    TQM8xx: add device tree support for TQM8xx based boards.

    Also use hwconfig to configure whether the board has a FEC or not.
    We then can adjust the DTS to tell Linux if there is a FEC present.

    syntax:

    hwconfig=fec:on   if hardware has a  FEC
    hwconfig=fec:off  if hardware has no FEC

    Signed-off-by: Heiko Schocher <hs@denx.de>
    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit 143cd21fe22e69bf0cdaefd57be98f07ed8f04fa
Author: Wolfgang Denk <wd@denx.de>
Date:	Thu Mar 11 23:56:03 2010 +0100

    Move CONFIG_UPDATE_TFTP code after CONFIG_PREBOOT

    The auto-update feature (CONFIG_UPDATE_TFTP) requires that the env
    variable serverip be set for the TFTP access. If DHCP is to be used
    to get the serverip env variable, this doesn't work as DHCP happens
    after the auto-update attempt has run. A solution is to run DHCP in
    PREBOOT, but even this is too late.

    To solve this, we move update_tftp() below the PREBOOT stuff.

    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit 1b691bb0c2fa18c9b68f15398ef6c8b9e0c0f3e3
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Mon Jan 25 18:50:11 2010 -0500

    mkimage: dont force entry point with xip

    Some people boot images with the entry point in the middle of the blob
    (like Linux with the head code in discardable .init.text), and there is no
    no real requirement that the entry point be right after the mkimage header
    when doing XIP, so let people specify whatever they want.  If they do need
    an entry right after the header, then they still can do that with normal
    -e behavior.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 4b99327a4121a28d2bdb2c2b841f5d97931ae905
Author: Richard Retanubun <RichardRetanubun@RuggedCom.com>
Date:	Fri Jan 15 10:06:06 2010 -0500

    PPC: Record U-Boot's relocated address in RAM and show in bdinfo.

    This patch uses gd->relocaddr variable to store uboot's relocated
    address in RAM and shows it in bdinfo command.

    This patch moves CONFIG_AMIGAONEG3SE style copying of the address
    in board_init_f to just before relocation is actually done.

    Signed-off-by: Richard Retanubun <RichardRetanubun@RuggedCom.com>
    Tested-by: Detlev Zundel <dzu@denx.de>

commit 8c4444ff5e1d8e9fd1a847a2fb096aa9aff66f85
Author: Wolfgang Denk <wd@denx.de>
Date:	Thu Mar 11 23:35:43 2010 +0100

    Fix memory leak in mmc_read()

    There is be a path through mmc_read in drivers/mmc/mmc.c where
    malloc'd memory is not freed before exiting mmc_read: it occurs if
    mmc_set_blocklen() returns a non-zero value.

    Reported-by: Quentin Armitage <Quentin@Armitage.org.uk>
    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit 6258b04e9a41ee60f21547358a58fbcb9087735d
Author: Daniel Gorsulowski <Daniel.Gorsulowski@esd.eu>
Date:	Thu Feb 11 14:57:04 2010 +0100

    AT91: Update otc570 board to new SoC access

    * convert otc570 board to use c stucture SoC access
    * change gpio access to at91_gpio syntax

    Signed-off-by: Daniel Gorsulowski <Daniel.Gorsulowski@esd.eu>

commit 7cedb29872069e782f9f97cef4ab1232736e4c85
Author: Jens Scharsig <js_at_ng@scharsoft.de>
Date:	Sun Feb 14 12:20:43 2010 +0100

    updates the at91 main_clock calculation

    * updates the conditional main_clock calculation (if AT91_MAIN_CLOCK defined) to c structure SoC access
     * add need register flags

    Signed-off-by: Jens Scharsig <js_at_ng@scharsoft.de>

commit 637833c2d669f9a370706e275e7103454c3c83ec
Author: Prafulla Wadaskar <prafulla@marvell.com>
Date:	Wed Mar 3 15:27:37 2010 +0530

    arm: kirkwood: suen3: fixed build warning

    This patch fixes following build warning

    Invalid Kwbimage command Type - valid names are: BOOT_FROM, NAND_ECC_MODE, NAND_PAGE_SIZE, SATA_PIO_MODE, DDR_INIT_DELAY, DATA, , spi, nand, sata, pex, uart

    Signed-off-by: Prafulla Wadaskar <prafulla@marvell.com>

commit e4d34492017c95e4041ea0c581e1ab8d1d49381b
Author: Stefano Babic <sbabic@denx.de>
Date:	Fri Mar 5 17:54:37 2010 +0100

    MX51: removed warnings for the mx51evk

    The patch removes warnings at compile time and provides
    some cleanup code:
    - Removed comment on NAND (not yet supported) from lowlevel_init.S
    - Removed NFMS bit definition from imx-regs.h
      The bit is only related to MX.25/35 and can lead to confusion
    - Moved is_soc_rev() to soc specific code (removed from mx51evk.c)

    Signed-off-by: Stefano Babic <sbabic@denx.de>

commit 9d69e33d8d0f112fe3a089101d023e87431684d1
Author: Vipin Kumar <vipin.kumar@st.com>
Date:	Tue Mar 2 10:46:52 2010 +0530

    SPEAr : Supporting new mach ids for spear310 and spear320

    Supporting new machine ids for SoCs spear310 and spear320

    include/asm-arm/mach-types.h has to be updated before applying
    this patch for build to work

    Signed-off-by: Vipin Kumar <vipin.kumar@st.com>

commit cc0b53c8d5d6a3f14f36982552bc3feb8ecb1db5
Author: Heiko Schocher <hs@denx.de>
Date:	Mon Mar 1 15:58:18 2010 +0100

    arm, suen3: fix compile error, if doing not a local build

    Signed-off-by: Heiko Schocher <hs@denx.de>

commit 67fa8c25f5c2d23932c0f31b035281d6abbb0965
Author: Heiko Schocher <[hs@denx.de]>
Date:	Mon Feb 22 16:43:02 2010 +0530

    arm: add support for the suen3 board from keymile

    Add support for the ARM part of the mgcoge2, named suen3.
    This board is based on the Marvell Kirkwood (88F6281) SoC.
    As there come more board variants, common config options
    are collected in include/configs/km_arm.h. Also, this board
    use common code for all keymile boards, which is stored in
    board/keymile/common/common.c

    Signed-off-by: Holger Brunck <holger.brunck@keymile.com>
    Signed-off-by: Stefan Roese <sr@denx.de>
    Signed-off-by: Heiko Schocher <hs@denx.de>

commit 6895d4510a7758595b85b48a7f449bd61dfc812f
Author: John Rigby <jcrigby@gmail.com>
Date:	Mon Jan 25 23:12:58 2010 -0700

    Add support for KARO TX25 board

    This is an i.MX25 base board with only NAND
    so it uses nand_spl to boot.

    Signed-off-by: John Rigby <jcrigby@gmail.com>

    Tune configuration, add support for (redundant) environment in NAND.
    Signed-off-by: Wolfgang Denk <wd@denx.de>

    Acked-by: Wolfgang Denk <wd@denx.de>
    CC: Fred Fan <fanyefeng@gmail.com>
    CC: Tom <Tom.Rix@windriver.com>

commit 740d6ae5b982496fcea0666b2207cb34cc0e6015
Author: John Rigby <jcrigby@gmail.com>
Date:	Mon Jan 25 23:12:57 2010 -0700

    fec_mxc: add MX25 support

    Use RMII for MX25
    Add code to init gasket that enables RMII

    Signed-off-by: John Rigby <jcrigby@gmail.com>
    CC: Ben Warren <biggerbadderben@gmail.com>

commit cb17b92de03416cf4d5db5bd27ef4ae17f95e707
Author: John Rigby <jcrigby@gmail.com>
Date:	Mon Jan 25 23:12:55 2010 -0700

    fec_mxc: cleanup and factor out MX27 dependencies

    general cleanup
    move clock init to cpu_eth_init in cpu/arm926ejs/mx27/generic.c
    make MX27 specific phy init conditional on CONFIG_MX27
    replace call to imx_get_ahbclk with one to imx_get_fecclk
    and define imx_get_fecclk in include/asm-arm/arch-mx27/clock.h

    Signed-off-by: John Rigby <jcrigby@gmail.com>
    CC: Ben Warren <biggerbadderben@gmail.com>
    CC: Fred Fan <fanyefeng@gmail.com>
    CC: Tom <Tom.Rix@windriver.com>

commit 552ff8f1d9fccf57243a01afe6dbebb982867e20
Author: John Rigby <jcrigby@gmail.com>
Date:	Mon Jan 25 23:12:56 2010 -0700

    Add support for Freescale MX25 SOC

    ARM926EJS core with MX31 peripherals.

    Signed-off-by: John Rigby <jcrigby@gmail.com>
    Earlier Version Signed-off-by: Wolfgang Denk <wd@denx.de>
    CC: Fred Fan <fanyefeng@gmail.com>
    CC: Tom <Tom.Rix@windriver.com>

commit e911c983f4a8d588f831806af37eb56c95512d5d
Author: John Rigby <jcrigby@gmail.com>
Date:	Mon Jan 25 23:12:51 2010 -0700

    mxc_serial replace platform specific clock

    remove ifdef'd clock selection code from
    serial_mxc.c and replace with call to imx_get_uartclk

    Add definitions for imx_get_uartclk to imx31 and imx27
    include files.

    This makes it easier to add new imx platforms.

    Signed-off-by: John Rigby <jcrigby@gmail.com>

commit c5fb70c9114bd0a8289444d3d5c7e360eda08232
Author: Stefano Babic <sbabic@denx.de>
Date:	Fri Feb 5 15:13:58 2010 +0100

    Add initial support for Freescale mx51evk board

    The patch adds initial support for the Freescale mx51evk board.
    Network (FEC) and SD controller (fsl_esdhc) are supported.

    Signed-off-by: Stefano Babic <sbabic@denx.de>
    Signed-off-by: Fred Fan <fanyefeng@gmail.com>

commit c67bee1460a0da89ef08cbc28375171acc9a4227
Author: Stefano Babic <sbabic@denx.de>
Date:	Fri Feb 5 15:11:27 2010 +0100

    fsl_esdhc: add support for mx51 processor

    The esdhc controller in the mx51 processor is quite
    the same as the one in some powerpc processors
    (MPC83xx, MPC85xx). This patches adapts the driver
    to support the arm mx51.

    Signed-off-by: Stefano Babic <sbabic@denx.de>

commit 69df00f9d9c2f45b4576d1eae79bfac8bebb8821
Author: Stefano Babic <sbabic@denx.de>
Date:	Fri Feb 5 15:07:33 2010 +0100

    ARM: add accessors functions

    Some Freescale's processors of different architecture
    have the same peripheral (eSDHC controller in PowerPC
    and i.MX51). This patch adds accessors for
    the internal registers of the SOCs, as already
    implemented in the PowerPC architecture.

    Signed-off-by: Stefano Babic <sbabic@denx.de>

commit 11fdade294b4d60c19ae861515aabddca1278deb
Author: Stefano Babic <sbabic@denx.de>
Date:	Fri Feb 5 15:04:43 2010 +0100

    MMC: add weak function to detect MMC/SD card

    Most controllers can check if there is a card in the slot.
    However, they require pins that could be not available because
    required by other functions and the detection of a card must
    be performed in another way. This patch adds a weak function
    that a board can implement to add its internal custom way
    to check the presence of a MMC/SD card.

    Signed-off-by: Stefano Babic <sbabic@denx.de>

commit 250de12bc2f7842807d25e16971c5bea59c3a4b1
Author: Stefano Babic <sbabic@denx.de>
Date:	Wed Jan 20 18:20:39 2010 +0100

    mmc: check correctness of the voltage mask in ocr

    Most cards do not answer if some reserved bits
    in the ocr are set. However, some controllers
    can set bit 7 (reserved for low voltages), but
    how to manage low voltages SD card is not yet
    specified.

    Signed-off-by: Stefano Babic <sbabic@denx.de>

commit 71d64c0e4fa5910c15eca175a8f3b0e1c1d6711c
Author: Stefano Babic <sbabic@denx.de>
Date:	Wed Jan 20 18:20:19 2010 +0100

    serial_mxc: add support for MX51 processor

    The patch adds support for the Freescale mx51 processor.

    Signed-off-by: Stefano Babic <sbabic@denx.de>
    Signed-off-by: Fred Fan <fanyefeng@gmail.com>

commit 67adcee0e091f0935e7dd722404d2a864cdecbe7
Author: Stefano Babic <sbabic@denx.de>
Date:	Wed Jan 20 18:20:04 2010 +0100

    MX51: Add pin and multiplexer definitions.

    The patch add header files to support the pin multiplexer
    of the the Freescale i.MX51 processor.

    Signed-off-by: Stefano Babic <sbabic@denx.de>
    Signed-off-by: Fred Fan <fanyefeng@gmail.com>

commit fb87a1ed9205bf5f843e1f264198ce946602deda
Author: Stefano Babic <sbabic@denx.de>
Date:	Wed Jan 20 18:19:51 2010 +0100

    MX51: Add register definitions

    The patch add header files to support the Freescale i.MX51
    processor, setting definitions for internal registers.

    Signed-off-by: Stefano Babic <sbabic@denx.de>
    Signed-off-by: Fred Fan <fanyefeng@gmail.com>

commit 64fdf452a85718935d82416d141be144b262c542
Author: Stefano Babic <sbabic@denx.de>
Date:	Wed Jan 20 18:19:32 2010 +0100

    MX51: Add initial support for the Freescale MX51

    The patch add initial support for the Freescale i.MX51 processor
    (family arm cortex_a8).

    Signed-off-by: Stefano Babic <sbabic@denx.de>
    Signed-off-by: Fred Fan <fanyefeng@gmail.com>

commit 18ba012b9b919a7c264dc6299f954d7f53d06605
Author: Matthias Kaehlcke <matthias@kaehlcke.net>
Date:	Wed Feb 24 19:45:39 2010 +0100

    edb93xx: Fix SDRAM initialization

    edb93xx: Fix SDRAM initialization by issuing a precharge all command before
    forcing the precharge and select mode register update mode before programming
    the mode registers. Write to the SDRAM banks in order to force a precharge,
    reading causes the edb93xx boards to hang

    Signed-off-by: Matthias Kaehlcke <matthias@kaehlcke.net>

commit cade7d9577d4d17f55404b5e60cd5e5b0b605c31
Author: Anders Darander <anders.darander@gmail.com>
Date:	Thu Feb 25 15:57:03 2010 +0100

    Add bootcount to AT91

    Use AT91_GPBR 3 as a bootcount register.
    The bootmagic and the bootcount shares AT91_GPBR 3.

    Signed-off-by: Anders Darander <ad@datarespons.se>

commit 5f353484093876d7021f20fa4bd63f82d32941b9
Author: Tom Rix <Tom.Rix@windriver.com>
Date:	Thu Feb 25 12:05:32 2010 -0600

    ARM Update mach-types

    Fetched from http://www.arm.linux.org.uk/developer/machines/download.php
    And built with

    repo http://ftp.arm.linux.org.uk/pub/linux/arm/kernel/git-cur/linux-2.6-arm
    commit aea187c46f7d03ce985e55eb1398d0776a15b928

    Signed-off-by: Tom Rix <Tom.Rix@windriver.com>

commit c7ad13a24295ded880d7bcd17181df4a5f3bac58
Author: Matthias Kaehlcke <matthias@kaehlcke.net>
Date:	Wed Feb 24 00:22:09 2010 +0100

    ep93xx: Refactoring of timer code

    ep93xx: Refactoring of the timer code, including the following changes

     * use a free running timer instead of a periodical one
     * use unsigned long long for total number of ticks
     * hold the timer state in a structure instead of separate variables
     * increment the timer counter instead of decrementing it
     * remove unused function udelay_masked()
     * remove unused function set_timer()

    Signed-off-by: Matthias Kaehlcke <matthias@kaehlcke.net>

commit d9f505e3cddbb7afce26dcfe0fd19b207ee57c09
Author: Matthias Kaehlcke <matthias@kaehlcke.net>
Date:	Wed Feb 24 00:22:00 2010 +0100

    ep93xx: Fix calculation of sys ticks in clk_to_systicks()

    ep93xx: Use unsigned long long for calculation of sys ticks in clk_to_systicks()
    for proper handling of large intermediate values

    Signed-off-by: Matthias Kaehlcke <matthias@kaehlcke.net>

commit 041d42e789aba20296ffcde92173f100a9592880
Author: Siarhei Siamashka <siarhei.siamashka@gmail.com>
Date:	Tue Feb 23 23:56:36 2010 -0500

    OMAP3: workaround for ARM Cortex-A8 erratum 725233

    725233: PLD instructions executed with PLD data forwarding
    enabled can result in a processor deadlock

    This deadlock can happen when NEON load instructions are used together
    with cache preload instructions (PLD). The problematic conditions
    can be triggered in-the-wild by NEON optimized functions from pixman
    library (http://cgit.freedesktop.org/pixman), which perform dynamic
    adjustment of prefetch distance.

    The workaround disables PLD data forwarding by setting PLD_FWD bit
    in L2 Cache Auxiliary Control Register as recommended in ARM Cortex-A8
    errata list.

    The deadlock can only happen on r1pX revisions of Cortex-A8 (used in
    OMAP34xx/OMAP35xx). Performance impact of the workaround is practically
    non-existant.

    Signed-off-by: Siarhei Siamashka <siarhei.siamashka@gmail.com>
    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 7c966a8bdfdab80cafbfed035d7ae6ea6f58f756
Author: Achim Ehrlich <aehrlich@taskit.de>
Date:	Wed Feb 24 10:29:16 2010 +0100

    ARM change name of defines for AT91 arm926ejs

    Configuration defines should be preceeded with CONFIG_SYS_. Renamed
    some at91 specific defines to conform to this naming convention:

    AT91_CPU_NAME to CONFIG_SYS_AT91_CPU_NAME
    AT91_MAIN_CLOCK to CONFIG_SYS_AT91_MAIN_CLOCK

    Signed-off-by: Achim Ehrlich <aehrlich@taskit.de>

commit 5c97a1de196fdcbe9d098948ecf4fccfbea23b78
Author: Ladislav Michl <Ladislav.Michl@seznam.cz>
Date:	Wed Feb 17 21:29:45 2010 -0500

    VoiceBlue: fix linker errors

    linking eeprom with libgeneric.a is not really needed and causes following
    error:
    ../../lib_generic/libgeneric.a(string.o): In function `strcmp':
    /home/ladis/src/u-boot-ti/lib_generic/string.c:152: multiple definition of `strcmp'
    ../../examples/standalone/libstubs.a(stubs.o):include/_exports.h:24: first defined here
    make[1]: *** [eeprom.srec] Error 1

    Fix undefined reference to memset generated by some versions of gcc
    to zero out initialized structure on the stack:
    eeprom.o: In function `eeprom':
    board/voiceblue/eeprom.c:152: undefined reference to `memset'
    make[1]: *** [eeprom] Error 1

    Signed-off-by: Ladislav Michl <ladis@linux-mips.org>
    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit a32c1e0ecd563c65c617b0eb9080a10d286bb0b4
Author: Ladislav Michl <Ladislav.Michl@seznam.cz>
Date:	Wed Feb 17 21:29:39 2010 -0500

    VoiceBlue: limit line lenght to 80 characters

    Reindent configuration header to limit line lenght to 80 characters by
    removing obvious and sometimes misleading comments.

    Signed-off-by: Ladislav Michl <ladis@linux-mips.org>
    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 779b534385adf0a1efdd8b40dbacae11598575b8
Author: Ladislav Michl <ladis@linux-mips.org>
Date:	Wed Feb 17 21:13:53 2010 -0500

    netstar.h: do not exceed 80 columns

    Limit line length to 80 characters mostly by removing obvious and sometimes
    misleading comments. Fix indentation, too.

    Signed-off-by: Ladislav Michl <ladis@linux-mips.org>
    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 3fca29294abd73915de2bd0fcf2650e03cc9becc
Author: Sandeep Paulraj <s-paulraj@ti.com>
Date:	Wed Feb 17 21:09:21 2010 -0500

    DaVinci: Adding entry to MAKEALL for DM365 EVM

    The patch adds an entry for the DM365 EVM to MAKEALL

    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 37cffdad06af5a4538dd090794f213292135adbc
Author: Nick Thompson <nick.thompson@ge.com>
Date:	Wed Feb 17 20:37:24 2010 -0500

    da830evm: Add support for TI EMAC

    Adds support for ethernet networking on the da830evm platform.

    This platform uses an SoC EMAC interface and a 3 port ethernet
    switch as a PHY with an RMII interface. The PHY also has a i2c
    interface for configuring the switch functions.

    Signed-off-by: Nick Thompson <nick.thompson@ge.com>
    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit d8775d03f3f0116241cfb45c7ef27fd080904c4a
Author: Ladislav Michl <Ladislav.Michl@seznam.cz>
Date:	Mon Feb 8 14:19:06 2010 -0500

    NetStar: make mtdparts default ready for recent kernels

    Recent kernels are using generic NAND and NOR drivers. Change
    default mtdparts to reflect it.

    Signed-off-by: Ladislav Michl <ladis@linux-mips.org>
    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit de9a1e0d08301ea4925ee137af240424b107a608
Author: Ladislav Michl <Ladislav.Michl@seznam.cz>
Date:	Mon Feb 8 14:17:45 2010 -0500

    NetStar: fix default environment

    Correct switching partitions after upgrade and make it more readable.

    Signed-off-by: Ladislav Michl <ladis@linux-mips.org>
    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 3a67566c1def7d2eb935b31b3b282ba893c3f330
Author: Ladislav Michl <Ladislav.Michl@seznam.cz>
Date:	Mon Feb 8 14:15:47 2010 -0500

    NetStar: eeprom - fix linker error

    linking eeprom with libgeneric.a is not really needed and causes following
    error:
    ../../lib_generic/libgeneric.a(string.o): In function `strcmp':
    lib_generic/string.c:152: multiple definition of `strcmp'
    ../../examples/standalone/libstubs.a(stubs.o):include/_exports.h:24: first defined here
    Remove eeprom linker script as well and generate entry point object
    (to start application by jumping on its beginning) on the fly.
    Out-of-tree build tested as well.

    Signed-off-by: Ladislav Michl <ladis@linux-mips.org>
    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 308d463eaf6f4ada00193306a6e643298d1990d8
Author: Ladislav Michl <Ladislav.Michl@seznam.cz>
Date:	Mon Feb 8 14:15:43 2010 -0500

    NetStar: eeprom - be less verbose

    Use shorter yet descriptive messages, replace printf() with
    puts() where appropriate. This saves few bytes.

    Signed-off-by: Ladislav Michl <ladis@linux-mips.org>
    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit b29ff6277239f5c8bc9366e74afac5a36ab3b23e
Author: Ladislav Michl <Ladislav.Michl@seznam.cz>
Date:	Mon Feb 8 14:15:15 2010 -0500

    NetStar: eeprom - undefined reference to `memset'

    Defining partially initialized struct eth_device on stack means
    gcc has to zero out it, and some gcc versions optimize this with
    an implicit call to memset. Move definition to data section
    to avoid that (it has also nice side effect that we need not
    to pass it to helper functions anymore)

    Signed-off-by: Ladislav Michl <ladis@linux-mips.org>
    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 8f9a221045a4ace14fe006e1353c593619d1001a
Author: Wolfgang Wegner <w.wegner@astro-kom.de>
Date:	Tue Mar 2 10:59:19 2010 +0100

    ] fix monitor protection for CONFIG_MONITOR_IS_IN_RAM

    For platforms with flash below ram addresses, the current check to
    activate monitor protection is wrong/insufficient. This patch fixes
    CONFIG_MONITOR_IS_IN_RAM for these systems by adding a check for
    this configuration.

    Signed-off-by: Wolfgang Wegner <w.wegner@astro-kom.de>
    Signed-off-by: Stefan Roese <sr@denx.de>

commit c7de810c79a00aa6fc08900ee0bb57bd295db733
Author: Wolfgang Wegner <w.wegner@astro-kom.de>
Date:	Tue Mar 2 10:59:20 2010 +0100

    allow MCF532x to use CONFIG_MONITOR_IS_IN_RAM

    CONFIG_MONITOR_IS_IN_RAM is broken for MCF532x. This patch fixes this
     by conditionally
    - removing the vector table at the beginning of code
    - not overwriting the vector base register
    - removing the code to re-set the PLL, which effectively disables
      SDRAM access

    Signed-off-by: Wolfgang Wegner <w.wegner@astro-kom.de>

commit bb907ab51fd04255923b7ecf9dab352078808351
Author: Richard Retanubun <RichardRetanubun at RuggedCom.com>
Date:	Mon Oct 26 14:19:17 2009 -0400

    MCF5271-only: Added a weak board_reset function to allow custom reset

    This patch adds a board_reset function to allow boards to specify
    their own custom reset sequence (e.g. resetting by timing out watchdog).
    Tested only on MCF5271, can be expanded if needed.

    Based on Mike Frysinger's suggestion on:
    http://article.gmane.org/gmane.comp.boot-loaders.u-boot/70304

    Signed-off-by: Richard Retanubun <RichardRetanubun at RuggedCom.com>

commit 992d7129500d239d684c15fa2d61e0a8f2e64457
Author: Wolfgang Wegner <w.wegner@astro-kom.de>
Date:	Wed Oct 28 15:11:00 2009 -0500

    MCF532x: make icache_enable use CONFIG_SYS_SDRAM_SIZE

    in cpu/mcf532x/start.S, the function icache_enable enables the cache for
    a fixed 32MB region starting at the SDRAM start address; this patch
    changes the function to cover the region defined by CONFIG_SYS_SDRAM_SIZE

    Signed-off-by: Wolfgang Wegner <w.wegner at astro-kom.de>

commit 870bf3ee60320b58f8970ffe3ddebda0e8ac62f7
Author: Wolfgang Wegner <w.wegner@astro-kom.de>
Date:	Wed Dec 9 17:32:12 2009 -0500

    add include/asm-m68k/unaligned.h

    lib_generic/zlib.c needs include/asm/unaligned.h since commit
    cd514aeb996e2f7aefbe1f78481965d9d074aed4, which broke compilation for
    Coldfire/M68K. This patch adds the missing header for these
    architectures.

    Signed-off-by: Wolfgang Wegner <w.wegner at astro-kom.de>

commit da5e083590bb62ca6d7f08d3714d07ba736da863
Author: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Date:	Mon Feb 8 11:50:16 2010 +0900

    sh: Add asm/unaligned.h and asm/unaligned-sh4a.h from Linux kernel

    zlib.c demands asm/unaligned.h. But, SH does not have these.
    This commit add asm/unaligned.h and asm/unaligned-sh4a.h from Linux
    kernel and modifyf for u-boot.

    Signed-off-by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>

commit fe389da6ae739816879606ecde4ab25f4292377d
Author: Kim Phillips <kim.phillips@freescale.com>
Date:	Mon Mar 1 11:10:17 2010 -0600

    mpc83xx: fix out-of-tree mpc8315 nand build

    commit 2e95004deb6e33e33bf1b8a92a38cd2115bac4c2 "mpc83xx: Add NAND boot support
    for MPC8315E-RDB boards" symlinked nand_spl/board/freescale/mpc8315erdb to
    mpc8313erdb in order to not duplicate code.

    Since the main makefile builds nand_spl/board/$(BOARDDIR) (which makes sense),
    and the board Makefile and linker script are the only two necessary files
    to enable out-of-tree building, and other boards have duplicated nand makefiles
    (e.g. 8536ds & 8569mds), it only seems prudent to copy these two files in the
    name of the 8315 too.

    Signed-off-by: Kim Phillips <kim.phillips@freescale.com>
    Cc: Anton Vorontsov <avorontsov@ru.mvista.com>
    Cc: Wolfgang Denk <wd@denx.de>

commit 4e7e12dfa103cb8ec6dc7547dd1c9976337dc1fd
Author: Kim Phillips <kim.phillips@freescale.com>
Date:	Mon Feb 22 19:39:16 2010 -0600

    mpc83xx: vme8349: fix incorrect BR0_PRELIM port size comment

    commit 98d92d8c9f4021629a45261ad5ec3f3595f3a27a "sbc8349: fix incorrect
    comment" missed this one.

    Signed-off-by: Kim Phillips <kim.phillips@freescale.com>

commit 87800f72414b830756aefc757dd191688febacf9
Author: Eugene O'Brien <eugene.g.obrien@gmail.com>
Date:	Wed Feb 24 14:10:24 2010 -0500

    ppc4xx: Corrected EBC register bit definitions

    Corrected the bit field positions of the external master priority low
    and the external master priority high values in the EBC configuration
    register. These bit field positions differ between PPC405 and PPC440
    processors

    Signed-off-by: Eugene O'Brien <eugene.obrien@advantechamt.com>
    Signed-off-by: Stefan Roese <sr@denx.de>

commit f3651764e57e353251695691677bd95ba5a420bc
Author: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Date:	Mon Feb 22 22:49:06 2010 +0100

    cmd_itest.c: fix pointer dereferencing

    fix pointer dereferencing
    if the size is .b and .w an 8 or 16 bit access is done.

    Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
    Acked-by: Detlev Zundel <dzu@denx.de>

commit 0ad22703f06af5fe100cfe6f08b1f32ea89cd5b1
Author: Kim Phillips <kim.phillips@freescale.com>
Date:	Mon Feb 22 19:37:56 2010 -0600

    tools: fix imximage warning

    Fix build warning:

    Configuring for MPC837XEMDS board...
    imximage.c: In function `imximage_parse_cfg_file':
    imximage.c:146: warning: passing argument 2 of `getline' from incompatible pointer type
    /usr/include/bits/stdio.h:116: note: expected `size_t *' but argument is of type `uint32_t *'

    Signed-off-by: Kim Phillips <kim.phillips@freescale.com>

commit 5b28e913f4519870ad2ca06cd7845b053f78bf0f
Author: Stefano Babic <sbabic@denx.de>
Date:	Fri Feb 5 15:16:02 2010 +0100

    mkimage: SEGFAULT with imximage on 64 bit systems

    Running mkimage to generate an imximage produces a SEGFAULT
    on 64 bit machines due to pointer arithmetic limited to 32 bit.

    Signed-off-by: Stefano Babic <sbabic@denx.de>
    Acked-by: Kim Phillips <kim.phillips@freescale.com>

commit ecd1a09b81f2ed6e6ba7bd1d0bfb0cc3d0ea2ad0
Author: Kim Phillips <kim.phillips@freescale.com>
Date:	Thu Feb 18 19:28:12 2010 -0600

    mpc83xx: remove hardcoded network addresses from config files

    and avoid e.g., two identical boards from causing random networking
    conflicts when hooked up to the same network.

    Signed-off-by: Kim Phillips <kim.phillips@freescale.com>

commit 4c006dd1501283eecaea813a0e5e225e9ee6fdeb
Author: Michael Zaidman <michael.zaidman@gmail.com>
Date:	Mon Feb 15 10:02:32 2010 +0200

    Bug: do_reset issued via netconsole does not reset mpc83xx cpu.

    The do_reset routine in the cpu/mpc83xx/cpu.c file does not reset
    the mpc83xx cpu when issued via netconsole.

    Moving the console output "resetting the board." to the beginning of
    the routine before disabling interrupts solved the problem.

    Signed-off-by: Michael Zaidman <michael.zaidman@gmail.com>
    Acked-by: Detlev Zundel <dzu@denx.de>
    Signed-off-by: Kim Phillips <kim.phillips@freescale.com>

commit 77e7273c40315abd2f3c17ad8d46a78950e3e65f
Author: Jens Scharsig <js_at_ng@scharsoft.de>
Date:	Wed Feb 3 22:48:09 2010 +0100

    new board (eb_cpux9k2)

    * new board (eb_cpux9k2)
     * support for EB+CPUx9K2 board by BuS Elektronik GmbH & Co. KG
     * select via make eb_cpux9k2_config
     * this also demonstrates, how to use boards with AT91RM9200 cpu
       in at91 arch tree

    Signed-off-by: Jens Scharsig <js_at_ng@scharsoft.de>

commit 6799a80f7644d78988187390dfd37352f20ad710
Author: Jens Scharsig <js_at_ng@scharsoft.de>
Date:	Wed Feb 3 22:47:57 2010 +0100

    new at91_emac network driver (NET_MULTI api)

    * add's at91_emac (AT91RM9200) network driver (NET_MULTI api)
     * enable driver with CONFIG_DRIVER_AT91EMAC
     * generic PHY initialization
     * modify AT91RM9200 boards to use NET_MULTI driver
     * the drivers has been tested with LXT971 Phy and DM9161 Phy at MII and RMII
       interface

    Signed-off-by: Jens Scharsig <js_at_ng@scharsoft.de>

commit 98250e8e17fc76b3981708c6e63d41f875bf0359
Author: Jens Scharsig <js_at_ng@scharsoft.de>
Date:	Wed Feb 3 22:47:35 2010 +0100

    prepare joining at91rm9200 into at91

    * prepare joining at91 and at91rm9200
     * add modified copy of soc files to cpu/arm920t/at91 to make
       possible to compile at91rm9200 boards in at91 tree instead
       of at91rm9200
     * add header files with c structure defs for AT91 MC, ST and TC
     * the new cpu files are using at91 c structure soc access
     * please read README.soc-at91 for details

    Signed-off-by: Jens Scharsig <js_at_ng@scharsoft.de>

commit 1b34f00c28a3023693d9b31e7bd1a9212af8352f
Author: Jens Scharsig <js_at_ng@scharsoft.de>
Date:	Wed Feb 3 22:47:18 2010 +0100

    update at91sam9263ek board to new SoC access

    * convert at91sam9263ek board to use c stucture SoC access
     * change gpio access to at91_gpio syntax

    Signed-off-by: Jens Scharsig <js_at_ng@scharsoft.de>

commit 0cf0b93161beb3f3ed5e37e6112aedf15da17e8a
Author: Jens Scharsig <js_at_ng@scharsoft.de>
Date:	Wed Feb 3 22:46:58 2010 +0100

    convert common files to new SoC access

    * add's a warning to all files, which need update to new SoC access
     * convert common files in cpu/../at91 and a lot of drivers to use
       c stucture SoC access

    Signed-off-by: Jens Scharsig <js_at_ng@scharsoft.de>

commit 7f9e8633ac9c846e7e4f867507cbd5de1bd99e0c
Author: Jens Scharsig <js_at_ng@scharsoft.de>
Date:	Wed Feb 3 22:46:46 2010 +0100

    convert all at91 files to use at91_gpio driver syntax

    * convert all files cpu/../at91 to use at91_gpio driver syntax
     * change AT91_PINP([A-F])(\d+) to AT91_PIO_PORT\1, \2
       this makes all 160 AT91_PINPxxx defines obsolete
     * AT91_PINPxxx defines and gpio.h can be remove, if all boards converted to new SoC access

    Signed-off-by: Jens Scharsig <js_at_ng@scharsoft.de>

commit ea8fbba73184a40437bdeccd888cf448d5f1105e
Author: Jens Scharsig <js_at_ng@scharsoft.de>
Date:	Wed Feb 3 22:46:16 2010 +0100

    add a new AT91 GPIO driver

    * add a real AT91 GPIO driver instead of header inline code
    * resolve the mixing of port and pins
    * change board config files to use new driver
    * add macros to gpio to realize backward compatibility

    Signed-off-by: Jens Scharsig <js_at_ng@scharsoft.de>

commit 5d8e359c38d3ab80015e47d0cab792efe75cacf9
Author: Jens Scharsig <js_at_ng@scharsoft.de>
Date:	Wed Feb 3 22:46:01 2010 +0100

    add c structures for SoC access

    * add's c structures for SoC access to pheriperials head files

    Signed-off-by: Jens Scharsig <js_at_ng@scharsoft.de>

commit 425de62d40f84524b90e776b141b060cd438a9fe
Author: Jens Scharsig <js_at_ng@scharsoft.de>
Date:	Wed Feb 3 22:45:42 2010 +0100

    add new CONFIG_AT91_LEGACY

    * add's the new temporary CONFIG_AT91_LEGACY to all board configs
     This will need for backward compatiblity, while change the SoC access
     to c structures. If CONFIG_AT91_LEGACY is defined, the deprecated
     SoC is used.

    Signed-off-by: Jens Scharsig <js_at_ng@scharsoft.de>

commit 3a4e43921d2599453ea87c623099e5f347c9e54a
Author: Nick Thompson <nick.thompson@ge.com>
Date:	Mon Feb 8 11:36:16 2010 -0500

    DA830 EVM: Enable NAND support on Spectrum Digital EVM

    The EVM UI extender card has a NAND device. This change will enable
    saveenv to work with NAND and Linux to be booted using:

	mtdparts default
	nboot kernel
	bootm

    Signed-off-by: Nick Thompson <nick.thompson@ge.com>
    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 6228e6389e5ef472d5f43cc5ec4f309323305638
Author: Nick Thompson <nick.thompson@ge.com>
Date:	Mon Feb 8 11:34:58 2010 -0500

    Davinci: Add EMIF-A macros for setting chip select parameters

    The patch adds EMIF-A macros for setting chip select parameters

    Signed-off-by: Nick Thompson <nick.thompson@ge.com>
    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit b74064a0e2984a166e3575852f3697ef5595a97b
Author: Sanjeev Premi <premi@ti.com>
Date:	Mon Feb 8 11:33:25 2010 -0500

    OMAP3: Avoid re-write to PRM_CLKSRC_CTRL

    In function get_osc_clk_speed(), do not change/ update
    the divider for SYS_CLK as it can has cascading effect
    on the other derived clocks.

    Sudden change in divider value can lead to inconsistent
    behavior in the system - often leading to crashes.

    The problem was found when working with OMAP3EVM using
    DM3730 processor card.

    The patch has been tested with OMAP3530 on OMAP3EVM as
    well

    Signed-off-by: Sanjeev Premi <premi@ti.com>
    Signed-off-by: Hiremath Vaibhav <hvaibhav@ti.com>
    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit eff536befd3efab538bba10bad07ecff63c9f470
Author: Magnus Lilja <lilja.magnus@gmail.com>
Date:	Tue Feb 9 22:05:39 2010 +0100

    SPI: Fix 32 bit transfers in mxc_spi.c

    Commit f9b6a1575d9f1ca192e4cb60e547aa66f08baa3f,  "i.MX31: fix SPI
    driver for shorter than 32 bit" broke 32 bit transfers. This patch
    makes single 32 bit transfer work again.

    Transfer lengths that are known not to work will abort and print
    an error message.

    Tested on i.MX31 Litekit and i.MX31 PDK using 32 bit transfers to
    the MC13783/ATLAS chip (using the 'date' command).

    Signed-off-by: Magnus Lilja <lilja.magnus@gmail.com>

commit 39a9142203e610bf2b1a216085e374277fd28f9f
Author: Alessandro Rubini <rubini-list@gnudd.com>
Date:	Sat Feb 6 20:54:05 2010 +0100

    edb93xx: enable the uart in devicecfg register

    printf goes to uart1, but it will block forever waiting for
    busy to go off unless the uart is enabled first.

    Signed-off-by: Alessandro Rubini <rubini@gnudd.com>

commit 822bd70db49773b4d57eaa484dca83386a6b3479
Author: Alessandro Rubini <rubini-list@gnudd.com>
Date:	Sat Feb 6 20:53:54 2010 +0100

    edb93xx: change calculation un early_udelay.h

    Previous code compiled with gcc-4.2.2 makes a call to
    __aeabi_uidiv to divide by 20. As a side effect it was
    not inline any more, and so sdram_cfg used the stack
    as well, but this is early code that has no stack yet.
    The patch explicitly removes the division, so no stack is used.

    The calculation of the counter calls a division by 20

    Signed-off-by: Alessandro Rubini <rubini@gnudd.com>

commit c50a0f503967d435150bbb9f2f816ce33afdf231
Author: Alessandro Rubini <rubini-list@gnudd.com>
Date:	Sat Feb 6 20:53:43 2010 +0100

    EP93xx: fix syscon_regs definition

    The structure was missing a reserved entry (not listed in the manual,
    actually), so the last registers had a wrong offset. This prevented
    all swlocked registers to be modified as swlock is last in the structure.

    Signed-off-by: Alessandro Rubini <rubini@gnudd.com>

commit fcfb632bd1e9de645b015cf73a78183c299743d8
Author: Matthias Kaehlcke <matthias@kaehlcke.net>
Date:	Mon Feb 1 21:29:39 2010 +0100

    ARM: Add support for EP93xx SoCs

    Add support for the Cirrus EP93xx platform

    Signed-off-by: Matthias Kaehlcke <matthias@kaehlcke.net>
    Acked-by: Tom <Tom.Rix@windriver.com>

commit cf3c142ee4be0f077f8b84593f1b24b35d14039e
Author: Matthias Kaehlcke <matthias@kaehlcke.net>
Date:	Mon Feb 1 21:29:48 2010 +0100

    Add support for EDB93xx boards

    Added support for the following EDB93xx boards:

    EDB9301
    EDB9302
    EDB9302A
    EDB9307
    EDB9307A
    EDB93012
    EDB9315
    EDB9315A

    Signed-off-by: Matthias Kaehlcke <matthias@kaehlcke.net>

commit d798e27b14543762f9f5d0561a3430c7f9e2153b
Author: Ladislav Michl <Ladislav.Michl@seznam.cz>
Date:	Wed Jan 27 11:12:28 2010 -0500

    NetStar: Remove debug junk leaked into eeprom utility

    This patch removes debug junk leaked into eeprom utility.

    Signed-off-by: Ladislav Michl <ladis@linux-mips.org>
    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 89e94d81eda9af2e1c35e97125b0c049335c70fc
Author: Ladislav Michl <Ladislav.Michl@seznam.cz>
Date:	Wed Jan 27 11:12:23 2010 -0500

    NetStar: make crcit utility more readable

    This patch makes the crcit utility more readable

    Signed-off-by: Ladislav Michl <ladis@linux-mips.org>
    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 3843e7dc934d8ef7c592f5a2106885efe32eac7f
Author: Ladislav Michl <Ladislav.Michl@seznam.cz>
Date:	Wed Jan 27 11:12:08 2010 -0500

    NetStar: Disable CONFIG_CMD_JFFS2

    This patch removes "CONFIG_CMD_JFFS" from the board config

    Signed-off-by: Ladislav Michl <ladis@linux-mips.org>
    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 632e1d9014848ec8d983a629c2e35b4423816336
Author: Tom Rix <Tom.Rix@windriver.com>
Date:	Wed Jan 27 11:11:55 2010 -0500

    OMAP3 Move declaration of gpmc_cfg.

    Every omap3 board config file declared the global variable gpmc_cfg.
    This changes moves the declaration to a better location in the
    arch dependent header file cpu.h.

    Signed-off-by: Tom Rix <Tom.Rix@windriver.com>
    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 093d6018cf0a8dae614c2924c0013d97e2a48662
Author: Scott Ellis <scott@jumpnowtek.com>
Date:	Wed Jan 27 11:11:46 2010 -0500

    Overo GPMC registers

    Use appropriate GPMC timings for the LAN9221 controller on the
    Gumstix Overo expansion boards not the values in arch-omap3/mem.h
    which are for a different ethernet controller.

    Signed-off-by: Scott Ellis <scott@jumpnowtek.com>
    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 63a47dfd07536e399665ca7504bac512bf21491e
Author: Nick Thompson <nick.thompson@ge.com>
Date:	Wed Jan 27 11:11:28 2010 -0500

    da830evm: Use table driven pin mux configuration

    Tidyup the pin muxer configuration using the Davinci table driven
    pinmux configuration function and data tables.

    Signed-off-by: Nick Thompson <nick.thompson@ge.com>
    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 8ed5885693b39c5c2cca5574dd98d6ad8a982702
Author: Sekhar Nori <nsekhar@ti.com>
Date:	Wed Jan 27 11:10:40 2010 -0500

    TI DaVinci: Driver for the davinci SPI controller

    This adds a driver for the SPI controller found on davinci
    based SoCs from Texas Instruments.

    Signed-off-by: Sekhar Nori <nsekhar@ti.com>
    Signed-off-by: Sudhakar Rajashekhara <sudhakar.raj@ti.com>
    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 44d80256229d05862622f4dd886466fd70fe04ae
Author: Daniel Gorsulowski <Daniel.Gorsulowski@esd.eu>
Date:	Mon Jan 25 10:50:41 2010 +0100

    at91: Add esd gmbh OTC570 board support

    This patch adds support for esd gmbh OTC570 board.
    The OTC570 is based on an Atmel AT91SAM9263 SoC.

    Signed-off-by: Daniel Gorsulowski <Daniel.Gorsulowski@esd.eu>

commit e39bf1e2a9e437174687de687c127ec980a93eeb
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Mon Feb 8 15:30:16 2010 -0500

    kgdb: cpu/mpc* cpu/74xx: include kgdb.h when needed

    Commit cbb0cab1d929839d broke some platforms which used kgdb code but
    didn't actually include kgdb.h.  So include kgdb.h in all the relevant
    traps code.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit ab5a0dcb9c8f19e351fc33c5db91469bfb1d9438
Author: Stefan Roese <sr@denx.de>
Date:	Tue Feb 2 13:43:48 2010 +0100

    net: Use 0.5 sec timeout in miiphy_reset() instead of counting loop

    This patch fixes a problem I've notived on a buggy PPC4xx system. This
    system has problems with the PHY MDIO communication and seemed to be
    stuck/crashed in miiphy_reset(). But degugging revealed, that the CPU
    didn't crash, but "only" hung in this counting loop for about 2 minutes.

    This patch now uses a real timeout of 0.5 seconds (as mentioned in the
    comment in miiphy_reset).

    Signed-off-by: Stefan Roese <sr@denx.de>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit 4294b2485bf0e8d68c893190a96bb0e7856b12c4
Author: Stefano Babic <sbabic@denx.de>
Date:	Mon Feb 1 14:51:30 2010 +0100

    fec_mxc: add support for MX51 processor

    The patch add support for the Freescale mx51 processor
    to the FEC ethernet driver.

    Signed-off-by: Stefano Babic <sbabic@denx.de>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit e66b19ce6dbe6f91b18ba47273cbe89eb5a80e78
Author: Siddarth Gore <gores@marvell.com>
Date:	Tue Jan 19 11:09:07 2010 +0530

    NET: kirkwood-egiga smi access fix

    Although the datasheet mentions seperate smi registers for each
    port, using Port 1 smi register to access ethernet phys does not
    work. Hence only Port 0 smi register should be used to access all
    devices connected to the smi bus. This behavior is consistant with
    the mv643xx driver in the linux kernel.

    Signed-off-by: Siddarth Gore <gores@marvell.com>
    Acked-by: Prafulla Wadaskar <prafulla@marvell.com>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit a1b322a98319de568b3bc38029ef7e123643c1e8
Author: Ladislav Michl <ladis@linux-mips.org>
Date:	Mon Feb 1 23:34:25 2010 +0100

    ns16550: kick watchdog while waiting for a character

    ns16550 busyloops waiting for incoming byte causing watchdog to reboot
    while waiting for a key press. A call to WATCHDOG_RESET in NS16550_getc
    loop fixes it.

    Signed-off-by: Ladislav Michl <ladis@linux-mips.org>

commit 84d36b30181acfb72f22d1105c15574b30ea2fa1
Author: Remy Bohmer <linux@bohmer.net>
Date:	Mon Feb 1 19:40:47 2010 +0100

    USB: usb_control_msg wait for driver ISR to set status.

    This patch changes usb_control_msg back to the state prior to commit
    48867208444cb2a82e2af9c3249e90b7ed4a1751.

    The USB driver ISR routine may update the status.

    Signed-off-by: Daniel Hellstrom <daniel@gaisler.com>

commit 6e20e64f5c6deb5b48e40a0cba4877f9170545e0
Author: Prathap Srinivas <msprathap@ti.com>
Date:	Mon Jan 11 15:36:46 2010 +0530

    musb: Add host support for DM365 EVM

    Add support for musb host on DM365 EVM.

    Signed-off-by: Prathap Srinivas <msprathap@ti.com>

commit ec2aadb40855cecb088b68c062e3534d6ce39128
Author: Cliff Cai <cliff.cai@analog.com>
Date:	Tue Jan 19 00:10:42 2010 -0500

    usb: musb: fix Blackfin DMA register padding

    The conversion from offsets to C structs lost a little padding in the DMA
    register map.  Accessing endpoints other than ep0 with DMA would fail as
    the addresses wouldn't be adjusted correctly.

    Signed-off-by: Cliff Cai <cliff.cai@analog.com>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit d0750bc9e5932baf4c90eda2456106f21a26bdc1
Author: Wolfgang Denk <wd@denx.de>
Date:	Mon Feb 1 11:36:29 2010 +0100

    EXBITGEN: drop support for unmaintained board

    The EXBITGEN board has not been maintained for a long time; it has
    build problems, but no hardware is available any more for testing.

    Drop support for this board.

    Signed-off-by: Wolfgang Denk <wd@denx.de>
    Acked-by: Stefan Roese <sr@denx.de>

commit 9461a939cabd606d7f0e9b8490b40841af104ff5
Author: Wolfgang Denk <wd@denx.de>
Date:	Sun Jan 31 22:03:15 2010 +0100

    mpc5xxx/cpu_init.c: fix warning: unused variable 'cdm'

    Signed-off-by: Wolfgang Denk <wd@denx.de>
    Acked-by: Detlev Zundel <dzu@denx.de>

commit 13d8bfe26c0dd2c08b76c5f077e800a718859bbc
Author: Wolfgang Denk <wd@denx.de>
Date:	Sun Jan 31 21:58:48 2010 +0100

    mpc5xxx/cpu_init.c: fix warning: unused variable 'gpt0'

    Signed-off-by: Wolfgang Denk <wd@denx.de>
    Acked-by: Detlev Zundel <dzu@denx.de>

commit 4710cee1b5292fe077a67cc23193cc43060fbe3d
Author: Matthias Fuchs <matthias.fuchs@esd.eu>
Date:	Mon Feb 1 13:54:09 2010 +0100

    ppc4xx: Remove unused feature from AR405 board

    This patch fixes building for AR405 boards by remove an unused feature.

    Signed-off-by: Matthias Fuchs <matthias.fuchs@esd.eu>
    Signed-off-by: Stefan Roese <sr@denx.de>

commit 976c21ad8e136df0ec361aca0c4bc287c5637c01
Author: Matthias Fuchs <matthias.fuchs@esd.eu>
Date:	Mon Feb 1 13:53:59 2010 +0100

    ppc4xx: Fix building for PLU405 boards

    The init_coupler() function from board/esd/plu405/plu405.c
    got lost somehow! This patch readds it.

    Signed-off-by: Matthias Fuchs <matthias.fuchs@esd.eu>
    Signed-off-by: Stefan Roese <sr@denx.de>

commit 59c1db6dab52b981e6ea25a203d0a919ede61ed2
Author: Matthias Fuchs <matthias.fuchs@esd.eu>
Date:	Mon Feb 1 13:53:47 2010 +0100

    ppc4xx: Fix building of PMC440 board

    Remove some unused features and default environment variable
    to shrink the PMC440 u-boot.

    Signed-off-by: Matthias Fuchs <matthias.fuchs@esd.eu>
    Signed-off-by: Stefan Roese <sr@denx.de>

commit 6f6c26e430ffae87b6b3d74ba7cbf9439703feea
Author: Stefan Roese <sr@denx.de>
Date:	Tue Jan 26 13:33:29 2010 +0100

    ppc4xx: Fix compilation error on ML2 board

    Recently this compilation error occurs:

    Configuring for ML2 board...
    traps.c: In function 'MachineCheckException':
    traps.c:159: error: 'debugger_exception_handler' undeclared (first use
	in this function)
    traps.c:159: error: (Each undeclared identifier is reported only once
    traps.c:159: error: for each function it appears in.)

    This patch now fixes it by including kgdb.h

    Signed-off-by: Stefan Roese <sr@denx.de>

commit f3dec798d9ebf7f17c11ec7671b979ce3d251955
Author: Ladislav Michl <ladis@linux-mips.org>
Date:	Thu Jan 28 12:27:14 2010 +0100

    CFI: fix eraseregions numblocks

    eraseregions numblocks was sometimes one less than actual, possibly producing
    erase regions with zero blocks. As MTD code touches eraseregions only if
    numeraseregions is greater that zero, allocate eraseregions only for non
    uniform erase size flash.

    Signed-off-by: Ladislav Michl <ladis@linux-mips.org>
    Signed-off-by: Stefan Roese <sr@denx.de>

commit c041e9d212162f6c85cd3b6a40ad6ba9d9292451
Author: Jens Scharsig <js_at_ng@scharsoft.de>
Date:	Sat Jan 23 12:03:45 2010 +0100

    new at91_emac network driver (NET_MULTI api)

    * add's at91_emac (AT91RM9200) network driver (NET_MULTI api)
    * enable driver with CONFIG_DRIVER_AT91EMAC
    * generic PHY initialization
    * modify AT91RM9200 boards to use NET_MULTI driver
    * the drivers has been tested with LXT971 Phy and DM9161 Phy at
      MII and RMII interface

    Signed-off-by: Jens Scharsig <js_at_ng@scharsoft.de>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit 594d57d0ccce649d6ccd881b8d9c5ea8d0c307ef
Author: Matthias Kaehlcke <matthias@kaehlcke.net>
Date:	Sun Jan 31 17:39:49 2010 +0100

    Add EP93xx ethernet driver

    Added ethernet driver for EP93xx SoCs

    Signed-off-by: Matthias Kaehlcke <matthias@kaehlcke.net>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit 582c55a0274f38e6e7e35b95e7ab81d3e912f700
Author: Heiko Schocher <hs@denx.de>
Date:	Wed Jan 20 09:04:28 2010 +0100

    83xx, uec: split enet_interface in two variables

    There's no sensible reason to unite speed and interface type into
    one variable.  So split this variable enet_interface into two
    vars: enet_interface_type, which hold the interface type and speed.

    Also: add the possibility for switching between 10 and 100 MBit
    interfaces on the fly, when running in FAST_ETH mode.

    Signed-off-by: Heiko Schocher <hs@denx.de>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit d7e354374c8eb0a5d8b8226b881c5ee276c77a60
Author: Nick Thompson <nick.thompson@ge.com>
Date:	Fri Dec 18 13:33:07 2009 +0000

    TI: DaVinci: Updating EMAC driver for DM365, DM646x and DA8XX

    The EMAC IP on DM365, DM646x and DA830 is slightly different
    from that on DM644x. This change updates the DaVinci EMAC driver
    so that EMAC becomes operational on SOCs with EMAC v2.

    Signed-off-by: Nick Thompson <nick.thompson@ge.com>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit 0f751d6ef3e6fb1d28ac272c39c34831d629a59e
Author: Semih Hazar <semih.hazar@indefia.com>
Date:	Thu Dec 17 15:07:15 2009 +0200

    macb: Fix mii_phy_read and mii_phy_write functions

    Enabling CONFIG_CMD_MII in AVR32 boards was not possible due to
    compile errors.

    This patch fixes miiphy_read and miiphy_write functions and
    registers them properly.

    Signed-off-by: Semih Hazar <semih.hazar@indefia.com>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit 5f6b1442218fcb6a3ef0d2be05d84119cebfe0ae
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Mon Nov 9 13:09:48 2009 -0600

    tsec: Add TSEC_FIBER flag

    The TSEC_FIBER flag should be set when a PHY is operating with an
    external fiber interface.  Currently it is only used to notify a user
    that the PHY is operating in fiber mode.

    A short description was also added to the other TSEC flag defines so
    that it is clear how they differ from one another.

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit 8abb8dcc8d6f2a9e31551a6fa41de97bd1f15350
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Mon Nov 9 13:09:47 2009 -0600

    tsec: Add support for using the BCM5482 PHY in fiber mode

    The BCM5482 PHY supports both copper and fiber as an ethernet medium.
    By enabling its copper/fiber mode auto-detection feature it can
    dynamically determine if it should be configured for copper or fiber.

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit c6dbdfda5393c155bb13a90d9d6be4fe75ec3498
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Mon Nov 9 13:09:46 2009 -0600

    tsec: General cleanup

    - Cleanup formatting of phy_info structures

    - Fix lines > 80 chars

    - Fix some random indentation inconsistencies

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit e1957ef02c0d949c27f7386e5fa509a57e033d5a
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Mon Nov 9 13:09:45 2009 -0600

    tsec: Make functions/data static when possible

    This is generally good practice and saves ~150 bytes.

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit 27165b5c328464b706601b1cd586e359a3dc2f6d
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Mon Nov 9 13:09:44 2009 -0600

    tsec: Clean up Broadcom PHY status parsing

    - Remove unnecessary printing "Enet starting in <speed>/<duplex>"
	This same information is already printed during normal ethernet
	operation in the form "Speed: 1000, full duplex".

    - Add a check for link before determining link speed and duplex
	If there is no link, speed/duplex don't matter.  This also removes
	the annoying and unneeded "Auto-neg error, defaulting to 10BT/HD"
	message that occurs when no link is detected.

    - Whitespace and line > 80 characters cleanup

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit 46e91674fb4b6d06c6a4984c0b5ac7d9a16923f4
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Tue Nov 3 17:52:07 2009 -0600

    tsec: Force TBI PHY to 1000Mbps full duplex in SGMII mode

    In SGMII mode the link between a processor's internal TBI PHY and an
    external PHY should always be 1000Mbps, full duplex.  Also, the SGMII
    interface between an internal TBI PHY and external PHY does not
    support in-band auto-negotation.

    Previously, when configured for SGMII mode a TBI PHY would attempt to
    restart auto-negotation during initializtion.  This auto-negotation
    between a TBI PHY and external PHY would fail and result in unusable
    ethernet operation.

    Forcing the TBI PHY and and external PHY to link at 1000Mbps full duplex
    in SGMII mode resolves this issue of auto-negotation failing.

    Note that 10Mbps and 100Mbps operation is still possible on the external
    side of the external PHY even when SGMII is operating at 1000Mbps.
    The SGMII interface still operates at 1000Mbps, but each byte of data
    is repeated 100 or 10 times for 10/100Mbps and the external PHY handles
    converting this data stream into proper 10/100Mbps signalling.

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit 76771e595aa2640da8c7b5ea81bd9583ccdab8a1
Author: Seunghyeon Rhee <seunghyeon@lpmtec.com>
Date:	Mon Nov 2 00:00:00 2009 -0800

    NET: Fix MAC addr handling for smc911x

    This patch turns off MAC address mismatch warning when
    optional eeprom programmed with MAC address is not available.
    In that case, smc911x's MAC address register has its default
    value ff:ff:ff:ff:ff:ff and it's not a valid address. This
    makes eth_initialize() show the warning which has no
    meaningful information while environment variable ethaddr
    overrides the address read from the register. If there's no
    eeprom and the value of MAC address register is not valid
    after initialization, dev->enetaddr had better not be updated
    and maintain its initial value 00:00:00:00:00:00, which I
    think is what eth_initialize() expects. This is not a bug fix.
    Even without this patch, the driver works fine. It's just for
    enhancing the way of displaying messages.

    Signed-off-by: Seunghyeon Rhee <seunghyeon@lpmtec.com>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit 07c966066b977b24f4b08b1684eed130f463b4c6
Author: Matthias Kaehlcke <matthias@kaehlcke.net>
Date:	Thu Jan 21 22:16:34 2010 +0100

    cs8900_initialize() cleanup

    cs8900_initialize(): remove unecessary calls to free() and fix memory leak

    Signed-off-by: Matthias Kaehlcke <matthias@kaehlcke.net>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit c4168af3ba03c17a73751b98c124bbd2e3e1f5b0
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Thu Jan 21 05:04:59 2010 -0500

    smc91111_eeprom: fix linking error

    Building for a bf533-stamp ends up with this error:
    smc91111_eeprom.o: In function `smc91111_eeprom':
    examples/standalone/smc91111_eeprom.c:58: undefined reference to `memset'
    make[2]: *** [smc91111_eeprom] Error 1

    The new eth_struct definition means gcc has to zero out the structure on
    the stack, and some gcc versions optimize this with an implicit call to
    memset.  So tweak the structure style to avoid that gcc feature.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit 5f566f454750be4f2f83288ef382afcb9c4aa8a4
Author: Wolfgang Denk <wd@denx.de>
Date:	Sun Jan 31 21:51:43 2010 +0100

    cmd_ximg.c: fix error: 'i' undeclared

    Fix compile error:

	cmd_ximg.c: In function 'do_imgextract':
	cmd_ximg.c:234: error: 'i' undeclared (first use in this function)
	cmd_ximg.c:234: error: (Each undeclared identifier is reported only once
	cmd_ximg.c:234: error: for each function it appears in.)

    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit a6e42ed097220a82870a32f4e60ac8863a8b05ab
Author: Anatolij Gustschin <agust@denx.de>
Date:	Sat Dec 12 21:20:57 2009 +0100

    lcd: remove CONFIG_ATMEL_LCD ifdefs from lcd_setfgcolor

    Not all boards defining LCD_COLOR16 are able to set
    lcd_color_fg/lcd_color_bg correctly. The issue seems to
    be caused by CONFIG_ATMEL_LCD ifdefs in lcd_setfgcolor()
    and lcd_setbgcolor(). Actually, the color values passed
    to these functions are already correct, we don't need
    to fix them. So remove ifdefs here.

    Reported-by: Alessandro Rubini <rubini@unipv.it>
    Signed-off-by: Anatolij Gustschin <agust@denx.de>

commit d841978ea616e661e48f8da4045a71d6217823bd
Author: Alessandro Rubini <rubini@unipv.it>
Date:	Sat Dec 5 13:39:41 2009 +0100

    include/nomadik.h: add physical address for cldc

    Signed-off-by: Alessandro Rubini <rubini@unipv.it>
    Acked-by: Andrea Gallo <andrea.gallo@stericsson.com>

commit 3e446cbdf30221b9ca3a89b0f5abbfc691ce7755
Author: Alessandro Rubini <rubini@unipv.it>
Date:	Sat Dec 5 13:39:31 2009 +0100

    video: add amba-clcd prime-cell

    This adds support for the CLCD logic cell. It accepts precompiled
    register values for specific configuration through a board-supplied
    data structure.  It is used by the Nomadik nhk8815, added by a later
    patch in this series.

    Signed-off-by: Alessandro Rubini <rubini@unipv.it>
    Acked-by: Andrea Gallo <andrea.gallo@stericsson.com>

commit b081c2e9b9329d7dadc8d13fc9a2bae5c90a1204
Author: John Rigby <jcrigby@gmail.com>
Date:	Tue Jan 26 19:24:18 2010 -0700

    Nand mxc_nand add v1.1 controller support

    Add support for version 1.1 of the nfc nand flash
    controller which is on the i.mx25 soc.

    Signed-off-by: John Rigby <jcrigby@gmail.com>
    CC: Scott Wood <scottwood@freescale.com>

commit f3bb63a304c4e76010a2a4e99da61f7b6ffffc77
Author: John Rigby <jcrigby@gmail.com>
Date:	Tue Jan 26 19:24:17 2010 -0700

    Add MX25 support to nand_spl fsl nfc driver

    MX25 has a different version of the fsl_nfc
    flash controller known as version 1.1.

    Add support to the nand_spl fsl_nfc driver

    Versioning differs from mainline mxc kernel driver
    no consensus yet on if the naming here and in
    Redboot or the kernel is "correct".

    Signed-off-by: John Rigby <jcrigby@gmail.com>
    Signed-off-by: Wolfgang Denk <wd@denx.de>
    CC: Scott Wood <scottwood@freescale.com>

commit ef22b50370f7b6d8deba9e9e64d2cb13c542b647
Author: John Rigby <jcrigby@gmail.com>
Date:	Mon Jan 25 23:12:52 2010 -0700

    arm926ejs: add nand_spl boot support

    Add CONFIG_PRELOADER/CONFIG_NAND_SPL support for nand booting
    to arm926ejs/start.S

    This is derived from CONFIG_PRELOADER support in arm1136/start.S

    Signed-off-by: John Rigby <jcrigby@gmail.com>
    CC: Scott Wood <scottwood@freescale.com>

commit 15b86c3d6c9a5a2e917b73d758a556568430021a
Author: Wolfgang Denk <wd@denx.de>
Date:	Sat Jan 16 21:50:26 2010 -0700

    env_nand.c: print error message and fail gracefully

    env_nand.c would crash silently if a malloc() for the environment
    buffers failed; make it print an error message and fail gracefully,
    i. e. use the default environment then.

    Signed-off-by: Wolfgang Denk <wd@denx.de>
    Acked-by: John Rigby <jcrigby@gmail.com>

commit 674ef7bd02de948b6d8757f6a43a6f2fa4d88769
Author: Liu Yu <yu.liu@freescale.com>
Date:	Mon Jan 18 19:03:28 2010 +0800

    Nand boot: Add nand boot support for MPC8569mds board

    This patch add nand boot support for MPC8569mds board.

    Signed-off-by: Liu Yu <yu.liu@freescale.com>

commit 249d4dec69e8d41ca58fe6cb3c56ea6f0480ef16
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Wed Jan 27 10:16:56 2010 -0600

    Fix compiler warning in imximage.c due to getline prototype

    imximage.c: In function 'imximage_parse_cfg_file':
    imximage.c:142: warning: implicit declaration of function 'getline'

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit a9c3ac78d81d7ff4fe239e292e11e0f78ac5d461
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Tue Jan 12 12:56:05 2010 -0600

    85xx: Add support for 'cpu disable' command

    Support disabling of a core via user command 'cpu disable'.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit c894852b7aa2ac5f04ca70a073f803aa665c3ec1
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Tue Jan 12 11:51:52 2010 -0600

    86xx: Add support for 'cpu disable' command

    Support disabling of a core via user command 'cpu disable'.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 4194b3668a93eee18dd1f7eb1309ca7b05003aa7
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Tue Jan 12 11:42:43 2010 -0600

    Add support to disable cpu's in multicore processors

    Add a disable sub-command to the cpu command that allows for disabling
    cores in multicore processors.  This can be useful for systems that are
    using multicore chips but aren't utilizing all the cores as a way to
    reduce power and possibly improve performance.

    Also updated an added missing copyright.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 8b1760ed9a35a5fd71d1f64981068ca2979f1e3d
Author: Heiko Schocher <hs@denx.de>
Date:	Wed Jan 20 09:05:32 2010 +0100

    83xx, kmeter1: fix compile error

    - delete double MTDIDS_DEFAULT and MTDPARTS_DEFAULT
      defines in board config file.
    - add mising CONFIG_KM_UBI_PARTITION_NAME define

    Signed-off-by: Heiko Schocher <hs@denx.de>
    Signed-off-by: Kim Phillips <kim.phillips@freescale.com>

commit 5912d3650740468329a0df014109132431d2140d
Author: Wolfgang Wegner <w.wegner@astro-kom.de>
Date:	Thu Dec 10 10:11:21 2009 +0100

    add ability to handle compressed images to imxtract

    imxtract currently can not handle compressed images. This patch adds
    handling for bzip2 and zip compression. In both cases, a destination
    address has to be specified for extraction.

    Signed-off-by: Wolfgang Wegner <w.wegner@astro-kom.de>

commit a16e9a5b5f23106665dde15d974db17e8aeb83f1
Author: Joakim Tjernlund <Joakim.Tjernlund@transmode.se>
Date:	Tue Jan 19 14:41:57 2010 +0100

    ppc: remove -ffixed-r14 gcc option.

    This is no loger needed, free up r14 for general usage.

    Signed-off-by: Joakim Tjernlund <Joakim.Tjernlund@transmode.se>

commit e6bee80814c3a0d7eab89d28142fe68c4a670f31
Author: Joakim Tjernlund <Joakim.Tjernlund@transmode.se>
Date:	Tue Jan 19 14:41:58 2010 +0100

    ppc: Update README about the new GOT ptr.

    r14 is no longer used as non volatile GOT ptr. Instead
    the volatile r12 is used so be sure to do GET_GOT in
    asm code when you need to access global data.

    Signed-off-by: Joakim Tjernlund <Joakim.Tjernlund@transmode.se>

commit 0f8aa159175385ddd77bc91d11b9568583fbbd0c
Author: Joakim Tjernlund <Joakim.Tjernlund@transmode.se>
Date:	Tue Jan 19 14:41:56 2010 +0100

    ppc: Use r12 instead of r14 as GOT pointer.

    r14 is not supposed to be clobbered by functions. Switch
    to r12 and call GET_GOT when needed. This will allow u-boot
    to loose the -ffixed-r14 gcc option.

    Signed-off-by: Joakim Tjernlund <Joakim.Tjernlund@transmode.se>

commit fc4e188789b01dc9f18c80869c43fdd7d1a51378
Author: Joakim Tjernlund <Joakim.Tjernlund@transmode.se>
Date:	Tue Jan 19 14:41:55 2010 +0100

    ppc: Loose GOT access in IRQ

    Using the GOT in IRQ handlers requires r14 to be -ffixed-r14.
    Avoid this by relocatate transfer_to_handler too.
    This will allow to free up r14 later on.

    Signed-off-by: Joakim Tjernlund <Joakim.Tjernlund@transmode.se>

commit 66e821ebe96123b3a81ec9ca25cec9c0560fe232
Author: Vivek Mahajan <vivek.mahajan@freescale.com>
Date:	Thu Jan 7 14:27:14 2010 +0530

    85xx/p1_p2_rdb: enable hwconfig

    Signed-off-by: Vivek Mahajan <vivek.mahajan@freescale.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 46df64f22c471b010161aa68bfdbfe94ea46e7bd
Author: Liu Yu <yu.liu@freescale.com>
Date:	Fri Jan 15 14:58:40 2010 +0800

    qe: fixup the snum for MPC8569 Rev2.0

    Since 1.0 and 2.0 use different snum table,
    we fixup the snum value according to SPRN_SVR.

    Signed-off-by: Liu Yu <yu.liu@freescale.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 0fd2fa6cce6eb91271ebf9733878d0f1fcbc9b32
Author: Dave Liu <daveliu@freescale.com>
Date:	Tue Nov 17 20:49:05 2009 +0800

    Fix the local bus divider mapping

    The real clock divider is 4 times of the bits LCRR[CLKDIV],
    according the latest RevF RM.

    Signed-off-by: Dave Liu <daveliu@freescale.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit c95d541e4b46cb3ba19bf35e34b1dc3ca32f7b4b
Author: Liu Yu <yu.liu@freescale.com>
Date:	Fri Nov 27 15:31:52 2009 +0800

    ppc/85xx: Add ATM config for MPC8569MDS

    Signed-off-by: Liu Yu <yu.liu@freescale.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit d91803826985bfdf151eed66543ce3b1a301682f
Author: Liu Yu <yu.liu@freescale.com>
Date:	Fri Nov 27 15:31:51 2009 +0800

    ppc/85xx: Add PIB/ATM support for MPC8569mds

    Signed-off-by: Liu Yu <yu.liu@freescale.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 1118cdbfeb8fc3acfe542d08703153ac188f9dbd
Author: Li Yang <leoli@freescale.com>
Date:	Thu Jan 7 16:00:13 2010 +0800

    fsl_esdhc: fix wrong clock mask

    Fix typo in SYSCTL_CLOCK_MASK, which caused residual in high bits of SDCLKFS.

    Signed-off-by: Jin Qing <B24347@freescale.com>
    Signed-off-by: Li Yang <leoli@freescale.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 693416fe01d324472d270ac28389022eb82c7217
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Mon Jan 25 11:01:51 2010 -0600

    Revert "ppc/p4080: Fix reporting of PME & FM clock frequencies"

    This reverts commit bc20f9a9527afe8ae406a74f74765d4323f04922.

    The original code was correct.  I clearly need glasses or a brown
    paper bag.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 93cedc71647b4b72ac9b48e11997eb2f91645001
Author: James Yang <James.Yang@freescale.com>
Date:	Tue Jan 12 15:50:18 2010 -0600

    ppc/p4080: Fix mask width of RCW fields MEM_PLL_RAT, SYS_PLL_RAT

    The masks for MEM_PLL_RAT and SYS_PLL_RAT should have been 5-bits
    instead of 4.

    Signed-off-by: James Yang <James.Yang@freescale.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 2903ad33a71251a3a87485b5b185852c8998f209
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Fri Jan 8 08:03:06 2010 -0500

    jffs2: fix hangs/crashs when not using CONFIG_JFFS2_PART_SIZE

    Commit b5b004ad8a0ac6f98bd5708ec8b22fbddd1c1042 caused the sector_size to
    be calculated incorrectly when the part size was not hardcoded.  This is
    because the new code relied on part->size but tried to do the calculation
    before it was initialized properly, and it did not take into consideration
    the magic SIZE_REMAINING define.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 64b150213365db6be97a98d25884f87d83caacaf
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Fri Jan 8 02:48:03 2010 -0500

    getline: split out for darwin systems

    At least on OS X 10.5 and older, getline does not exist.  So split out the
    function from the mingw code so that we can pull it in for Darwin systems.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit e852d36a1e12864ab0656729c45c846e65efa4ee
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Thu Jan 21 19:59:04 2010 -0500

    tools: give explicit libfdt paths

    The current libfdt object rules hard depend implicitly on the .depend file
    being correct.  If it isn't, then it is unable to properly compile the
    objects.  Give it a full path like all the other implicit rules here so it
    will always work in face of .depend issues.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 44431cabbb66e81a2d77642b6f7d39c6230ea4ba
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Thu Jan 21 19:30:36 2010 -0500

    gzip/zlib: make features optional

    If you really want to slim down U-Boot and you would rather use a higher
    compression scheme (like LZMA), it'd be nice to disable gzip/zlib since
    these code bases take up a significant amount of space.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 8edcde5e4e2e7f6bc7e277011fed71e64fd9d294
Author: Stefano Babic <sbabic@denx.de>
Date:	Wed Jan 20 18:19:10 2010 +0100

    mkimage: Add Freescale imx Boot Image support (imximage)

    This patch adds support for "imximage" (MX Boot Image)
    to the mkimage utility. The imximage is used on the Freescales's
    MX.25, MX.35 and MX.51 processors.

    Further details under doc/README.imximage.

    This patch was tested on a Freescale mx51evk board.

    Signed-off-by: Stefano Babic <sbabic@denx.de>

commit a21fb981d533ac6d323a01c7fa2cda20f2d36de5
Author: Detlev Zundel <dzu@denx.de>
Date:	Wed Jan 20 14:28:48 2010 +0100

    mpc5xxx: Support CPU internal watchdog.

    Signed-off-by: Detlev Zundel <dzu@denx.de>

commit 82826d5422331e9c99e5408dcf0348c8e0c257a6
Author: Detlev Zundel <dzu@denx.de>
Date:	Fri Jan 22 14:47:59 2010 +0100

    mpc512x: Add display of reset status register

    Content of the RSR is put into gd early so we can output it together
    with the CPU info.	The clearing of gd in board_init_f is redundant for
    this architecture as it is done in cpu_init_f so we remove it.

    Signed-off-by: Detlev Zundel <dzu@denx.de>

commit a3f3897bfda9b4729785bdd328b3b7f30417a67f
Author: Daniel Gorsulowski <Daniel.Gorsulowski@esd.eu>
Date:	Wed Jan 20 08:00:11 2010 +0100

    at91: Enable slow master clock on meesc board

    Normally the processor clock has a divisor of 2.
    In some cases this this needs to be set to 4.
    Check the user has set environment mdiv to 4 to change the divisor.

    Signed-off-by: Daniel Gorsulowski <Daniel.Gorsulowski@esd.eu>

commit 7da692360414d07027c6cf564a15d79cd9dcf488
Author: Vipin KUMAR <vipin.kumar@st.com>
Date:	Fri Jan 15 19:15:53 2010 +0530

    SPEAr : Support added for SPEAr320 board

    SPEAr320 SoC support contains basic spear320 support along with the
    usage of following drivers
    - serial driver(UART)
    - i2c driver
    - smi driver
    - nand driver(FSMC)
    - usbd driver
    - emi driver(cfi support)

    Signed-off-by: Vipin <vipin.kumar@st.com>

commit 080cfee71459588fd6312e475bb5115bdbda1cb3
Author: Vipin KUMAR <vipin.kumar@st.com>
Date:	Fri Jan 15 19:15:52 2010 +0530

    SPEAr : Support added for SPEAr310 board

    SPEAr310 SoC support contains basic spear310 support along with the
    usage of following drivers
    - serial driver(UART)
    - i2c driver
    - smi driver
    - nand driver(FSMC)
    - usbd driver
    - emi driver(cfi support)

    Signed-off-by: Vipin <vipin.kumar@st.com>

commit 4bfacad4e796f2e121ee7432705ecc9c61e7b6ca
Author: Vipin KUMAR <vipin.kumar@st.com>
Date:	Fri Jan 15 19:15:51 2010 +0530

    SPEAr : emi controller initialization for CFI driver support

    SPEAr310 and SPEAr320 SoCs contain an EMI controller to interface
    Paraller NOR flashes. This patch adds the support for this IP

    The standard CFI driver is used to interface with NOR flashes

    Signed-off-by: Vipin <vipin.kumar@st.com>

commit 7e074158ce239380259c5fc97e87be2896169973
Author: Vipin KUMAR <vipin.kumar@st.com>
Date:	Fri Jan 15 19:15:50 2010 +0530

    SPEAr : Support added for SPEAr300 board

    SPEAr300 SoC support contains basic spear300 support along with the
    usage of following drivers
    - serial driver(UART)
    - i2c driver
    - smi driver
    - nand driver(FSMC)
    - usbd driver

    Signed-off-by: Vipin <vipin.kumar@st.com>

commit f92994f0f7403b84366ce04e554e461f624e6868
Author: Vipin KUMAR <vipin.kumar@st.com>
Date:	Fri Jan 15 19:15:49 2010 +0530

    SPEAr : Support for HW mac id read/write from i2c mem

    This patch adds the  support to read and write mac id from i2c
    memory.
    For reading:
	if (env contains ethaddr)
		pick env ethaddr
	else
		pick ethaddr from i2c memory
    For writing:
	chip_config ethaddr XX:XX:XX:XX:XX:XX writes the mac id
	in i2c memory

    Signed-off-by: Vipin <vipin.kumar@st.com>

commit 566c9c16fe4e501c3193ae6605bc9c663c6ea706
Author: Vipin KUMAR <vipin.kumar@st.com>
Date:	Fri Jan 15 19:15:48 2010 +0530

    SPEAr : Support added for SPEAr600 board

    SPEAr600 SoC support contains basic spear600 support along with the
    usage of following drivers
    - serial driver(UART)
    - i2c driver
    - smi driver
    - nand driver(FSMC)
    - usbd driver

    Signed-off-by: Vipin <vipin.kumar@st.com>

commit 62db1c0d79f1fd75961eec81edc8c0a1bc1f09a6
Author: Vipin KUMAR <vipin.kumar@st.com>
Date:	Fri Jan 15 19:15:47 2010 +0530

    SPEAr : usbd driver support for SPEAr SoCs

    SPEAr SoCs contain a synopsys usb device controller.
    USB Device IP can work in 2 modes
    - DMA mode
    - Slave mode

    The driver adds support only for slave mode operation of usb
    device IP. This driver is used along with standard USBTTY
    driver to obtain a tty interface over USB on the host

    Signed-off-by: Vipin <vipin.kumar@st.com>

commit 165fa406ad8c39c0c32a31476a8a9bda3db72851
Author: Vipin KUMAR <vipin.kumar@st.com>
Date:	Fri Jan 15 19:15:46 2010 +0530

    SPEAr : nand driver support for SPEAr SoCs

    SPEAr SoCs contain an FSMC controller which can be used to interface
    with a range of memories eg. NAND, SRAM, NOR.
    Currently, this driver supports interfacing FSMC with NAND memories

    Signed-off-by: Vipin <vipin.kumar@st.com>

commit a6e34f76c51c8514f1b691fc60394f09ae4fb2ff
Author: Vipin KUMAR <vipin.kumar@st.com>
Date:	Fri Jan 15 19:15:45 2010 +0530

    SPEAr : smi driver support for SPEAr SoCs

    SPEAr SoCs contain a serial memory interface controller. This
    controller is used to interface with spi based memories.
    This patch adds the driver for this IP.

    Signed-off-by: Vipin <vipin.kumar@st.com>

commit 2403f8f417b1b94701bb5949903d701f1f414a42
Author: Vipin KUMAR <vipin.kumar@st.com>
Date:	Fri Jan 15 19:15:44 2010 +0530

    SPEAr : i2c driver support added for SPEAr SoCs

    SPEAr SoCs contain a synopsys i2c controller.
    This patch adds the driver for this IP.

    Signed-off-by: Vipin <vipin.kumar@st.com>

commit 81c0ebf623ddbb6a4da8e051441c83e99a01b00b
Author: Vipin KUMAR <vipin.kumar@st.com>
Date:	Fri Jan 15 19:15:43 2010 +0530

    SPEAr : Adding basic SPEAr architecture support.

    SPEAr Architecture support added. It contains the support for
    following SPEAr blocks
    - Timer
    - System controller
    - Misc registers

    Signed-off-by: Vipin <vipin.kumar@st.com>

commit 6fffcdf8c869a3d8436be8eff6428d8121aa76e6
Author: Vipin KUMAR <vipin.kumar@st.com>
Date:	Fri Jan 15 19:15:42 2010 +0530

    SPEAr : Adding README.spear in doc

    README.spear contains information about SPEAr architecture and
    build options etc

    Signed-off-by: Vipin <vipin.kumar@st.com>

commit e4c43c20b87d5c9a7ac3b5250ca009311c62945c
Author: Tom Rix <Tom.Rix@windriver.com>
Date:	Wed Jan 20 18:00:28 2010 -0600

    ARM Update mach-types

    Fetched from http://www.arm.linux.org.uk/developer/machines/download.php
    And built with

    repo http://ftp.arm.linux.org.uk/pub/linux/arm/kernel/git-cur/linux-2.6-arm
    commit 2045124ffd1a5e46d157349016a2c50f19c8c91d

    Signed-off-by: Tom Rix <Tom.Rix@windriver.com>

commit bfb6d510e9acbec97e4e1cc855ec1269538689f8
Author: Prafulla Wadaskar <prafulla@marvell.com>
Date:	Mon Nov 16 18:29:25 2009 +0530

    Kirkwood: Makefile cleanup- fixed ordering (cosmetic change)

    As per coding guidlines, it is good to maintain proper ordering
    in the makefiles.
    This was missed during initial coding, corrected here.

    This was discovered during orion5x code review
    Thanks to Albert Aribaud for this.

    Signed-off-by: Prafulla Wadaskar <prafulla@marvell.com>

commit beca04dd2446fc9ec46ca17163dadb7f82420e7c
Author: Prafulla Wadaskar <prafulla@marvell.com>
Date:	Thu Dec 24 02:55:23 2009 +0530

    Kirkwood: Upgated licencing for files imported from linux source to GPLv2 or later

    These are few files directly imported from Linux kernel source.
    Those are not modifyed at all ar per strategy.
    These files contains source with GPLv2 only
    whereas u-boot expects GPLv2 or latter

    These files are updated for the same from prior permission from original writes

    Acked-by: Nicolas Pitre <nico@marvell.com>
    Signed-off-by: Prafulla Wadaskar <prafulla@marvell.com>

commit d8e5f55475e621e793a15d93e2dd2549c5138735
Author: Minkyu Kang <mk7.kang@samsung.com>
Date:	Fri Dec 18 15:03:51 2009 +0900

    s5pc1xx: update cache routines

    Because of v7_flush_dcache_all is moved to omap3/cache.S
    and s5pc110 needs cache routines, update s5pc1xx cache routines.

    l2_cache_enable and l2_caceh_disable are moved from cache.c to cache.S
    and invalidate_dcache is modified for SoC specific.

    Signed-off-by: Minkyu Kang <mk7.kang@samsung.com>

commit 17ef9104ae11220979e1870f22dcaf535d9baacf
Author: Seunghyeon Rhee <seunghyeon@lpmtec.com>
Date:	Thu Dec 3 09:41:49 2009 +0900

    samsung: fix DMC1_MEM_CFG for s3c64xx

    The MSB of DMC1_MEM_CFG can be set to '1' for separate CKE control
    for S3C6400. In the configuration of SMDK6400, however, two 16-bit
    mDDR (SAMSUNG K4X51163) chips are used in parallel to form 32-bit
    memory bus and there is no need to control CKE for each chip
    separately. AFAIK, CKE1 is not at all connected. Only CKE0 is
    used. Futhermore, it should be '0' always for S3C6410. When tested
    with a board which has a S3C6410 and the same memory configuration,
    a side effect is observed that u-boot command "reset" doesn't work
    leading to system hang. Leaving the bit clear is safe in most cases.

    Signed-off-by: Seunghyeon Rhee <seunghyeon@lpmtec.com>
    Signed-off-by: Minkyu Kang <mk7.kang@samsung.com>

commit 9998b1366e7e42089c3f579b4d1d790d3c295387
Author: Stefan Roese <sr@denx.de>
Date:	Thu Jan 21 11:37:31 2010 +0100

    ppc4xx: Kilauea: Add CPLD version detection and EBC reconfiguration

    A newer CPLD version on the 405EX evaluation board requires a different
    EBC controller setup for the CPLD register access. This patch adds a CPLD
    version detection for Kilauea and code to reconfigure the EBC controller
    (chip select 2) for the old CPLD if no new version is found.

    Additionally the CPLD version is printed upon bootup:

    Board: Kilauea - AMCC PPC405EX Evaluation Board (CPLD rev. 0)

    Signed-off-by: Stefan Roese <sr@denx.de>
    Acked-by: Wolfgang Denk <wd@denx.de>
    Cc: Zhang Bao Quan <bqzhang@udtech.com.cn>

commit 97c9f29008579f56c3fb86785f29f04dd4f47f94
Author: Felix Radensky <felix@embedded-sol.com>
Date:	Sat Jan 23 01:35:24 2010 +0200

    ppc4xx: Fix sending type 1 PCI transactions

    The list of 4xx SoCs that should send type 1 PCI transactions
    is not defined correctly. As a result PCI-PCI bridges and devices
    behind them are not identified. The following 4xx variants should
    send type 1 transactions: 440GX, 440GP, 440SP, 440SPE, 460EX and 460GT.

    Signed-off-by: Felix Radensky <felix@embedded-sol.com>
    Signed-off-by: Stefan Roese <sr@denx.de>

commit 57ae8a5cced612088104303777e71a3dc89c00ef
Author: Detlev Zundel <dzu@denx.de>
Date:	Thu Jan 21 17:55:58 2010 +0100

    mpc512x: Use in/out accessors for all registers

    This is not only a cosmetic change as it fixes the real bug of board
    reset not working with the ELDK 4.2 toolchain.

    Signed-off-by: Detlev Zundel <dzu@denx.de>

commit c7c0d542a199089cf658a7c23c314a5cff248b00
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Thu Jan 21 04:03:22 2010 -0500

    tools: allow people to compile w/out configuring

    It's useful to be able to build up the host tools without having to select
    a board first.  Pretty much all tools in there are config-independent
    anyways.

    Also add a shortcut "tools-all" to quickly build all host tools that are
    actually config-independent to allow for simple test builds.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit c5a028f085020b60040a2b42966f29b25bd6ee8e
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Thu Jan 21 04:03:21 2010 -0500

    ubsha1: drop unnecessary includes/prototypes

    This code doesn't use any config.h defines, and the sha1.h header already
    declares a sha1_csum prototype.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 5daa1c18b6a6877b0619a8dbaad0afd783f79e4f
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Thu Jan 21 04:03:20 2010 -0500

    image.h: avoid command.h for host tools

    The u-boot command structures don't get used with host systems, so don't
    bother including it when building host code.  This avoids an implicit need
    on config.h in the process.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 34be10651704709dfb35f9c57013f02d47cced09
Author: Matthias Weisser <weisserm@arcor.de>
Date:	Mon Jan 18 10:58:13 2010 +0100

    Removing Atmel from ARM926EJ-S Systems

    Signed-off-by: Matthias Weisser <weisserm@arcor.de>

commit a16028da63c78001823bfb375b3f6d9d86e5a534
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Tue Nov 3 11:35:59 2009 -0500

    lmb: only force on arches that use it

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit dac4d7e8849d275023ea2fcae6caf941db91c042
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Sun Jan 17 21:08:00 2010 -0500

    sha1: add dedicated config option

    The sha1 code is currently compiled for everyone, but in reality, it's
    only used by the FIT code.	So make it optional just like MD5.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 33c8c664239f6665b228145d7e5adfa238a300bc
Author: Felix Radensky <felix@embedded-sol.com>
Date:	Tue Jan 19 21:19:06 2010 +0200

    ppc4xx: Allow setting a single SPD EEPROM address for DDR2 DIMMs

    On platforms where SPD EEPROM and another EEPROM have adjacent
    I2C addresses SPD_EEPROM_ADDRESS should be defined as a single
    element array, otherwise DDR2 setup code would fail with the
    following error:

    ERROR: Unknown DIMM detected in slot 1

    However, fixing SPD_EEPROM_ADDRESS would result in another
    error:

    ERROR: DIMM's DDR1 and DDR2 type can not be mixed.

    This happens because initdram() routine does not explicitly
    initialize dimm_populated array. This patch fixes the problem.

    Signed-off-by: Felix Radensky <felix@embedded-sol.com>
    Signed-off-by: Stefan Roese <sr@denx.de>

commit d98964aaacc5c54cf7d67bb1e5128ed067086dd7
Author: Felix Radensky <felix@embedded-sol.com>
Date:	Tue Jan 19 17:37:13 2010 +0200

    ppc4xx: Fix reporting of bootstrap options G and F on 460EX/GT

    Bootstrap options G and F are reported incorrectly (G instead
    of F and vice versa). This patch fixes this.

    Signed-off-by: Felix Radensky <felix@embedded-sol.com>
    Signed-off-by: Stefan Roese <sr@denx.de>

commit 19c292999732996e071caa0782eeef0ce0a60ac0
Author: Shinya Kuribayashi <shinya.kuribayashi@necel.com>
Date:	Wed Jan 20 21:07:00 2010 +0900

    MIPS: qemu_mips: Import asm/unaligned.h from the Linux kernel

    with a few adjustments for U-Boot.	This fixes the following build error:

    make -C lib_generic/
    zlib.c:31:27: error: asm/unaligned.h: No such file or directory
    zlib.c: In function 'inflate_fast':
    zlib.c:641: warning: implicit declaration of function 'get_unaligned'
    make[1]: *** [zlib.o] Error 1
    make[1]: Leaving directory `/home/skuribay/git/u-boot.git/lib_generic'
    make: *** [lib_generic/libgeneric.a] Error 2

    Reported-by: Himanshu Chauhan <himanshu@symmetricore.com>
    Signed-off-by: Shinya Kuribayashi <skuribay@pobox.com>

commit 38a8b3eafb17d61690e5fc93e6dc45120f79d7d0
Author: Magnus Lilja <lilja.magnus@gmail.com>
Date:	Sun Jan 17 17:46:11 2010 +0100

    MX31: Activate NAND environment on i.MX31 PDK board.

    Signed-off-by: Magnus Lilja <lilja.magnus@gmail.com>

commit c4832dffff20519e72879a8da010174ac0526141
Author: Magnus Lilja <lilja.magnus@gmail.com>
Date:	Sun Jan 17 17:46:10 2010 +0100

    MXC: Add large page oob layout for i.MX31 NAND controller.

    Import the large page oob layout from Linux mxc_nand.c driver.

    The CONFIG_SYS_NAND_LARGEPAGE option is used to activate
    the large page oob layout. Run time detection is not supported
    as this moment.

    This has been tested on the i.MX31 PDK board with a large
    page NAND device.

    Signed-off-by: Magnus Lilja <lilja.magnus@gmail.com>

commit f6a9748e3261fdccdeb78a2b58e6ad538ba54496
Author: Magnus Lilja <lilja.magnus@gmail.com>
Date:	Wed Nov 11 20:18:43 2009 +0100

    mxc_nand: Update driver to work with i.MX31.

    Tested on i.MX31 Litekit.

    Signed-off-by: Magnus Lilja <lilja.magnus@gmail.com>

commit c816dcb118e26ba17e7d73989514fec08a3823ac
Author: Magnus Lilja <lilja.magnus@gmail.com>
Date:	Wed Nov 11 20:18:42 2009 +0100

    MX31: Add struct definition for clock control module in i.MX31.

    Signed-off-by: Magnus Lilja <lilja.magnus@gmail.com>

commit 50ef25ef24eccd8e69d2c1ccc97b3f7e30109f51
Author: Michal Simek <monstr@monstr.eu>
Date:	Tue Jan 19 12:03:25 2010 +0100

    microblaze: zlib needs asm/unaligned.h

    Microblaze has own hw unaligned handler if is available.
    Use big endian version.

    Signed-off-by: Michal Simek <monstr@monstr.eu>

commit 5b8b83bce6fdd0d2ca661de90ae83a0f8b152de6
Author: Michal Simek <monstr@monstr.eu>
Date:	Tue Jan 19 12:03:24 2010 +0100

    microblaze: Remove getenv_IPaddr prototype

    Commit 6a45e384955262882375a2785426dc65aeb636c4
    should remove reference from Microblaze too.

    Signed-off-by: Michal Simek <monstr@monstr.eu>

commit b9e6957ca15be8466190794d6d87845491b3411b
Author: Alessandro Rubini <rubini@unipv.it>
Date:	Mon Jan 18 22:38:38 2010 +0100

    MAINTAINERS: fix nhk8815 board name

    Signed-off-by: Alessandro Rubini <rubini@unipv.it>

commit b40e2320c440c5082020e5036a0cb8d4ed1b3d7d
Author: Ben Warren <biggerbadderben@gmail.com>
Date:	Mon Jan 18 11:35:31 2010 -0800

    Fix breakage in SMC EEPROM standalone applications

    Commit 6a45e384955262882375a2785426dc65aeb636c4 (Make getenv_IPaddr() global)
    inadvertently added ' #include "net.h" ' to the standalone programs, creating
    duplicate definitions of 'struct eth_device'.  This patch removes the local
    definitions and removes other code that breaks due to the change in definition.

    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>
    Acked-by: Mike Frysinger <vapier@gentoo.org>

commit 2a9987935e3cdb61e7550c87cbc9f500a54f672d
Author: Daniel Hobi <daniel.hobi@schmid-telecom.ch>
Date:	Mon Jan 18 18:13:39 2010 +0100

    Makefile: fix parallel build

    During parallel build, the top Makefile spawns multiple sub-makes for
    targets in cpu/$(CPU) and $(dir $(LDSCRIPT)). If the .depend files are
    not present in these directories, the sub-makes may end up generating
    these files simultaneously which leads to corrupted content.

    A typical error message is:

    .depend:39: *** multiple target patterns.  Stop.

    This patch serializes the creation of .depend in cpu/$(CPU) and
    $(dir $(LDSCRIPT)) by adding these directories to the depend target
    in the top Makefile.

    Other directories in $(LIBS) are not affected since they contain only
    one Make target and thus only one sub-make is spawned per directory.

    Signed-off-by: Daniel Hobi <daniel.hobi@schmid-telecom.ch>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit f19fd87e9387282b5abbfdafe46ac272320643d8
Author: Robin Getz <robin.getz@analog.com>
Date:	Mon Dec 21 16:35:48 2009 -0500

    Blackfin: add support for kgdb

    Signed-off-by: Robin Getz <robin.getz@analog.com>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 3869453f659c22396fecb7c8ed7af909e89f461c
Author: Robin Getz <robin.getz@analog.com>
Date:	Mon Dec 21 17:55:22 2009 -0500

    asm-generic/signal.h: import from linux

    We need signal.h for Blackfin/KGDB, so import the asm-generic/signal.h
    for people to leverage.

    Signed-off-by: Robin Getz <robin.getz@analog.com>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 88ffb2665cd066b6b20cfaade13929d4e8428dde
Author: Heiko Schocher <hs@denx.de>
Date:	Thu Jan 7 08:55:54 2010 +0100

    CRAMFS: support cramfs in RAM

    cramfsls and cramfsload are added to the command list.
    A cramfs placed at 'cramfs_addr' can the be listed with 'cramfsls' and files
    can be loaded with 'cramfsload'. 'cramfs_addr' is an environment variable
    specifying the address the cramfs is located.
    This works for powerpc and for ARM.

    Use CONFIG_CMD_CRAMFS.

    Signed-off-by: Andreas Huber <andreas.huber@keymile.com>
    Signed-off-by: Heiko Schocher <hs@denx.de>

commit 4897ee33c98b4b29efd62854052eb7862380b5ae
Author: Heiko Schocher <hs@denx.de>
Date:	Thu Jan 7 08:55:50 2010 +0100

    powerpc: keymile boards updates

    - malloc size 4 MB for all keymile boards
    - use generic FDT code for fixing up the DTS
    - enable unit-led at startup for keymile boards
    - remove some dts updates for keymile boards
    - ppc_83xx, kmeter1: take FE/GbE PHYs out of reset
    - ppc_83xx, kmeter1: change from Intel Strata to Spansion 64MB flash
      changed from Intel Strata to Spansion 64MB flash and changed flash layout.
    +---------+----------+-----------------------+-----------------------------+
    | name    | size	 | range		 | description		       |
    +---------+----------+-----------------------+-----------------------------+
    | u-boot  |   768 KB | 0xf0000000-0xf00bffff | for u-boot		       |
    | env     |   128 KB | 0xf00c0000-0xf00dffff | for environment	       |
    | envred  |   128 KB | 0xf00e0000-0xf00fffff | for environment (redundant) |
    | ubi0    | 64512 KB | 0xf0100000-0xf3ffffff | ubi0 for ubi volumes        |
    +---------+----------+-----------------------+-----------------------------+

    Signed-off-by: Heiko Schocher <hs@denx.de>

commit 1567b596d9f4a7ff49ebdca29e15a33777dfd670
Author: Heiko Schocher <hs@denx.de>
Date:	Thu Jan 7 08:55:44 2010 +0100

    env, eeprom: add redundant environment support

    Add redundant environment support for environment lying on a EEPROM.

    Tested on uppcoming suen3 support

    Signed-off-by: Andreas Huber <andreas.huber@keymile.com>

commit 548738b4d43af841ff58c787bce297ac6a8bf7d1
Author: Heiko Schocher <hs@denx.de>
Date:	Thu Jan 7 08:55:40 2010 +0100

    cmd_eeprom: I2C updates

    - CONFIG_ENV_EEPROM_IS_ON_I2C
      define this, if you have I2C and SPI activated, and your
      EEPROM, which holds the environment, is on the I2C bus.

    - CONFIG_I2C_ENV_EEPROM_BUS
      if you have an Environment on an EEPROM reached over
      I2C muxes, you can now define, how to reach this
      EEPROM.

    Signed-off-by: Heiko Schocher <hs@denx.de>

commit b63815e31355b44e65899b361da1d8ef6940ab90
Author: Matthias Kaehlcke <matthias@kaehlcke.net>
Date:	Tue Dec 22 23:05:45 2009 +0100

    move definition of macros likely and unlikely to compiler.h

    the macros likely and unlikely were defined in include/linux/mtd/compat.h,
    but used in code not related to MTD. moved the macro definitions to compiler.h

    Signed-off-by: Matthias Kaehlcke <matthias@kaehlcke.net>

commit c3d7eec6d88945dec0626cdd4f4a35cb5f83ef00
Author: Detlev Zundel <dzu@denx.de>
Date:	Tue Dec 22 12:43:02 2009 +0100

    cmd_bootm.c: Change interpretation of standalone image parameters.

    Current code uses the second argument to bootm for standalone images to
    override the load address specified in the image instead of passing all
    parameters as is to the application.  This behaviour is not documented
    and not in line with how the go command works for standalone applications,
    so we simply drop it.

    Signed-off-by: Detlev Zundel <dzu@denx.de>

commit 8b828a8f44b7ee9953c7ba63e64b1e80790139b3
Author: Detlev Zundel <dzu@denx.de>
Date:	Tue Dec 22 12:43:01 2009 +0100

    cmd_bootm.c: Do not load a ramdisk when not booting a kernel.

    In case we boot an image marked as 'standalone' and 'linux', the current
    code erroneously tried to load a ramdisk.

    Signed-off-by: Detlev Zundel <dzu@denx.de>

commit 16035bcd8c81c3c59dddfb54f48e8059a623b13c
Author: Robin Getz <robin.getz@analog.com>
Date:	Mon Dec 21 18:40:44 2009 -0500

    kgdb: update mem2hex/hex2mem funcs

    Convert the funcs to do the conversion inline so that we can do the copy
    all at once with memcpy.  This let's us push out an weird arch-specific
    issue with accessing different regions of memory to the memcpy function
    like the MMRs on Blackfin systems, and it should be a bit faster.

    Signed-off-by: Robin Getz <robin.getz@analog.com>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit cbb0cab1d929839d1cf170b54b1fef05896433ea
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Mon Dec 21 18:40:43 2009 -0500

    kgdb: drop duplicate debugger_exception_handler

    The debugger_exception_handler definition is the same for everyone, so use
    the common one now.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 0c909551f88c0d92a919ff70127df7b33cdd473d
Author: Robin Getz <robin.getz@analog.com>
Date:	Mon Dec 21 18:40:42 2009 -0500

    kgdb: add default generic stubs

    The default kgdb functions can be implemented with common U-Boot functions,
    so rather than force everyone to copy & paste these things, create a set of
    weak stubs.

    Signed-off-by: Robin Getz <robin.getz@analog.com>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit fa2744de6584c92750f807a006e20a59ee046e76
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Mon Dec 21 14:19:12 2009 -0500

    netconsole: mark local funcs with static

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 7293e0577f149b75595b6f6ceb75bf50a523aff6
Author: Michael Hennerich <michael.hennerich@analog.com>
Date:	Sat Dec 19 08:19:09 2009 -0500

    easylogo: add support for 16-bit RGB565

    Signed-off-by: Michael Hennerich <michael.hennerich@analog.com>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 0f597bc2a80353bcd0fd4daf42e2047c959485c8
Author: Detlev Zundel <dzu@denx.de>
Date:	Fri Dec 18 17:35:57 2009 +0100

    mpc5xxx/cpu_init.c: Convert to IO accessors.

    Signed-off-by: Detlev Zundel <dzu@denx.de>

commit 18e89890625c86be6c971c01b824d14bbdd78e25
Author: Detlev Zundel <dzu@denx.de>
Date:	Fri Dec 18 17:35:56 2009 +0100

    mpc5xxx.h: Add structure definition for XLB arbiter block.

    Signed-off-by: Detlev Zundel <dzu@denx.de>

commit 10c32ff59f7abe352b548066918bc5ea39e7c47b
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Wed Dec 2 21:15:03 2009 -0500

    config_defaults.h: new header for common u-boot config defaults

    There are a bunch of features in U-Boot that we want to enable by default,
    and it's best if we centralize them in one place rather than updating all
    the board files out there.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 64917ca38933d10b3763f61df7a1e58e1e127b52
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Sun Jan 17 15:38:26 2010 -0600

    PCIe, USB: Replace 'end point' references with 'endpoint'

    When referring to PCIe and USB 'endpoint' is the standard naming
    convention.

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>
    Acked-by: Stefan Roese <sr@denx.de>
    Acked-by: Remy Bohmer <linux@bohmer.net>

commit 6a45e384955262882375a2785426dc65aeb636c4
Author: Dirk Behme <dirk.behme@googlemail.com>
Date:	Sun Jan 3 08:33:58 2010 +0100

    Make getenv_IPaddr() global

    There are boards out there that do not have network support in
    U-Boot (CONFIG_CMD_NET not set), but they do so in Linux. This
    makes it desirable to be able to port network configuration (like
    the IP address) to the Linux kernel.

    We should not make the passing of the IP configuration to Linux
    dependent on U-Boot features / settings.

    For this, make getenv_IPaddr() global. This fixes build error

    u-boot/lib_xxx/board.c:360: undefined reference to `getenv_IPaddr'

    on various architectures.

    Signed-off-by: Dirk Behme <dirk.behme@googlemail.com>
    Acked-by: Ben Warren <biggerbadderben@gmail.com>

commit 846a6391e4bc9fdd721753a1021953ff0ca17c27
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Fri Jan 15 04:50:40 2010 -0500

    Blackfin: drop .eh_frame from linker script

    Nothing in U-Boot uses runtime C++ exceptions/unwinding, so there is no
    need to list this section.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit ed912d4d659e67910edca04498803db24d826615
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Fri Jan 15 04:47:06 2010 -0500

    Blackfin: use sort funcs in the linker script

    This is just Blackfin catching up with every one else.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 2aeda2d054bb32027bed33d9c3a63d152164b5e0
Author: Harald Krapfenbauer <Harald.Krapfenbauer@bluetechnix.at>
Date:	Wed Jan 13 09:04:53 2010 -0500

    Blackfin: tcm-bf518: new board port

    Signed-off-by: Harald Krapfenbauer <Harald.Krapfenbauer@bluetechnix.at>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit c46a0ebf82d3fd27dd21ad7d4fe7f11c2b2b0b21
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Fri Jan 8 07:56:17 2010 -0500

    Blackfin: enable JFFS summary support for ADI boards

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 912da8d606997822d44905b83ef47799a130a1b9
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Fri Jan 8 06:14:13 2010 -0500

    Blackfin: bf518f-ezbrd: increase monitor length

    The addition of KGDB overflowed the current linker section.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 03642aeee0d51660c35c9dbdde78882eb3efb350
Author: Robin Getz <robin.getz@analog.com>
Date:	Mon Dec 21 17:02:48 2009 -0500

    Blackfin: handle anomaly 05000257

    Need to reload the loop counters to keep from corrupting hardware loops.

    Signed-off-by: Robin Getz <robin.getz@analog.com>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit b6db2834407d49ec48ac8e9281fdd704d5ee3eba
Author: Robin Getz <robin.getz@analog.com>
Date:	Mon Dec 21 16:59:21 2009 -0500

    Blackfin: keep hwtrace on CPLB miss

    Crashes rarely happen in the CPLB miss handler compared to the rest of
    U-Boot code, so disable hardware tracing when processing misses.  This
    way a crash due to other functions will be shown properly.

    Signed-off-by: Robin Getz <robin.getz@analog.com>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 0097870e3d72f10ec58ae22488945fd9ee37289f
Author: Robin Getz <robin.getz@analog.com>
Date:	Mon Dec 21 15:31:08 2009 -0500

    Blackfin: add a netconsole helper

    Signed-off-by: Robin Getz <robin.getz@analog.com>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 10eafa10be2deaba4939d0c19cd21648f2d3d4aa
Author: Michael Hennerich <michael.hennerich@analog.com>
Date:	Thu Dec 10 09:19:21 2009 +0000

    Blackfin: add support for BF527-EZKIT v2.1

    The new board revision has a different LCD.

    Signed-off-by: Michael Hennerich <michael.hennerich@analog.com>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 9442c4a1337dbcf82e3bc02a12e24f491e0e6122
Author: Cliff Cai <cliff.cai@analog.com>
Date:	Tue Dec 8 07:25:57 2009 +0000

    Blackfin: bf527-ezkit/bf548-ezkit: add musb board specific initialization

    Signed-off-by: Cliff Cai <cliff.cai@analog.com>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 581d92eefc1a060ea5c6eb42028880a37095953d
Author: Cliff Cai <cliff.cai@analog.com>
Date:	Mon Dec 7 08:03:06 2009 +0000

    Blackfin: bfin_spi: round up clock divider

    If the requested clock cannot be exactly obtained, round it up so that we
    err on the side of slightly slower rather than slightly faster.

    Signed-off-by: Cliff Cai <cliff.cai@analog.com>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit a52ad4f99486ce3f404f83f75263e321956bb6d5
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Mon Nov 30 13:51:24 2009 -0500

    Blackfin: pull io funcs from linux

    Some common code uses more of the io.h funcs than we currently provide, so
    pull in all of the ones from the linux kernel.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 5eefe7e99537ca3641496185f23b1dc9e76b405c
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Mon Nov 30 13:34:07 2009 -0500

    Blackfin: section off the CF/IDE io.h hacks

    These need to be rethought, but until that happens, isolate the hack so
    that we can extend the common code without breaking things.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 3b062da326f9b37d34aa8f80bf9d2f9e74f55c86
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Mon Nov 30 13:30:18 2009 -0500

    Blackfin: drop unused funcs from io.h

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 5f79644d2665763d522ef2db53c026c5f4865b02
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Mon Nov 30 13:08:39 2009 -0500

    Blackfin: bf533-stamp: split and cleanup CF/IDE code

    Give the CF/IDE code its own file to keep things cleanly separated.  While
    we're here, clean up the code to use common functions.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit e54c8209913a3f26ae28819e3515df53ec2b4548
Author: Cliff Cai <cliff.cai@analog.com>
Date:	Fri Nov 20 08:24:43 2009 +0000

    Blackfin: convert bfin_sdh to generic mmc

    Signed-off-by: Cliff Cai <cliff.cai@analog.com>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 17ebd5bf3393144f3ead19384318a6e5b01c4f90
Author: Cliff Cai <cliff.cai@analog.com>
Date:	Tue Nov 17 09:36:21 2009 +0000

    Blackfin: bfin_spi: let boards control idle value

    Some SPI devices like to see high idle values rather than low.

    Signed-off-by: Cliff Cai <cliff.cai@analog.com>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit ea693f22d8dbd8a65867a60a7f3faac30f85d65b
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Sat Nov 14 13:53:00 2009 -0500

    Blackfin: asm/string.h: drop useless includes

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit f948158f72e6b880d02e4fa549362e4dc285eb1c
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Thu Nov 12 18:42:53 2009 -0500

    Blackfin: use new bfin read/write mmr helper funcs

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 313e8aacc1c9f5ca06085fa19b1429fa18a01aaa
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Thu Nov 12 18:42:07 2009 -0500

    Blackfin: move watchdog config check to Makefile

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit dc6bc645e0cc1939b31cc54346415cf8e0dffc88
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Wed Nov 11 19:08:33 2009 -0500

    Blackfin: fix L1 Instruction sizes on BF52x/BF54x

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit b7659ef2e764f62fc334f0d970721496823e4888
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Wed Nov 11 17:29:35 2009 -0500

    Blackfin: bf527-ezkit: auto-select NAND settings

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 7527feef06b13e9fd5b6d10a4bfc81b59ee56f27
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Mon Nov 9 19:38:23 2009 -0500

    Blackfin: support boards with no external memory

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit dbda2c65e5fec92d0791367b53042983746ce95b
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Mon Nov 9 19:44:04 2009 -0500

    Blackfin: re-architect initcode

    The single initcode function was growing unwieldy, so split it up the
    distinct steps into their own function.  This should making digesting the
    result much easier on people.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit f5402d4c27e471c333cb84a82a437e60c6182449
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Mon Nov 9 18:08:09 2009 -0500

    Blackfin: global_data.h: make pull in needed headers

    We need the definition of bd_t in this header, so pull in asm/u-boot.h.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit fa45bd498a1970574f4b7539b67cc2286f1324fa
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Tue Nov 3 06:28:22 2009 -0500

    Blackfin: kill off useless initdram() usage

    While the initdram() function makes sense on some arches, it doesn't for
    Blackfin systems as it's always implemented the same way.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit b1e2c5519a06f9a5841a7a434bf4da4d393f8df5
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Tue Nov 3 06:11:31 2009 -0500

    Blackfin: move section length calculation to linker script

    The length of the sections is fixed at link time, so let the linker do the
    calculation rather than doing it ourselves at runtime.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 446707c90f52e5fcafecd468920cfad685ee9fc7
Author: Valentin Yakovenkov <yakovenkov@niistt.ru>
Date:	Mon Oct 26 18:43:04 2009 -0400

    Blackfin: bf561-acvilon: new board port

    Signed-off-by: Valentin Yakovenkov <yakovenkov@niistt.ru>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 16ada4f66ffea53662b7a61a5222cbc825d67175
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Thu Oct 15 14:59:46 2009 -0400

    Blackfin: ADI settings: enable silent console support

    Very little additional code overhead, and only works when the user sets an
    env var ahead of time, so default to on makes sense.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit ac41c7a0e76fe6384949571373dc84a6098965ac
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Thu Oct 15 14:55:21 2009 -0400

    Blackfin: bf537-stamp: rename SPI/MMC define

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit fd04a05b89d848c7841d8512751b8cce8b791e69
Author: Harald Krapfenbauer <Harald.Krapfenbauer@bluetechnix.at>
Date:	Wed Oct 14 08:37:32 2009 -0400

    Blackfin: update tiny board settings (voltage/default env)

    The tinyboards like to run at a little lower voltage than the default, and
    they prefer to boot over the network.  For the latter, extend the common
    code a little to make this easier.

    Also fix the cm-bf527 env sector size while we're in here to reflect the
    flash that is actually in use.

    Signed-off-by: Harald Krapfenbauer <Harald.Krapfenbauer@bluetechnix.at>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 76d82187c6cccbcd8d514015c3b283f05ee8ac5c
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Tue Jul 21 22:17:36 2009 -0400

    Blackfin: tweak embedded LDR env config option

    Use the common config option for extracting the environment for embedding
    into LDR files and clarify the LDR-specific option.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 2740544881f652566756815dda4da0bcd946e9de
Author: Wolfgang Denk <wd@denx.de>
Date:	Fri Jan 15 11:20:10 2010 +0100

    malloc: return NULL if not initialized yet

    When malloc() was called before it was properly initialized
    (as would happen if when used before relocation to RAM) it returned
    random, non-NULL values, which called all kinds of difficult to debug
    subsequent errors.

    Make sure to return NULL when initialization was not done yet.

    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit f098337152ca48e135448f5e7836cce938e12bc0
Author: Wolfgang Denk <wd@denx.de>
Date:	Fri Jan 15 11:10:33 2010 +0100

    JFFS2: drop support for LZARI compression mode

    Support for LZARI compression mode was added based on a MTD CVS
    snapshot of March 13, 2005. However, fs/jffs2/compr_lzari.c contains
    contradictory licensing terms: the original copyright clause says "All
    rights reserved. Permission granted for non-commercial use.", but
    later reference to the file 'LICENCE' in the jffs2 directory was added
    which says GPL v2 or later.

    As no boards ever used LZARI compression, and this file is also not
    present in recent MTD code, we resolve this conflict by removing the
    conflicting file and references to it.

    Also copy the referenced but missing file 'LICENCE' from the current
    MTD source tree.

    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit 321790f61bb92fead0fc01b8d055aa331d8dcf85
Author: Bryan Wu <bryan.wu@analog.com>
Date:	Sat Jan 9 16:53:54 2010 -0500

    usb: musb: add virtual root hub control support

    For MUSB devices that do not support multipoint (hubs), we have to emulate
    a root hub so that we can support core operations like resetting ports.

    Signed-off-by: Bryan Wu <bryan.wu@analog.com>
    Signed-off-by: Cliff Cai <cliff.cai@analog.com>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 559e2c87e45ae7261837d4945411c04833937d2a
Author: Chris Zhang <chris@seamicro.com>
Date:	Wed Jan 6 13:34:06 2010 -0800

    Adds EHCI definitions to sequoia board configuration file.

    Adds required definitions for EHCI support in sequoia configuration file.
    But still keeps the OHCI as default driver.

    Signed-off-by: Chris Zhang <chris@seamicro.com>

commit 5f82887feecd7895593401f1ccda866bfb299fbb
Author: Chris Zhang <chris@seamicro.com>
Date:	Wed Jan 6 13:34:05 2010 -0800

    Add ppc440epx USB ehci support.

    Currently ppc440epx uses OHCI for USB full-speed support. This change adds
    support for EHCI.

    Signed-off-by: Chris Zhang <chris@seamicro.com>

commit b416191a14770c6bcc6fd67be7decf8159b2baee
Author: Chris Zhang <chris@seamicro.com>
Date:	Wed Jan 6 13:34:04 2010 -0800

    Fix EHCI port reset.

    In USB ehci driver, the port reset is not terminated. EHCI spec says "A host
     controller must terminate the reset and stabilize the state of the port within
     2 milliseconds". Without termination, a port stays at reset state. This is
     observed on ppc4xx(sequoia) boards.

    Signed-off-by: Chris Zhang <chris@seamicro.com>

commit b301be0599d14be46fc088861bb798648844aea5
Author: Sanjeev Premi <premi@ti.com>
Date:	Thu Dec 24 14:20:41 2009 +0530

    omap3: fix compile warning

    This patch fixes this warning during compile:

    omap3.c: In function 'musb_platform_init':
    omap3.c:126: warning: label 'end' defined but not used

    Problem reported by: Dirk Behme[dirk.behme@googlemail.com]

    Signed-off-by: Sanjeev Premi <premi@ti.com>

commit e608f221c13943d88e86f44753e23668342c3df3
Author: Bryan Wu <bryan.wu@analog.com>
Date:	Wed Dec 16 22:04:02 2009 -0500

    usb: musb: add support for Blackfin MUSB

    Signed-off-by: Bryan Wu <bryan.wu@analog.com>
    Signed-off-by: Cliff Cai <cliff.cai@analog.com>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>
    Signed-off-by: Remy Bohmer <linux@bohmer.net>

commit bc72a919e037782f64e3ac45c91bc60408e57e85
Author: Bryan Wu <bryan.wu@analog.com>
Date:	Wed Dec 16 22:04:01 2009 -0500

    usb: musb: change rxcsr register from write to read/modify/write

    The RX Control/Status register has bits that we want to preserve, so don't
    just write out a single bit.  Preserve the others bits in the process.

    The original code posted to the u-boot list had this behavior, but looks
    like it was lost somewhere along the way to merging.

    Signed-off-by: Bryan Wu <bryan.wu@analog.com>
    Signed-off-by: Cliff Cai <cliff.cai@analog.com>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>
    Signed-off-by: Remy Bohmer <linux@bohmer.net>

commit 8868fd443b7a52bf433903cc9527403ad055acb9
Author: Bryan Wu <bryan.wu@analog.com>
Date:	Wed Dec 16 22:04:00 2009 -0500

    usb: musb: make multipoint optional

    The multipoint handling under MUSB is optional, and some parts (like the
    Blackfin processor) do not implement support for it.

    Signed-off-by: Bryan Wu <bryan.wu@analog.com>
    Signed-off-by: Cliff Cai <cliff.cai@analog.com>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>
    Signed-off-by: Remy Bohmer <linux@bohmer.net>

commit df402ba38103df51f6929848b6a797eff4db61f8
Author: Bryan Wu <bryan.wu@analog.com>
Date:	Wed Dec 16 22:03:59 2009 -0500

    usb: musb: make fifo support configurable

    The dynamic FIFO handling under MUSB is optional, and some parts (like
    the Blackfin processor) do not implement support for it.

    Due to this, the FIFO reading/writing steps need special handling, so
    mark the common versions weak so drivers can override.

    Signed-off-by: Bryan Wu <bryan.wu@analog.com>
    Signed-off-by: Cliff Cai <cliff.cai@analog.com>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>
    Signed-off-by: Remy Bohmer <linux@bohmer.net>

commit dc2cd05c91a134d53fada41e8f97a434be22de02
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Wed Dec 16 22:03:58 2009 -0500

    usb: musb: make sure the register layout is packed

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>
    Signed-off-by: Remy Bohmer <linux@bohmer.net>

commit 7b4292883b6fdc42984671fbe4e0a352ec704bde
Author: Ajay Kumar Gupta <ajay.gupta@ti.com>
Date:	Tue Dec 22 10:56:14 2009 +0530

    DA830: Add usb config

    Adding USB configuration. Default is set for USB MSC host.

    Signed-off-by: Ajay Kumar Gupta <ajay.gupta@ti.com>
    Signed-off-by: Swaminathan S <swami.iyer@ti.com>

commit 7359273d946a7dcde04c5e8d5bad669146efc87c
Author: Ajay Kumar Gupta <ajay.gupta@ti.com>
Date:	Tue Dec 22 10:56:13 2009 +0530

    DA8xx: Add MUSB host support

    Tested USB host functionality on DA830 EVM.

    Signed-off-by: Ajay Kumar Gupta <ajay.gupta@ti.com>
    Signed-off-by: Swaminathan S <swami.iyer@ti.com>

commit 0b232310b2087d4278fb224fa01e228136fb8bdf
Author: Ajay Kumar Gupta <ajay.gupta@ti.com>
Date:	Tue Dec 22 10:56:12 2009 +0530

    DA8xx: Add GPIO register definitions

    Added DA8xx GPIO base addresses in gpio_defs.h and pointers
    to different BANKs which can be used to program GPIOs.

    Signed-off-by: Ajay Kumar Gupta <ajay.gupta@ti.com>
    Signed-off-by: Swaminathan S <swami.iyer@ti.com>

commit 82a821f89bee913d7ba17cb500c778cf08dce321
Author: Ajay Kumar Gupta <ajay.gupta@ti.com>
Date:	Tue Dec 22 10:56:11 2009 +0530

    DA830: Add pinmux for USB0_DRVVBUS

    USB0_DRVVBUS pinmux configuration is required for USB functinality
    in uboot.

    Signed-off-by: Ajay Kumar Gupta <ajay.gupta@ti.com>
    Signed-off-by: Swaminathan S <swami.iyer@ti.com>

commit a3f5da1bee9a8c343a411080d7d468bdc78794a4
Author: Heiko Schocher <hs@denx.de>
Date:	Thu Jan 7 08:56:00 2010 +0100

    mpc83xx: add support configure bus parking

    Add support to configure bus parking mode and master in bus arbitration
    configuration (ACR). Add this for the kmeter1 port:

    Configure bus arbiter with recommended values from Freescale
    to improve bus latency/throughput for application with
    intensive QuiccEngine activity.

    Signed-off-by: Heiko Schocher <hs@denx.de>
    Signed-off-by: Kim Phillips <kim.phillips@freescale.com>

commit a0daa2e06f05d97c03c59b656d50371319bf29ec
Author: Reinhard Arlt <reinhard.arlt@esd.eu>
Date:	Tue Dec 8 09:21:41 2009 +0100

    mpc83xx: vme8349: Fix power up reset sequence for tsi148

    Remove PCI reset, if there is a monarch PMC module.

    Signed-off-by: Reinhard Arlt <reinhard.arlt@esd.eu>
    Signed-off-by: Stefan Roese <sr@denx.de>

    convert clrbits_be32 + setbits_be32 to clrsetbits_be32, use out_be32 to set gcr.

    Signed-off-by: Kim Phillips <kim.phillips@freescale.com>

commit 1dee9be683c9b0f060452aaf1a97a34fae87f07a
Author: Reinhard Arlt <reinhard.arlt@esd.eu>
Date:	Tue Dec 8 09:13:08 2009 +0100

    mpc83xx: Add support for MPC8349 esd caddy2

    The caddy2 is a variant of the already supported vme8349. So we just
    add the differences to this board port. To better support those two
    boards we switched from fixed SDRAM configuration to usage of
    spd_sdram(). This is done by providing a board specific SPD EEPROM
    routine with different values for both boards.

    Signed-off-by: Reinhard Arlt <reinhard.arlt@esd.eu>
    Signed-off-by: Stefan Roese <sr@denx.de>

    changed to use mkconfig -t option instead, plus misc codingstyle fixes.

    Signed-off-by: Kim Phillips <kim.phillips@freescale.com>

commit 7693640acd5222f5a64e59ccf5e3bc511e8054b9
Author: Stefan Roese <sr@denx.de>
Date:	Tue Dec 8 09:10:04 2009 +0100

    mpc83xx: spd_sdram.c: Disable memory controller before initializing

    The memory controller could already be enabled, when spd_sdram() is
    called. This could be the case for example, when the SDRAM is initialized
    by the JTAG debugger.

    The "sync" after the register access via the accessor function is
    still needed, because the macro uses the sync before the real write
    is done. So until not all accesses are converted to using accessor
    functions, this sync still needs to be made "manually" here.

    Signed-off-by: Stefan Roese <sr@denx.de>
    Cc: Reinhard Arlt <reinhard.arlt@esd.eu>
    Acked-by: Dave Liu <daveliu@freescale.com>
    Signed-off-by: Kim Phillips <kim.phillips@freescale.com>

commit 2e95004deb6e33e33bf1b8a92a38cd2115bac4c2
Author: Anton Vorontsov <avorontsov@ru.mvista.com>
Date:	Tue Nov 24 20:12:12 2009 +0300

    mpc83xx: Add NAND boot support for MPC8315E-RDB boards

    The core support for NAND booting is there already, so this patch
    is pretty straightforward.

    There is one trick though: top level Makefile expects nand_spl to
    be in nand_spl/board/$(BOARDDIR), but we can fully reuse the code
    from mpc8313erdb boards, and so to not duplicate the code we just
    symlink nand_spl/board/freescale/mpc8315erdb to mpc8313erdb.

    Signed-off-by: Anton Vorontsov <avorontsov@ru.mvista.com>

    o silence make during ln echo
    o update documentation
    o and avoid:

    $ ./MAKEALL MPC8315ERDB_NAND
    Configuring for MPC8315ERDB board...
    sdram.o: In function `fixed_sdram':
    /home/r1aaha/git/u-boot/nand_spl/board/freescale/mpc8313erdb/sdram.c:72: undefined reference to `udelay'

    by renaming udelay -> __udelay in the spirit of commit
    3eb90bad651fab39cffba750ec4421a9c01d60e7 "Generic udelay() with watchdog
    support".

    Signed-off-by: Kim Phillips <kim.phillips@freescale.com>

commit b821cead7d2147724d5f1d8ccbca40710faad38a
Author: Sanjeev Premi <premi@ti.com>
Date:	Fri Dec 18 14:55:24 2009 +0530

    onenand: Fix compile errors due to FlexOneNAND

    This patch fixes the compile error while trying to
    compile for omap3evm.

    env_onenand.c: In function 'env_relocate_spec':
    env_onenand.c:70: error: 'CONFIG_ENV_ADDR_FLEX' undeclared
     (first use in this function)
    env_onenand.c:70: error: (Each undeclared identifier is re
    ported only once
    env_onenand.c:70: error: for each function it appears in.)
    env_onenand.c: In function 'saveenv':
    env_onenand.c:106: error: 'CONFIG_ENV_ADDR_FLEX' undeclare
    d (first use in this function)
    env_onenand.c:107: error: 'CONFIG_ENV_SIZE_FLEX' undeclare
    d (first use in this function)

    Signed-off-by: Sanjeev Premi <premi@ti.com>
    Acked-by: Tom Rix <Tom.Rix@windriver.com>

commit 20da6f4d93db270c57eb67968e441a20faf61938
Author: Nick Thompson <nick.thompson@ge.com>
Date:	Wed Dec 16 11:15:58 2009 +0000

    Davinci: davinci_nand.c performance enhancments

    Introduces various optimisations that approximately triple the
    read data rate from NAND when run on da830evm.

    Most of these optimisations depend on the endianess of the machine
    and most of them are very similar to optimisations already present
    in the Linux Kernel.

    Signed-off-by: Nick Thompson <nick.thompson@ge.com>

commit 06f95959bc5421e516a9a25012e303dea8833385
Author: Tom Rix <Tom.Rix@windriver.com>
Date:	Wed Jan 6 09:36:24 2010 -0600

    ARM Update mach-types

    Fetched from http://www.arm.linux.org.uk/developer/machines/download.php
    And built with

    repo http://ftp.arm.linux.org.uk/pub/linux/arm/kernel/git-cur/linux-2.6-arm
    commit c9f937e4a3f4ebf9924ec21d80632e5eb61d949c

    Signed-off-by: Tom Rix <Tom.Rix@windriver.com>

commit 8b0ab304943b07d13a29db6d3d2ca3edad32cdcb
Author: Becky Bruce <beckyb@kernel.crashing.org>
Date:	Tue Nov 17 21:10:21 2009 -0600

    ppc/p4080: Add Corenet Platform Cache (CPC) registers

    Signed-off-by: Becky Bruce <beckyb@kernel.crashing.org>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 3e731aaba30c7011edf6391072eee845ed1b816f
Author: Dave Liu <daveliu@freescale.com>
Date:	Wed Dec 16 10:24:39 2009 -0600

    fsl-ddr: setup ODT_RD_CFG & ODT_WR_CFG when we interleave

    In chip-select interleaving case, we also need set the ODT_RD_CFG
    and ODT_WR_CFG in cs1_config register.

    Signed-off-by: Dave Liu <daveliu@freescale.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 1aa3d08a0244506b94031522e54fe06ee7a5ae0e
Author: Dave Liu <daveliu@freescale.com>
Date:	Wed Dec 16 10:24:38 2009 -0600

    fsl-ddr: add override for the Rtt_Wr

    Different boards may require different settings of Dynamic ODT (Rtt_Wr).
    We provide a means to allow the board specific code to provide its own
    value of Rtt_Wr.

    Signed-off-by: Dave Liu <daveliu@freescale.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit bdc9f7b5eab8d5edd8a8cc5d80ef080836b00e85
Author: Dave Liu <daveliu@freescale.com>
Date:	Wed Dec 16 10:24:37 2009 -0600

    fsl-ddr: add the override for write leveling

    add the override for write leveling sampling and
    start time according to specific board.

    Signed-off-by: Dave Liu <daveliu@freescale.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 0a71c92c7e1e565111cb34cd389a21ec500ca5c1
Author: Dave Liu <daveliu@freescale.com>
Date:	Wed Dec 16 10:24:36 2009 -0600

    fsl-ddr: Fix power-down timing settings

    1. TIMING_CFG_0[ACT_PD_EXIT] was set to 6 clocks, but
       It should be set to tXP parameter, tXP=max(3CK, 7.5ns)
    2. TIMING_CFG_0[PRE_PD_EXIT] was set to 6 clocks, but
       It should be set to tXP (if MR0[A12]=1) else to tXPDLL parameter
       We are setting the mode register MR0[A12]='1'

    Signed-off-by: Dave Liu <daveliu@freescale.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit c4ca10f1db36c3ce649c656dec14f7aab644dd86
Author: Anton Vorontsov <avorontsov@ru.mvista.com>
Date:	Wed Dec 16 01:14:31 2009 +0300

    mpc85xx: Add 4-bits eSDHC support for MPC8569E-MDS boards

    Thanks to "Errata to MPC8569E PowerQUICC III Integrated Host Processor
    Family Reference Manual, Rev. 0" document, which describes all eSDHC
    pins, we can add 4-bits eSDHC support for MPC8569E-MDS boards.

    Signed-off-by: Anton Vorontsov <avorontsov@ru.mvista.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit bc20f9a9527afe8ae406a74f74765d4323f04922
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Wed Dec 9 17:28:17 2009 -0600

    ppc/p4080: Fix reporting of PME & FM clock frequencies

    We incorrectly had the sense of PME_CLK_SEL, FM1_CLK_SEL, FM2_CLK_SEL
    backwards so we report the wrong frequency.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit de3cbd78c9a485389b233f8ca705a9e5f51afaf3
Author: Li Yang <leoli@freescale.com>
Date:	Wed Dec 9 14:26:08 2009 +0800

    fsl_law: add SRIO2 target id and law_size_bits() macro

    Signed-off-by: Li Yang <leoli@freescale.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit abc76eb6a6936a99811eda256222b3927427f8e2
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Tue Nov 17 20:21:20 2009 -0600

    ppc/85xx: Map boot page guarded for MP boot

    We already map the page cache-inhibited.  There is no reason we
    shouldn't also be marking it guarded to prevent speculative accesses.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit effe4973f2f349e6e87d455ae718aabaf919a75d
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Tue Nov 17 22:44:52 2009 -0600

    ppc: Added macro to test for specific SVR revision

    Various SoC errata are specific to a given revision of silicon. This
    patch gives us a simple macro to use when doing such tests.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit f5ecc6e027150289c2a46db7cec197b2b6da893c
Author: Dave Liu <daveliu@freescale.com>
Date:	Tue Nov 17 20:01:24 2009 -0600

    p4080: add readback to bootpage translation window

    We need to add the readback to bootpage translation LAW
    to make it effect.

    Signed-off-by: Dave Liu <daveliu@freescale.com>
    Signed-off-by: Becky Bruce <beckyb@kernel.crashing.org>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 5fb6ea3ad3562f78df8693ed8c4ca89654236c4f
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Fri Nov 13 09:25:07 2009 -0600

    ppc/85xx: Make flash TLB entry determined at runtime on FSL boards

    Rather than hard coding which TLB entry the FLASH is mapped with we can
    use find_tlb_idx to determine the entry.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 783852e467f32a3a5568b542379e9fec3d26a173
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Fri Nov 13 09:09:10 2009 -0600

    ppc/85xx: Remove CONFIG_SYS_DDR_TLB_START

    Now that we dynamically determine TLB CAM entries to use we dont need
    CONFIG_SYS_DDR_TLB_START anymore.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 355f4f85e90ce2e6d91883012c2993be7970c8b1
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Fri Nov 13 09:04:19 2009 -0600

    ppc/85xx: Make SPD DDR TLB setup code use dynamic entry allocation

    Now that we track which TLB CAM entries are used we can allocate
    entries on the fly.  Change the SPD DDR TLB setup code to assume
    we use at most 8 TLBs (or the number free, which ever is fewer).

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 94e9411b9dda182dd63d53ba6ea640c98b35db5f
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Thu Nov 12 10:26:16 2009 -0600

    ppc/85xx: Add tracking of TLB CAM usage

    We need to track which TLB CAM entries are used to allow us to
    "dynamically" allocate entries later in the code.  For example the SPD
    DDR code today hard codes which TLB entries it uses.  We can now make
    that pick entries that are free.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit ee53650dad2fede057e93fdf6f8cd72b29ef7cd0
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Wed Nov 4 13:00:55 2009 -0600

    ppc/8xxx: Remove is_fsl_pci_agent

    All users of is_fsl_pci_agent have been converted to fsl_is_pci_agent
    that uses the standard PCI programming model to determine host vs
    agent/end-point.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 7cb8f79b44c70a3c66891f407254d9c739e2e7da
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Wed Nov 4 11:39:55 2009 -0600

    ppc/85xx: Move to using fsl_setup_hose on TQM 85xx

    We can use fsl_setup_hose to determine if we are a agent/end-point or
    a host.  Rather than using some SoC specific register we can just look
    at the PCI cfg space of the host controller to determine this.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 9263e829f025661cbd3a80675285b42c14350ea4
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Wed Nov 4 13:01:51 2009 -0600

    ppc/85xx: Move to using fsl_setup_hose on P2020 DS

    We can use fsl_setup_hose to determine if we are a agent/end-point or
    a host.  Rather than using some SoC specific register we can just look
    at the PCI cfg space of the host controller to determine this.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 1e21ba8f6d0708fe7f44066059927cfa6bfedf7a
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Wed Nov 4 13:01:38 2009 -0600

    ppc/85xx: Move to using fsl_setup_hose on P1/P2 RDB

    We can use fsl_setup_hose to determine if we are a agent/end-point or
    a host.  Rather than using some SoC specific register we can just look
    at the PCI cfg space of the host controller to determine this.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 42c01b9d1f0132a6d82e2c8333b236b1e3b0831f
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Wed Nov 4 13:01:17 2009 -0600

    ppc/85xx: Move to using fsl_setup_hose on MPC8572 DS

    We can use fsl_setup_hose to determine if we are a agent/end-point or
    a host.  Rather than using some SoC specific register we can just look
    at the PCI cfg space of the host controller to determine this.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 5e3d7050cf127dfcd6ab260c551e9183299d0dca
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Wed Nov 4 12:51:10 2009 -0600

    ppc/86xx: Clean up MPC8610 HPCD PCI setup code

    Use new fsl_pci_init_port() that reduces amount of duplicated code in the
    board ports, use IO accessors and clean up printing of status info.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 7b626880b4e1fd8d2297c9341b92c2253fc27fd0
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Wed Nov 4 11:15:29 2009 -0600

    ppc/85xx: Clean up MPC8548 CDS PCI setup code

    Use new fsl_pci_init_port() that reduces amount of duplicated code in the
    board ports, use IO accessors and clean up printing of status info.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit feadd5d53ba5047c3bc912ff5b7c7a690c8c53cf
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Wed Nov 4 11:05:02 2009 -0600

    ppc/85xx: Clean up ATUM8548 PCI setup code

    Use new fsl_pci_init_port() that reduces amount of duplicated code in the
    board ports, use IO accessors and clean up printing of status info.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 4681457e2aace8dff09dc4c6c02185231b970d6b
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Wed Nov 4 10:31:53 2009 -0600

    ppc/85xx: Clean up MPC8568 MDS PCI setup code

    Use new fsl_pci_init_port() that reduces amount of duplicated code in the
    board ports, use IO accessors and clean up printing of status info.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit c847e98b143c154cc466f9d03e90a3495329172b
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Wed Nov 4 10:26:30 2009 -0600

    ppc/85xx: Clean up MPC8569 MDS PCI setup code

    Use new fsl_pci_init_port() that reduces amount of duplicated code in the
    board ports, use IO accessors and clean up printing of status info.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 645d5a7838058ce603803935cd40a62a26aea04d
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Wed Nov 4 10:22:26 2009 -0600

    ppc/85xx: Clean up MPC8544 DS PCI setup code

    Use new fsl_pci_init_port() that reduces amount of duplicated code in the
    board ports, use IO accessors and clean up printing of status info.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 8a414c4258aeeab93fb83fad0544894597c8bd35
Author: Mingkai Hu <Mingkai.hu@freescale.com>
Date:	Wed Oct 28 10:49:31 2009 +0800

    ppc/85xx: Clean up MPC8536 DS PCI setup code

    Use new fsl_pci_init_port() that reduces amount of duplicated code in the
    board ports, use IO accessors and clean up printing of status info.

    Signed-off-by: Mingkai Hu <Mingkai.hu@freescale.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 3ad89c4ecba51564c97075f031aef4fa5eafbb16
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Sat Oct 31 11:23:41 2009 -0500

    NET: Base support for etsec2.0

    1. Modified the tsec_mdio structure to include the new regs
    2. Modified the MDIO_BASE_ADDR so that it will handle both
    older version and new version of etsec.

    Signed-off-by: Sandeep Gopalpet <sandeep.kumar@freescale.com>
    Acked-by: Kim Phillips <kim.phillips@freescale.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit b9e186fc31683a4f1b6880c086950b2270e62e24
Author: Sandeep Gopalpet <sandeep.kumar@freescale.com>
Date:	Sat Oct 31 00:35:04 2009 +0530

    NET: Move MDIO regs out of TSEC Space

    Moved the mdio regs out of the tsec structure,and
    provided different offsets for tsec base and mdio
    base so that provision for etsec2.0 can be provided.

    This patch helps in providing the support for etsec2.0
    In etsec2.0, the MDIO register space and the etsec reg
    space are different.

    Also, moved the TSEC_BASE_ADDR and MDIO_BASE_ADDR definitons into
    platform specific files.

    Signed-off-by: Sandeep Gopalpet <sandeep.kumar@freescale.com>
    Acked-by: Kim Phillips <kim.phillips@freescale.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit bcad21fda187f7d8d5d2c026c395cca35a9c700e
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Thu Mar 19 02:46:28 2009 -0500

    85xx: Add support to set DPAA (data path) devices clock frequencies

    Set clock-frequency for Frame Manager 0/1 and Patter Match Engine on p4080.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 178e39e199e9c985e5e5e968d60d7243fceb5616
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Thu Sep 17 00:01:14 2009 -0500

    ppc/8xxx: Don't use pci_cfg on FSL_CORENET platforms

    The FSL_CORENET platforms use a completely different means to determine
    which PCIe port is enabled as well as if its a host or agent/end-point.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 11588b5dc4c581b2a68a24e3298ab14e83c59d31
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Thu Oct 15 23:22:10 2009 -0500

    ppc/p4080: Added p4080 SERDES registers & USB offset

    Added immap definition for SERDES registers on p4080, the USB offset
    (since it was missing) and a GPL header.

    Signed-off-by: Li Yang <leoli@freescale.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 82fd1f8da9add2d74532cf78d224485f0042d00d
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Thu Mar 19 02:53:01 2009 -0500

    85xx: Add support for e500mc cache stashing

    The e500mc core supports the ability to stash into the L1 or L2 cache,
    however we need to uniquely identify the caches with an id.

    We use the following equation to set the various stash-ids:

    32 + coreID*2 + 0(L1) or 1(L2)

    The 0 (for L1) or 1 (for L2) matches the CT field used be various cache
    control instructions.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 26be2c53d671ecfd3e0483f0870649ac28322293
Author: Nick Thompson <nick.thompson@ge.com>
Date:	Sat Dec 12 12:13:10 2009 -0500

    Davinci: NAND enable ECC even when not in NAND boot mode

    Davinci: NAND enable ECC even when not in NAND boot mode

    On Davinci platforms, the default NAND device is enabled (for ECC)
    in low level boot code when NAND boot mode is used. If booting in
    another mode, NAND ECC is not enabled. The driver should make
    sure ECC is enabled regardless of boot mode if NAND is configured
    in U-Boot.

    Signed-off-by: Nick Thompson <nick.thompson@ge.com>

commit 97f4eb8cfb97c7c5b158e3c0df4611efbf50f403
Author: Nick Thompson <nick.thompson@gefanuc.com>
Date:	Sat Dec 12 12:12:26 2009 -0500

    Davinci: Configurable NAND chip selects

    Davinci: Configurable NAND chip selects

    Add a CONFIG_SYS_NAND_CS setting to all davinci configs and
    use it to setup the NAND controller in the davinci_nand
    mtd driver.

    Signed-off-by: Nick Thompson <nick.thompson@gefanuc.com>

commit 90110e0eab5ac6ab714109ce1fd8873c858dd552
Author: Nick Thompson <nick.thompson@gefanuc.com>
Date:	Sat Dec 12 12:10:51 2009 -0500

    Davinci: Table driven pinmux configuration

    Davinci: Table driven pinmux configuration

    Add code to allow pinmux_config tables to be grouped and configured
    as a single resource. This removes multiple calls to the pinmux
    configuration code from board_init and allows pinmuxes to be
    individually configured and added by data manipulation only.

    All related #ifdefs can the be removed from board_init code and
    since the compiler optimises away statics, #ifdefs can be reduced in
    the data definitions as well.

    Signed-off-by: Nick Thompson <nick.thompson@gefanuc.com>

commit 1270ec13d4fbae48a537dc76d418a6efa72f5725
Author: Robert P. J. Day <rpjday@crashcourse.ca>
Date:	Sat Dec 12 12:10:33 2009 -0500

    Remove superfluous uses of V_PROMPT macro.

    A number of config files define the V_PROMPT macro for the
    command-line prompt, only to immediately use that macro to define
    CONFIG_SYS_PROMPT, making V_PROMPT entirely superfluous.

    Signed-off-by: Robert P. J. Day <rpjday@crashcourse.ca>

commit 8b432bebc205a959684559477472c048e31d137d
Author: Grazvydas Ignotas <notasas@gmail.com>
Date:	Fri Dec 11 15:07:30 2009 +0200

    pandora: don't enable VAUX3, VDAC and VPLL2 regulators

    These regulators are not needed to start the kernel and only
    cause "incomplete constraints" warnings from kernel, so don't
    turn them on to save power.

    Signed-off-by: Grazvydas Ignotas <notasas@gmail.com>

commit ead39d7aa3ddccb2e374217aeab23bd65cedb762
Author: Grazvydas Ignotas <notasas@gmail.com>
Date:	Thu Dec 10 17:10:21 2009 +0200

    TWL4030: make LEDs selectable for twl4030_led_init()

    Not all boards have both LEDs hooked, so enabling both on
    boards with single LED will just waste power. Make it
    possible to choose LEDs by adding argument to
    twl4030_led_init().

    Using this turn on only LEDB for pandora, leave both LEDs
    on for all other boards, as it was before this patch.

    Signed-off-by: Grazvydas Ignotas <notasas@gmail.com>

commit be34fef7fdcfaffc68495e50929669ac5e4bd800
Author: Stefan Roese <sr@denx.de>
Date:	Wed Dec 16 09:27:31 2009 +0100

    ppc4xx: alpr: Remove some not needed commands to make image fit again

    The latest changes increased the size of the alpr image a bit more.
    Now it doesn't fit into the 256k reserved for it. This patch now removes
    the commands "ping" and "diag" which are not needed in the production
    systems.

    Signed-off-by: Stefan Roese <sr@denx.de>
    Cc: Pieter Voorthuijsen <pieter.voorthuijsen@prodrive.nl>

commit 072e754b6b9bef438fc0870318755e33051baa7d
Author: Heiko Schocher <hs@denx.de>
Date:	Thu Dec 3 11:23:17 2009 +0100

    i2c, ppc4xx: fix compiling KAREF and METROBOX boards.

    commit eb5eb2b0f744f0cba405160c5d01335c40f09acf

    ppc4xx: Cleanup PPC4xx I2C infrastructure

    This patch cleans up the PPC4xx I2C intrastructure:

    - Use C struct to describe the I2C registers instead of defines
    - Coding style cleanup (braces, whitespace, comments, line length)
    - Extract common code from i2c_read() and i2c_write()
    - Remove unneeded IIC defines from ppc405.h & ppc440.h

    breaks comiling for the KAREF and METROBOX boards.

    This patch fixes this issue.

    Signed-off-by: Heiko Schocher <hs@denx.de>
    Signed-off-by: Stefan Roese <sr@denx.de>

commit 87d93a1ba2ae23550e1370adb7a3b00af0831165
Author: Wolfgang Wegner <w.wegner@astro-kom.de>
Date:	Wed Dec 9 15:16:47 2009 +0100

    move prototypes for gunzip() and zunzip() to common.h

    Prototype for gunzip/zunzip was only in lib_generic/gunzip.c and thus
    repeated in every file using it. This patch moves the prototypes to
    common.h and removes all prototypes distributed anywhere else.

    Signed-off-by: Wolfgang Wegner <w.wegner@astro-kom.de>

commit 127e10842b2474ac20e40572a4102dd4d5ed80f1
Author: Mahavir Jain <mjain@marvell.com>
Date:	Tue Nov 3 12:22:10 2009 +0530

    usb: write command for RAW partition.

    This patch implements write support to usb device with raw partition.
    It will be useful for filesystem write support to usb device from
    u-boot in future.

    Tested with writing kernel image to raw usb disk & booting with usb
    read command into ram.

    [Note:  run usb part to get info about start sector & number of
    sectors on a partition for usb write operation.]

    Signed-off-by: Mahavir Jain <mjain@marvell.com>

commit 73c8640e93881439b87a5734485a9e56a494ef50
Author: Ajay Kumar Gupta <ajay.gupta@ti.com>
Date:	Wed Nov 4 15:58:23 2009 -0600

    omap3evm: musb: add USB config

    Added USB host and device config for host (MSC, Keyboard) and
    device (ACM) functionalities.

    Signed-off-by: Ajay Kumar Gupta <ajay.gupta@ti.com>

commit ae4caf2fb53cc7be5d59a649b8aee86d542cbb6f
Author: Tom Rix <Tom.Rix@windriver.com>
Date:	Sat Oct 31 12:37:46 2009 -0500

    OMAP3 USB Initialize twl4030 only if required

    OMAP3EVM uses ISP1504 phy and so twl4030 related init is not required.

    Submitted-by: Ajay Kumar Gupta <ajay.gupta@ti.com>
    Signed-off-by: Tom Rix <Tom.Rix@windriver.com>

commit 2ec1abea4359b94523d45a20d68d8582e09ace46
Author: Tom Rix <Tom.Rix@windriver.com>
Date:	Sat Oct 31 12:37:45 2009 -0500

    OMAP3 zoom2 Use usbtty if the debug board is not connected.

    The preferred serial output comes from the debug board.
    When the debug board is disconnected, fall back on using
    usbtty from the usb connector on the Zoom2 board.

    This shows up as /dev/ttyACM0 in a linux host.

    Signed-off-by: Tom Rix <Tom.Rix@windriver.com>

commit 6299487ef5dcdb06e0394f5955755c8dd9ce707b
Author: Tom Rix <Tom.Rix@windriver.com>
Date:	Sat Oct 31 12:37:44 2009 -0500

    USBTTY make some function declarations easier to use.

    Zoom2 needs to use these declarations and the include directory is a
    better place from them than in the middle of the driver directory.
    It did not make sense to create a new file for just a couple of
    lines so they were appended to the serial.h

    Signed-off-by: Tom Rix <Tom.Rix@windriver.com>

commit 25374bfbf3a6c6624d8db512c95a4960e3a84635
Author: Tom Rix <Tom.Rix@windriver.com>
Date:	Sat Oct 31 12:37:43 2009 -0500

    OMAP3 beagle Add usbtty configuration

    The primary console of beagle is the serial header.

    A secondary console is to use the usbtty.  The user can set this
    manually by doing

    setenv stdout usbtty; setenv stdin usbtty; setenv stderr usbtty
    saveenv

    usbtty will be usable by accessing the /dev/ttyACM0 on a linux host.

    Signed-off-by: Tom Rix <Tom.Rix@windriver.com>

commit 05be5a60e98eb1243901f556fefd66b1691fabe4
Author: Tom Rix <Tom.Rix@windriver.com>
Date:	Sat Oct 31 12:37:42 2009 -0500

    OMAP3 zoom1 Add usbtty configuration

    The primary console of zoom1 is the serial out from the jumpers
    accessed by removing the back panel.

    A secondary console is to use the usbtty.  The user can set this
    manually by doing

    setenv stdout usbtty; setenv stdin usbtty; setenv stderr usbtty
    saveenv

    usbtty will be usable by accessing the /dev/ttyACM0 on a linux host.

    Signed-off-by: Tom Rix <Tom.Rix@windriver.com>

commit f298e4b6dd56df3e35a13a6ddd572ca3baf06ad2
Author: Tom Rix <Tom.Rix@windriver.com>
Date:	Sat Oct 31 12:37:41 2009 -0500

    OMAP3 Add usb device support

    This change adds the usb device support for musb.

    Omap3 platform support added at the same level as davinci.

    The interface for usbtty to use the musb device support was added.

    Verified on omap3 beagle, zoom1 and zoom2.

    Signed-off-by: Tom Rix <Tom.Rix@windriver.com>

commit bffbb2a86d2a3aa28bd8f9869aa553082fb5af5f
Author: Tom Rix <Tom.Rix@windriver.com>
Date:	Sat Oct 31 12:37:40 2009 -0500

    TWL4030 Add usb PHY support

    The twl4030 provides a PHY device for connecting a link device,
    like musb, to physical connection.

    This change adds the twl4030 usb registers and functions for
    initializing the PHY as required by omap3.

    Signed-off-by: Tom Rix <Tom.Rix@windriver.com>

commit 988365a2048356f94ed0c294009233317c9fb4b2
Author: Tom Rix <Tom.Rix@windriver.com>
Date:	Sat Oct 31 12:37:39 2009 -0500

    USB add macros for debugging usb device setup.

    When developing usb device features, it is useful to print out
    common usb structures.

    Signed-off-by: Tom Rix <Tom.Rix@windriver.com>

commit 8f8bd565f35ff8a068727bfcf8975c50df082043
Author: Tom Rix <Tom.Rix@windriver.com>
Date:	Sat Oct 31 12:37:38 2009 -0500

    USB Consolidate descriptor definitions

    The header files usb.h and usbdescriptors.h have the same nameed
    structure definitions for

    usb_config_descriptor
    usb_interface_descriptor
    usb_endpoint_descriptor
    usb_device_descriptor
    usb_string_descriptor

    These are out right duplicates in usb.h

    usb_device_descriptor
    usb_string_descriptor

    This one has extra unused elements

    usb_endpoint_descriptor

	unsigned char	bRefresh
	unsigned char	bSynchAddress;

    These in usb.h have extra elements at the end of the usb 2.0
    specified descriptor and are used.

    usb_config_descriptor
    usb_interface_descriptor

    The change is to consolidate the definition of the descriptors
    to usbdescriptors.h.  The dublicates in usb.h are removed.
    The extra element structure will have their name shorted by
    removing the '_descriptor' suffix.

    So

    usb_config_descriptor -> usb_config
    usb_interface_descriptor -> usb_interface

    For these, the common descriptor elements are accessed now
    by an element 'desc'.

    As an example

    -	if (iface->bInterfaceClass != USB_CLASS_HUB)
    +	if (iface->desc.bInterfaceClass != USB_CLASS_HUB)

    This has been compile tested on MAKEALL arm, ppc and mips.

    Signed-off-by: Tom Rix <Tom.Rix@windriver.com>

commit e5e4e705ce402856a4800ebf4c0cc163d41b58b0
Author: Li Yang <leoli@freescale.com>
Date:	Wed Dec 9 18:13:26 2009 +0800

    Update Makefile for tag generating

    Get tag directories from the $(__LIB) and also generate tag for .S files.

    Signed-off-by: Li Yang <leoli@freescale.com>

commit d02ffbf8d72085035f746c63c2609daf20a84765
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Wed Dec 16 14:12:11 2009 -0600

    drivers/bios_emulator: Fix compile error in .depend not being generated

    make -C drivers/bios_emulator/
    make[2]: Entering directory
    `drivers/bios_emulator'
    In file included from atibios.c:49:
    biosemui.h:47:21: error: biosemu.h: No such file or directory
    ...
    x86emu/decode.c:40:28: error: x86emu/x86emui.h: No such file or directory
    ...

    Due to lack of proper CPPFLAGS being passed to .depend generation rule

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit a200a7c04d89853d2a1395b96d8ca5e3dd754551
Author: Wolfgang Denk <wd@denx.de>
Date:	Tue Dec 15 23:20:54 2009 +0100

    Update CHANGELOG; prepare Prepare v2009.11

    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit f9476902b789b0481b9df49af88d6ca94fb16fa0
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Tue Dec 15 12:10:47 2009 -0600

    mpc85xx, mpc86xx: Fix gd->cpu pointer after relocation

    The gd->cpu pointer is set to an address located in flash when the
    probecpu() function is called while U-Boot is executing from flash.
    This pointer needs to be updated to point to an address in RAM after
    relocation has occurred otherwise Linux may not be able to boot due to
    "fdt board" crashing if flash has been erased or changed.

    This bug was introduced in commit
    a0e2066f392782730f0398095e583c87812d97f2.

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>
    Reported-by: Ed Swarthout <Ed.Swarthout@freescale.com>
    Tested-by: Kumar Gala <galak@kernel.crashing.org>
    Tested on MPC8527DS.
    Tested by: Ed Swarthout <Ed.Swarthout@freescale.com>

commit 1ab70f6fff9fa3b7910c11b874f625e004256c50
Author: Ben Warren <biggerbadderben@gmail.com>
Date:	Mon Dec 14 16:30:39 2009 -0800

    Net: Clean up LAN91C96 Support

    A previous Commit converted the LAN91C96 Ethernet driver to using the
    CONFIG_NET_MULTI API, but did not include full board support.  This patch
    finishes the job.

    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit 3363a34b9eeda9783afcbbed5cdd738926d1f4bf
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Sun Dec 13 17:58:34 2009 -0600

    MVBLUE: Remove CONFIG_CMD_IRQ

    Neither the MVBLUE nor its underlying architecture implement the
    do_irqinfo() function which is required when CONFIG_CMD_IRQ is defined.
    This change fixes the following MVBLUE compiler error:

    -> ./MAKEALL MVBLUE
    Configuring for MVBLUE board...
    common/libcommon.a(cmd_irq.o):(.u_boot_cmd+0x24): undefined reference to `do_irqinfo'
    make: *** [u-boot] Error 1

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>
    Acked-by: Andre Schwarz <andre.schwarz@matrix-vision.de>

commit 18e8ad60ee87431c01cc2686985b60cc54f5dd3b
Author: Detlev Zundel <dzu@denx.de>
Date:	Mon Dec 14 17:54:40 2009 +0100

    imx27lite: Reenable MTD support on NOR flash.

    The support for this was silently dropped by a configuration
    split during the merge of the imx27lite board support in commit
    864aa034f3a0e10ce710e8bbda171df3cab59414 (cmd_mtdparts: Move to common
    handling of FLASH devices via MTD layer).

    Signed-off-by: Detlev Zundel <dzu@denx.de>

commit 076cd24cb4278c125c8f36df386852dc0fcfefae
Author: Thomas Weber <weber@corscience.de>
Date:	Wed Dec 9 09:38:04 2009 +0100

    net: dm9000x: fix debug output

    commit 60f61e6d7655400bb785a2ef637581679941f6d1 breaks compile with gcc by introducing __func__
    instead of constant string "func" in the macro call but missed to change the macro.

    Signed-off-by: Thomas Weber <weber@corscience.de>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit c179a2896e6a5138e30786f1d7961d880dbd6d31
Author: John Ogness <john.ogness@linutronix.de>
Date:	Fri Dec 11 09:47:28 2009 +0100

    fec_mxc: incomplete error handling

    fec_init() will only allocate fec->base_ptr if it is non-NULL. But
    the cleanup routine on error will free the pointer without setting
    it to NULL. This means that a later call to fec_init() would result
    in using an invalid pointer.

    Signed-off-by: John Ogness <john.ogness@linutronix.de>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit 2ab4a4d0952b754b1c74f4d2b12b83d600d449c8
Author: Reinhard Arlt <reinhard.arlt@esd.eu>
Date:	Fri Dec 4 09:52:17 2009 +0100

    net: e1000: Add support for the Intel 82546GB controller

    This chip is equipped for example on the esd PMC-ETH2-GB board. So let's
    add it to the list of supported chips to the e1000 driver.

    Signed-off-by: Reinhard Arlt <reinhard.arlt@esd.eu>
    Signed-off-by: Stefan Roese <sr@denx.de>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit aafda38fb266b94ca344e5ff014d430790c72279
Author: Remy Bohmer <linux@bohmer.net>
Date:	Wed Oct 28 22:13:40 2009 +0100

    Add error codes/handling for TFTP-server

    Signed-off-by: Remy Bohmer <linux@bohmer.net>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit ac6b362a2598b8cd27beb071fa6224cf8b121e1b
Author: Nishanth Menon <nm@ti.com>
Date:	Fri Oct 16 00:06:37 2009 -0500

    LAN91C96: Enable NET_MULTI LAN driver

    This modification is NOT tested on any of the
    platforms modified as I dont have them. please
    help by testing+building+fixing

    Signed-off-by: Nishanth Menon <nm@ti.com>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit a1725999b8b7527971183122cdfb54e2f87f61ae
Author: Nishanth Menon <nm@ti.com>
Date:	Fri Oct 16 00:06:36 2009 -0500

    TI OMAP3: SDP3430 FIX NET_MULTI Warning

    Enable the NET MULTI option and remove build warning

    Tested: SDP3430

    Signed-off-by: Nishanth Menon <nm@ti.com>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit b7ad4109da342dfc787468fc713d88d0a8b9e67a
Author: Nishanth Menon <nm@ti.com>
Date:	Fri Oct 16 00:06:35 2009 -0500

    NET: LAN91C96 CONFIG_NET_MULTIify

    Make the lan91c96 driver capable of CONFIG_NET_MULTI
    to be clean for the new arch, add a a lil detect function
    Most of the formatting change was done to keep checkpatch
    silent, but a few functions and #if 0ed code which
    does not make sense for NET_MULTI have been removed

    Now, use the lan91c96_initialize() function to init the driver

    Signed-off-by: Nishanth Menon <nm@ti.com>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit 6ac59c5518e1d2e2ef1c4b8dee99267dfbdf9cdc
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Tue Nov 3 11:35:42 2009 -0500

    net: pull CONFIG checks out of source and into makefile

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit f4cfe42758192d09f8375e384cc000aa70d97029
Author: Stefan Roese <sr@denx.de>
Date:	Wed Dec 9 09:01:43 2009 +0100

    nand: Fix access to last block in NAND devices

    Currently, the last block of NAND devices can't be accessed. This patch
    fixes this issue by correcting the boundary checking (off-by-one error).

    Signed-off-by: Stefan Roese <sr@denx.de>
    Cc: Scott Wood <scottwood@freescale.com>
    Cc: Wolfgang Denk <wd@denx.de>

commit 3b887ca8ce72cc12129183538f6e828db13f4867
Author: Peter Korsgaard <jacmet@sunsite.dk>
Date:	Tue Dec 8 22:20:34 2009 +0100

    mpc83xx: boot time regression, move LCRR setup back to cpu_init_f

    Commit c7190f02 (retain POR values of non-configured ACR, SPCR, SCCR,
    and LCRR bitfields) moved the LCRR assignment to after relocation
    to RAM because of the potential problem with changing the local bus
    clock while executing from flash.

    This change unfortunately adversely affects the boot time, as running
    all code up to cpu_init_r can cause significant slowdown.

    E.G. on a 8347 board a bootup time increase of ~600ms has been observed:

       0.020 CPU:   e300c1, MPC8347_PBGA_EA, Rev: 3.0 at 400 MHz, CSB: 266.667 MHz
       0.168 RS:    232
       0.172 I2C:   ready
       0.176 DRAM:  64 MB
       1.236 FLASH: 32 MB

    Versus:

       0.016 CPU:   e300c1, MPC8347_PBGA_EA, Rev: 3.0 at 400 MHz, CSB: 266.667 MHz
       0.092 RS:    232
       0.092 I2C:   ready
       0.096 DRAM:  64 MB
       0.644 FLASH: 32 MB

    So far no boards have needed the late LCRR setup, so simply revert it
    for now - If it is needed at a later time, those boards can either do
    their own final LCRR setup in board code (E.G. in board_early_init_r),
    or we can introduce a CONFIG_SYS_LCRR_LATE config option to only do
    the setup in cpu_init_r.

    Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
    Signed-off-by: Kim Phillips <kim.phillips@freescale.com>

commit 4b142febff71eabdb7ddbb125c7b583b24ddc434
Author: Heiko Schocher <hs@denx.de>
Date:	Thu Dec 3 11:21:21 2009 +0100

    common: delete CONFIG_SYS_64BIT_VSPRINTF and CONFIG_SYS_64BIT_STRTOUL

    There is more and more usage of printing 64bit values,
    so enable this feature generally, and delete the
    CONFIG_SYS_64BIT_VSPRINTF and CONFIG_SYS_64BIT_STRTOUL
    defines.

    Signed-off-by: Heiko Schocher <hs@denx.de>

commit 00b6d927ba8900cdf218b90b277e1090e284bea6
Author: Heiko Schocher <hs@denx.de>
Date:	Thu Dec 3 11:20:06 2009 +0100

    5xxx, fdt: move fdt_fixup_memory() to cpu.c file

    u-boot updates, before starting Linux, the memory node in the
    DTS. As this is a "standard" feature, move this functionality
    to the cpu.c file for mpc5xxx and mpc512x processors.

    Signed-off-by: Heiko Schocher <hs@denx.de>

commit 386118a896554b13f14ad0f82356276988f7de82
Author: Michal Simek <monstr@monstr.eu>
Date:	Tue Dec 8 09:12:49 2009 +0100

    microblaze: Correct ffs regression for Microblaze

    We are using generic implementation of ffs. This should
    be part of Simon's commit 0413cfecea350000eab5e591a0965c3e3ee0ff00

    Here is warning message which this patch removes.

    In file included from /tmp/u-boot-microblaze/include/common.h:38,
		     from cmd_mtdparts.c:87:
    /tmp/u-boot-microblaze/include/linux/bitops.h:123:1: warning: "ffs" redefined
    In file included from /tmp/u-boot-microblaze/include/linux/bitops.h:110,
		     from /tmp/u-boot-microblaze/include/common.h:38,
		     from cmd_mtdparts.c:87:
    /tmp/u-boot-microblaze/include/asm/bitops.h:269:1:
    warning: this is the location of the previous definition

    Signed-off-by: Michal Simek <monstr@monstr.eu>

commit 8fe7b29f9811322931f0192a56431edcf819d6b9
Author: Graeme Smecher <graeme.smecher@mail.mcgill.ca>
Date:	Mon Dec 7 08:09:57 2009 -0800

    microblaze: Stop stack clobbering in microblaze-generic.

    A typo caused the stack and malloc regions to overlap, which prevented
    mem_malloc_init() from returning. This commit makes the memory layout match
    the example described in include/configs/microblaze-generic.h

    Signed-off-by: Graeme Smecher <graeme.smecher@mail.mcgill.ca>
    Signed-off-by: Michal Simek <monstr@monstr.eu>

commit 0fc52948bda0734431cb528ee4fd82f1dec8c7b5
Author: Wolfgang Denk <wd@denx.de>
Date:	Mon Dec 7 23:14:13 2009 +0100

    Update CHANGELOG, prepare -rc2

    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit f2352877cb2daac88115192fb09991a2397d0b27
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Sun Dec 6 23:58:28 2009 -0600

    MAKEALL: Fix return value

    Previously MAKEALL would always return a value of 0, even if 1 or more
    boards did not compile.  This change causes MAKEALL to return 0 if all
    boards were able to build, otherwise 1.

    This change also requires changing the script interpreter from sh to
    bash to support bash's PIPESTATUS variable.

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>

commit fbc1c8f6f6c972524197829c56dd8f2f5da0200a
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Sun Dec 6 01:33:24 2009 -0600

    tools/mkimage: Remove duplicate line of code

    Recent commits 1a99de2cb4d08eb3bf9fb3f60a9d533150de8c0e and
    6a590c5f5fd12cdd27f3153522acfac3854590e7 both fixed the same bug in the
    same manner.  Unfortunately git was "smart" enough to merge both changes
    which resulted in some duplicate code.

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>

    Reordered code and comment a bit.

    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit df002fa6b9cd475909ede35bf95b803c2289c6a4
Author: Heiko Schocher <hs@denx.de>
Date:	Sat Dec 5 11:59:51 2009 +0100

    i2c: fix dangling comment in do_i2c_mw()

    commit bd3784df94bfeca43fbf34094df9cb1bd3ecca3b deleted some unused
    code in do_i2c_mw(), but missed to also remove the respective
    commment. This patch fixes this.

    Signed-off-by: Heiko Schocher <hs@denx.de>

commit 7cb5fc15f22de46cc6fabc26baf994cf8f7fa546
Author: Heiko Schocher <hs@denx.de>
Date:	Thu Dec 3 11:20:42 2009 +0100

    mpc52xx, manroland: add some commands

    add the following commands for the manroland boards:

    CONFIG_CMDLINE_EDITING
    CONFIG_COMMAND_HISTORY
    CONFIG_AUTO_COMPLETE

    Signed-off-by: Heiko Schocher <hs@denx.de>

commit 39ff7d5f4cc547a2034a8bfc2a5b5f4b62fd5c20
Author: Stefan Roese <sr@denx.de>
Date:	Thu Dec 3 06:24:30 2009 +0100

    POST: Remove duplicated post_hotkey_pressed() functions

    This patch introduces a weak default function for post_hotkey_pressed(),
    returning 0, for boards without hotkey support. The long-running tests
    won't be started on those boards. This default function was implemented
    in many board directories. By implementing this weak default we can
    remove all those duplicate versions.

    Boards with hotkey support, can override this weak default function
    by defining one in their board specific code.

    Signed-off-by: Stefan Roese <sr@denx.de>

commit f8450829f921cf10667af98a8d08edfa3d998f04
Author: Heiko Schocher <hs@denx.de>
Date:	Tue Dec 1 19:30:47 2009 +0100

    52xx, manroland: add fdt_fixup_memory() in ft_board_setup()

    To update the real memory size in the memory node on the
    uc101 and mucmc52 boards call fdt_fixup_memory() in
    ft_board_setup().

    Signed-off-by: Heiko Schocher <hs@denx.de>

commit 0ec81db20294efdad2454a753e79f1fe244a43ca
Author: Daniel Hobi <daniel.hobi@schmid-telecom.ch>
Date:	Tue Dec 1 14:05:55 2009 +0100

    Fix computation in nand_util.c:get_len_incl_bad

    Depending on offset, flash size and the number of bad blocks,
    get_len_incl_bad may return a too small value which may lead to:

    1) If there are no bad blocks, nand_{read,write}_skip_bad chooses the
    bad block aware read/write code. This may hurt performance, but does
    not have any adverse effects.

    2) If there are bad blocks, the nand_{read,write}_skip_bad may choose
    the bad block unaware read/write code (if len_incl_bad == *length)
    which leads to corrupted data.

    Signed-off-by: Daniel Hobi <daniel.hobi@schmid-telecom.ch>

commit aabb8cb0818e285aeed0cfaf243635997e07554d
Author: Evan Samanas <esamanas@xes-inc.com>
Date:	Mon Nov 9 20:08:36 2009 -0600

    nfs: NfsTimeout() updates

    - NfsTimeout() does not correctly update the NFS timeout value which
      results in NfsTimeout() only being called once in certain situations.
      This can result in the 'nfs' command hanging indefinetly.  For
      example, the command:

	nfs 192.168.0.1:/home/user/file

      will not exit until ctrl-c is pressed if 192.168.0.1 does not have an
      NFS server running.

      This issue is resolved by reinitializting the NFS timeout value inside
      NfsTimeout() when a timeout occurs.

    - Make the 'nfs' command print the 'T' character when a timeout occurs.
      Previously there was no indication that timeouts were occuring.

    - Mimic the 'tftpboot' command and when a download fails print "Retry
      count exceeded; starting again", and restart the download taking the
      'netretry' environment variable into account.

    Signed-off-by: Evan Samanas <esamanas@xes-inc.com>
    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>

    Tested on TQM8xxL.

    Tested by: Wolfgang Denk <wd@denx.de>

    Tested on MPC8527DS.

    Tested by: Ed Swarthout <Ed.Swarthout@freescale.com>

commit 224c90d1060bf1a83cbf33ca51d060b9d19e0294
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Wed Nov 18 19:08:59 2009 -0600

    bootm: Fix help message's sub-command ordering

    The help message for the 'bootm' command listed the 'cmdline' and 'bdt'
    sub-commands in the wrong order which resulted in the error below when
    following the 'help' command's instructions:

      "Trying to execute a command out of order"

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>

commit a93c92cddaedd5f0720e0da15c6664f7a688b582
Author: Robert P. J. Day <rpjday@crashcourse.ca>
Date:	Tue Nov 17 07:30:23 2009 -0500

    help: Correct syntax of nandecc help output.

    "nandecc" help output should not reproduce the command name, nor have
    a trailing newline.

    Signed-off-by: Robert P. J. Day <rpjday@crashcourse.ca>

commit c2fff331a32ceca837d76eb7827d6340da270d52
Author: Mike Rapoport <mike@compulab.co.il>
Date:	Wed Nov 11 10:03:03 2009 +0200

    smc911x: update SMC911X related configuration description

    Since commit 736fead8fdbf8a8407048bebc373cd551d01ec98 "Convert SMC911X
    Ethernet driver to CONFIG_NET_MULTI API" SMC911X configration options
    are called CONFIG_SMC911X rather than CONFIG_DRIVER_SMC911X. Update
    README to reflect that change.

    Signed-off-by: Mike Rapoport <mike@compulab.co.il>

commit 45b6b65c6bf06a589ef3123192af94b0381db27b
Author: Mike Rapoport <mike@compulab.co.il>
Date:	Wed Nov 11 10:03:09 2009 +0200

    smc911x: fix typo in smc911x_handle_mac_address name

    Signed-off-by: Mike Rapoport <mike@compulab.co.il>

commit f64ef9bb995687e24e0b61b52316f4eaa97c3bbc
Author: Ed Swarthout <Ed.Swarthout@freescale.com>
Date:	Thu Nov 19 02:47:28 2009 -0600

    fix nfs symlink name corruption

    An off by one error may cause nfs readlink lookup fail if
    nfs_path_buff has non-zero data from a previous use.

    Loading: *** ERROR: File lookup fail

    Signed-off-by: Ed Swarthout <Ed.Swarthout@freescale.com>

commit e8fac25e83426fdf461c66aa8a2530ec28ec536e
Author: Wolfgang Denk <wd@denx.de>
Date:	Mon Dec 7 21:06:40 2009 +0100

    at91sam9261ek.c: fix minor coding style issue.

    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit 4713010adf5beda87410d637ebfc58db0db9a9db
Author: Wolfgang Denk <wd@denx.de>
Date:	Sun Dec 6 01:21:28 2009 +0100

    trab: fix warning: implicit declaration of function 'disable_vfd'

    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit a9f99ab44b473fb394169ba365f8b4380f981584
Author: Wolfgang Denk <wd@denx.de>
Date:	Sun Dec 6 00:53:18 2009 +0100

    zlib.c: avoid build conflicts for cradle board

    Commit dce3d79710 updated the zlib code to v0.95; this caused
    conflicts when building for the "cradle" board, because the (pretty
    generic) preprocessor variable "OFF" was used in multiple files.
    Make sure to avoid further conflicts by #undef'ing it in zlib.c
    before redefining it.

    Signed-off-by: Wolfgang Denk <wd@denx.de>
    cc: Giuseppe Condorelli <giuseppe.condorelli@st.com>
    cc: Angelo Castello <angelo.castello@st.com>
    cc: Alessandro Rubini <rubini-list@gnudd.com>

commit 8cbf4e4f17121d732e78764f0ba317c9a1838ea6
Author: Wolfgang Denk <wd@denx.de>
Date:	Sun Dec 6 00:26:19 2009 +0100

    Fix out-of-tree building of "apollon" board.

    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit f68ab43de67f59925542efb6bcec30f4a84fe695
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Fri Dec 4 05:35:15 2009 -0500

    lzma: ignore unset filesizes

    The Linux kernel build system changed how it compresses things with LZMA
    such that the header no longer contains the filesize (it is instead set to
    all F's).  So if we get a LZMA image that has -1 for the 64bit field,
    let's just assume that the decompressed size is unknown and continue on.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit cccfc2ab77877dbdd2abe26b28d4c1f467feb0c0
Author: Detlev Zundel <dzu@denx.de>
Date:	Tue Dec 1 17:16:19 2009 +0100

    README: Rearrange paragraphs to regain linear arrangement.

    Two later additions to the Configuration Option section unfortunately
    split the description of Show boot progress and the list of its call outs.

    Signed-off-by: Detlev Zundel <dzu@denx.de>

commit cd514aeb996e2f7aefbe1f78481965d9d074aed4
Author: Joakim Tjernlund <Joakim.Tjernlund@transmode.se>
Date:	Thu Nov 19 13:22:44 2009 +0100

    zlib: Optimize decompression

    This patch optimizes the direct copy procedure.
    Uses get_unaligned() but only in one place.
    The copy loop just above this one can also use this
    optimization, but I havn't done so as I have not tested if it
    is a win there too.
    On my MPC8321 this is about 17% faster on my JFFS2 root FS
    than the original. No speed test has been performed in u-boot.

    Size increase on ppc: 484 bytes

    Signed-off-by: Joakim Tjernlund <Joakim.Tjernlund@transmode.se>
    Acked-by: Peter Korsgaard <jacmet@sunsite.dk>

commit 20dde48bcadd856c86a91d5463831a10be46db83
Author: Peter Korsgaard <jacmet@sunsite.dk>
Date:	Thu Nov 19 11:37:51 2009 +0100

    add lzop decompression support

    Add lzop decompression support to the existing lzo bitstream handling
    (think gzip versus zlib), and support it for uImage decompression if
    CONFIG_LZO is enabled.

    Lzop doesn't compress as good as gzip (~10% worse), but decompression
    is very fast (~0.7s faster here on a slow ppc). The lzop decompression
    code is based on Albin Tonnerre's recent ARM Linux lzo support patch.

    Cc: albin.tonnerre@free-electrons.com
    Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>

commit c81296c16fd9d12422c9968cc0f1d9bf440a7d88
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Tue Nov 24 16:42:10 2009 -0600

    tools/mkimage: Print FIT image contents after creation

    Previously, there was no indication to the user that a FIT image was
    successfully created after executing mkimage.  For example:

      $ mkimage -f uImage.its uImage.itb
      DTC: dts->dtb  on file "uImage.its"

    Adding some additional output after creating a FIT image lets the user
    know exactly what is contained in their image, eg:

      $ mkimage -f uImage.its uImage.itb
      DTC: dts->dtb  on file "uImage.its"
      FIT description: Linux kernel 2.6.32-rc7-00201-g7550d6f-dirty
      Created:	       Tue Nov 24 15:43:01 2009
       Image 0 (kernel@1)
	Description:  Linux Kernel 2.6.32-rc7-00201-g7550d6f-dirty
	Type:	      Kernel Image
	Compression:  gzip compressed
	Data Size:    2707311 Bytes = 2643.86 kB = 2.58 MB
	Architecture: PowerPC
	OS:	      Linux
	Load Address: 0x00000000
	Entry Point:  0x00000000
	Hash algo:    crc32
	Hash value:   efe0798b
	Hash algo:    sha1
	Hash value:   ecafba8c95684f2c8fec67e33c41ec88df1534d7
       Image 1 (fdt@1)
	Description:  Flattened Device Tree blob
	Type:	      Flat Device Tree
	Compression:  uncompressed
	Data Size:    12288 Bytes = 12.00 kB = 0.01 MB
	Architecture: PowerPC
	Hash algo:    crc32
	Hash value:   a5cab676
	Hash algo:    sha1
	Hash value:   168722b13e305283cfd6603dfe8248cc329adea6
       Default Configuration: 'config@1'
       Configuration 0 (config@1)
	Description:  Default Linux kernel
	Kernel:       kernel@1
	FDT:	      fdt@1

    This brings the behavior of creating a FIT image in line with creating a
    standard uImage, which also prints out the uImage contents after
    creation.

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>

commit 8e1c89663cc8796b85588910046e03b388a7597c
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Tue Nov 24 16:42:09 2009 -0600

    tools/fit_image.c: Remove unused fit_set_header()

    The FIT fit_set_header() function was copied from the standard uImage's
    image_set_header() function during mkimage reorganization.	However, the
    fit_set_header() function is not used since FIT images use a standard
    device tree blob header.

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>

commit 1a99de2cb4d08eb3bf9fb3f60a9d533150de8c0e
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Tue Nov 24 16:42:08 2009 -0600

    tools/mkimage: Assume FDT image type for FIT images

    When building a Flattened Image Tree (FIT) the image type needs to be
    "flat_dt".	Commit 89a4d6b12fd6394898b8a454cbabeaf1cd59bae5 introduced a
    regression which caused the user to need to specify the "-T flat_dt"
    parameter on the command line when building a FIT image.  The "-T
    flat_dt" parameter should not be needed and is at odds with the current
    FIT image documentation.

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>

commit 3eb90bad651fab39cffba750ec4421a9c01d60e7
Author: Ingo van Lil <inguin@gmx.de>
Date:	Tue Nov 24 14:09:21 2009 +0100

    Generic udelay() with watchdog support

    According to the PPC reference implementation the udelay() function is
    responsible for resetting the watchdog timer as frequently as needed.
    Most other architectures do not meet that requirement, so long-running
    operations might result in a watchdog reset.

    This patch adds a generic udelay() function which takes care of
    resetting the watchdog before calling an architecture-specific
    __udelay().

    Signed-off-by: Ingo van Lil <inguin@gmx.de>

commit 1c409bc7101a24ecd47a13a4e851845d66dc23ce
Author: Graeme Russ <graeme.russ@gmail.com>
Date:	Tue Nov 24 20:04:21 2009 +1100

    i386: Final Relocation

    Signed-off-by: Graeme Russ <graeme.russ@gmail.com>

commit cabe5794803fbe18bedac2d9c7f2417a0fa95ec1
Author: Graeme Russ <graeme.russ@gmail.com>
Date:	Tue Nov 24 20:04:20 2009 +1100

    i386: Move references to link script exports

    Signed-off-by: Graeme Russ <graeme.russ@gmail.com>

commit 0fc1b49ecbd7ec7371f9ede0600e4fd28cec7f33
Author: Graeme Russ <graeme.russ@gmail.com>
Date:	Tue Nov 24 20:04:19 2009 +1100

    i386: Remove inline asm symbols from .dynsym

    Signed-off-by: Graeme Russ <graeme.russ@gmail.com>

commit 564a9984bdbf86a02cf4f0d848933a9fff4a1d18
Author: Graeme Russ <graeme.russ@gmail.com>
Date:	Tue Nov 24 20:04:18 2009 +1100

    i386: Rearrange Interupt Handling

    In preperation for full relocation

    Signed-off-by: Graeme Russ <graeme.russ@gmail.com>

commit 27f13075a659da046372dfe249d808f2f6ddb432
Author: Graeme Russ <graeme.russ@gmail.com>
Date:	Tue Nov 24 20:04:17 2009 +1100

    i386: Fix race condition when using SC520 timers

    Signed-off-by: Graeme Russ <graeme.russ@gmail.com>

commit 141a62cc12bfbab49f0f44a394518a360dcddad8
Author: Graeme Russ <graeme.russ@gmail.com>
Date:	Tue Nov 24 20:04:16 2009 +1100

    i386: Fix global label in inline asm compile error

    Signed-off-by: Graeme Russ <graeme.russ@gmail.com>

commit 4ee4e413baa8e951e3c42c17a808578867a63572
Author: Graeme Russ <graeme.russ@gmail.com>
Date:	Tue Nov 24 20:04:15 2009 +1100

    i386: Reorder source objects in lib_i386 Makefile

    Signed-off-by: Graeme Russ <graeme.russ@gmail.com>

commit aea14421c52f31e39837aa2890e07e9c70ee61fd
Author: Graeme Russ <graeme.russ@gmail.com>
Date:	Tue Nov 24 20:04:14 2009 +1100

    i386: Fix link collisions resulting from gcc4.4.1 upgrade

    Signed-off-by: Graeme Russ <graeme.russ@gmail.com>

commit b4feeb4e8a1d9124bae39985a97b99d08e06186d
Author: Graeme Russ <graeme.russ@gmail.com>
Date:	Tue Nov 24 20:04:13 2009 +1100

    i386: Fix malloc initialization

    Signed-off-by: Graeme Russ <graeme.russ@gmail.com>

commit c74bfce0fb20ec4d01809fa0566263894923467b
Author: Graeme Russ <graeme.russ@gmail.com>
Date:	Tue Nov 24 20:04:12 2009 +1100

    i386: Fix dlmalloc compile warning

    Signed-off-by: Graeme Russ <graeme.russ@gmail.com>

commit 270737acca21f3939f814de5dcf350a1c3d80d83
Author: Michael Brandt <Michael.Brandt@emsyso.de>
Date:	Sun Nov 22 14:13:27 2009 +0100

    EXT2FS: fix inode size for ext2fs rev#0

    extfs.c assumes that there is always a valid inode_size field in the
    superblock. But this is not true for ext2fs rev 0. Such ext2fs images
    are for instance generated by genext2fs. Symptoms on ARM machines are
    messages like: "raise: Signal # 8 caught"; on PowerPC "ext2ls" will
    print nothing.
    This fix checks for rev 0 and uses then 128 bytes as inode size.

    Signed-off-by: Michael Brandt <Michael.Brandt@emsyso.de>
    Tested on: TQM5200S
    Tested-by: Wolfgang Denk <wd@denx.de>
    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit bcb324d68f7955c1136dafc944eb55db8ebaa601
Author: Robert P. J. Day <rpjday@crashcourse.ca>
Date:	Thu Nov 19 11:00:28 2009 -0500

    Remove superfluous preprocessor tests from some cmd_*.c files.

    A small number of common/cmd_*.c files contain preprocessor tests that
    are apparently superfluous since those same tests are used in the
    Makefile to control the compilation of those files.  Those tests are
    clearly redundant as long as they surround the entirety of the source
    in those files.

    Signed-off-by: Robert P. J. Day <rpjday@crashcourse.ca>

commit 3ee8c12071f0e3bdda25125b63c9d3fd54a7c9d8
Author: Joakim Tjernlund <Joakim.Tjernlund@transmode.se>
Date:	Thu Nov 19 13:44:16 2009 +0100

    crc32: Impl. linux optimized crc32()

    Ported over the more efficient linux crc32() function.
    A quick comparsion on ppc:
    After changing the old crc32 to do 4 bytes in the
    inner loop to be able to compare with new version one can note:
    - old inner loop has 61 insn, new has 19 insn.
    - new crc32 does one 32 bit load of data to crc while
      the old does four 8 bits loads.
    - size is bit bigger for the new crc32:
      1392(old) 1416(new) of text. The is because the new version
      shares code with crc32_no_comp() instead of duplicating code.
    - about 33% faster on ppc:
      New > crc 0 0xfffffff -> 39 secs
      Old > crc 0 0xfffffff -> 60 secs

    Signed-off-by: Joakim Tjernlund <Joakim.Tjernlund@transmode.se>

commit ad53226156fa64b6d04c0d1d6e91e09979cbea15
Author: Robert P. J. Day <rpjday@crashcourse.ca>
Date:	Tue Nov 17 01:59:29 2009 -0500

    README: Update the list of directories.

    Bring the directory listing more into line with current content.

    Signed-off-by: Robert P. J. Day <rpjday@crashcourse.ca>

commit bd3784df94bfeca43fbf34094df9cb1bd3ecca3b
Author: Pratap Chandu <pratap.rrke@gmail.com>
Date:	Thu Nov 12 19:28:25 2009 +0530

    Removes dead code in the file common/cmd_i2c.c

    There is some dead code enclosed by #if 0 .... #endif in the file
    common/cmd_i2c.c
    This patch removes the dead code.

    Signed-off-by: Pratap Chandu <pratap.rrke@gmail.com>

commit 64a480601a5614b441de692ae15a62c51e0bb381
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Wed Nov 11 17:51:56 2009 -0500

    smc91111_eeprom: drop CONFIG stub protection

    Since the Makefile now controls the compilation of this, there is no need
    for CONFIG checking nor the stub function.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit f3a7bddc06c927c36a1a99a97131299479ef207a
Author: Magnus Lilja <lilja.magnus@gmail.com>
Date:	Wed Nov 11 19:56:58 2009 +0100

    RTC: Fix return code in MC13783 RTC driver.

    Signed-off-by: Magnus Lilja <lilja.magnus@gmail.com>

commit d52e3e0176a74c30549251e16c5c00a363c544d2
Author: Magnus Lilja <lilja.magnus@gmail.com>
Date:	Wed Nov 11 19:56:36 2009 +0100

    cmd_date: Fix spelling in error message.

    Signed-off-by: Magnus Lilja <lilja.magnus@gmail.com>

commit c253122395753abb9e531d8906c5265dc8803fb1
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Wed Nov 11 10:36:28 2009 -0600

    Move do_irqinfo() to common/cmd_irq.c

    cmd_irq.c is a much better home and it is already conditionally
    compiled based on CONFIG_CMD_IRQ.

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>

commit a5dd4dc64fe68e549c5ffcf6a048281b5ba94752
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Wed Nov 11 10:36:19 2009 -0600

    cmd_license: Remove unneeded #ifdef CONFIG_CMD_LICENSE

    cmd_license is already conditionally compiled at the Makefile-level.

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>

commit 06015146a15adc7455440c491d543f6a8091551d
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Mon Nov 9 15:18:52 2009 -0600

    m41t11: Remove unused functions

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>

commit 9ef78511cda39987e5fc10febf386fd19f58ecf7
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Mon Nov 9 15:17:50 2009 -0600

    circbuf: Move to lib_generic and conditionally compile

    circbuf could be used as a generic library and is only currently
    needed when CONFIG_USB_TTY is defined.

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>

commit 604f7ce55ad74694ef8743ad2e99933dc0265e46
Author: Sanjeev Premi <premi@ti.com>
Date:	Mon Nov 9 22:43:00 2009 +0530

    Fix build failure in examples/standalone

    Some versions of 'make' do not handle trailing white-spaces
    properly. Trailing spaces in ELF causes a 'fake' source to
    be added to the variable COBJS; leading to build failure
    (listed below). The problem was found with GNU Make 3.80.

    Using text-function 'strip' as a workaround for the problem.

    make[1]: Entering directory `/home/sanjeev/u-boot/examples/standalone'
    arm-none-linux-gnueabi-gcc -g  -Os	 -fno-common -ffixed-r8 -msoft-float
    -D__KERNEL__ -DTEXT_BASE=0x80e80000 -I/home/sanjeev/u-boot/include
    -fno-builtin -ffreestanding -nostdinc -isystem /opt/codesourcery/2009q1-
    203/bin/../lib/gcc/arm-none-linux-gnueabi/4.3.3/include -pipe  -DCONFIG_
    ARM -D__ARM__ -marm  -mabi=aapcs-linux -mno-thumb-interwork -march=armv5
    -Wall -Wstrict-prototypes -fno-stack-protector -g  -Os   -fno-common -ff
    ixed-r8 -msoft-float   -D__KERNEL__ -DTEXT_BASE=0x80e80000 -I/home/sanje
    ev/u-boot/include -fno-builtin -ffreestanding -nostdinc -isystem /opt/co
    desourcery/2009q1-203/bin/../lib/gcc/arm-none-linux-gnueabi/4.3.3/includ
    e -pipe  -DCONFIG_ARM -D__ARM__ -marm  -mabi=aapcs-linux -mno-thumb-inte
    rwork -march=armv5 -I.. -Bstatic -T u-boot.lds  -Ttext 0x80e80000 -o .c
    arm-none-linux-gnueabi-gcc: no input files
    make[1]: *** [.c] Error 1
    make[1]: Leaving directory `/home/sanjeev/u-boot/examples/standalone'
    make: *** [examples/standalone] Error 2
    premi #

    Signed-off-by: Sanjeev Premi <premi@ti.com>

    Fixed typo (s/ElF/ELF/).
    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit d984fed068b3bec8a7edaf7a3de71479abde080a
Author: Scott Wood <scottwood@freescale.com>
Date:	Wed Nov 4 18:41:41 2009 -0600

    makefiles: fixes for building build tools

    Currently, some of the tools instead set CC to be HOSTCC in order to re-use
    some pattern rules -- but this fails when the user overrides CC on the make
    command line.  Also, the HOSTCFLAGS in tools/Makefile are currently not
    being used because config.mk overwrites them.

    This patch adds static pattern rules for files that have been requested to
    be built with the native compiler using $(HOSTSRCS) and $(HOSTOBJS), and
    converts the tools to use them.

    It restores easylogo to using the host compiler, which was broken by commit
    38d299c2db81bd889c601b5dfc12c4e83ef83333 (if this was an intentional change,
    please let me know -- but it seems to be a build tool).

    It restores -pedantic and the special flags for darwin and cygwin that were
    requested in tools/makefile (but keeps the flags added by config.mk) --
    hopefully someone can test this on those platforms.  It no longer
    conditionalizes -pedantic on not being darwin; it wasn't clear that that was
    intentional, and unless there's a real problem it's just inviting people to
    contribute non-pedantic patches to those files (I'm not a fan of -pedantic
    personally, but if it's on for one platform it should be on for all).

    HOST_LDFLAGS is renamed HOSTLDFLAGS for consistency with the previous
    HOST_CFLAGS to HOSTCFLAGS rename.  A new HOSTCFLAGS_NOPED is made available
    for those files which currently cannot be built with -pedantic, and replaces
    the old FIT_CFLAGS.

    imls now uses the cross compiler properly, rather than by trying to
    reconstruct CC using the typoed $(CROSS_COMPILER).

    envcrc.c is now dependency-processed unconditionally -- previously it would
    be built without being on (HOST)SRCS if CONFIG_ENV_IS_EMBEDDED was not
    selected.

    Signed-off-by: Scott Wood <scottwood@freescale.com>

commit af860962b544ddf323c4ff68454f00d31e44df0a
Author: Becky Bruce <beckyb@kernel.crashing.org>
Date:	Wed Nov 4 18:30:08 2009 -0600

    85xx: Remove unused CONFIG_ASSUME_AMD_FLASH from config files

    A bunch of the 85xx boards have this cruft in them - it's not used
    anywhere.  Delete it.

    Signed-off-by: Becky Bruce <beckyb@kernel.crashing.org>

commit bf44f3f327acddba202ff67f70192926ea47dfd1
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Wed Nov 4 16:34:42 2009 -0500

    exports: rewrite jump table init

    The current jump table init fails to initialize a bunch of exported
    symbols (forceenv/do_reset/etc...).  Rather than fix just these few
    missing pieces, rewrite the code to utilize the existing list of
    exported symbols -- _exports.h.  Since every exported symbol has to
    be listed in this header, it makes sense to use it so that we only
    ever have one list that needs to be updated and things can't fall
    out of sync again.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit deec1fbd4f704dded2e668bb9e368631981ea139
Author: Wolfgang Denk <wd@denx.de>
Date:	Wed Dec 2 22:26:30 2009 +0100

    MAINTAINERS: update responsible for MPC85xx/86xx

    Signed-off-by: Wolfgang Denk <wd@denx.de>
    Cc: Kumar Gala <galak@kernel.crashing.org>
    Cc: Becky Bruce <beckyb@kernel.crashing.org>

commit 71636fa7c3de63de29c0f514d5c725eccb011657
Author: Tom Rix <Tom.Rix@windriver.com>
Date:	Sun Nov 29 17:56:36 2009 -0600

    ARM Update mach-types

    Fetched from http://www.arm.linux.org.uk/developer/machines/download.php
    And built with

    repo http://ftp.arm.linux.org.uk/pub/linux/arm/kernel/git-cur/linux-2.6-arm
    commit 3fcca9ac6cbce35b3e81e247d375534117d5f4cd

    Signed-off-by: Tom Rix <Tom.Rix@windriver.com>

commit 7c15121f4007751af8c45c978c4ad7d6c5ff11f9
Author: Vaibhav Hiremath <hvaibhav@ti.com>
Date:	Mon Nov 23 16:36:05 2009 +0530

    omap3_mmc: Encapsulate twl4030 under option CONFIG_TWL4030_POWER

    Fixes the build/compilation error if we try to re-use the omap3_mmc code
    without TWL4030_POWER.

    Signed-off-by: Vaibhav Hiremath <hvaibhav@ti.com>

commit 6406d6daea51bbeed21f3829b37d3f395c198e54
Author: Sandeep Paulraj <s-paulraj@ti.com>
Date:	Sat Nov 21 13:13:59 2009 -0500

    TI DaVinci: Adding a README for the DaVinci series of SOC's

    Adding an initial README for the DaVinci series of SOC's

    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 990f569c4fa6b9e76b31d0a5229981c092b02dcf
Author: Jean-Christophe PLAGNIOL-VILLARD <plagnioj at>
Date:	Sat Jun 6 10:30:58 2009 +0000

    avr32/hsdramc: Move conditional compilation to Makefile

    Signed-off-by: Jean-Christophe PLAGNIOL-VILLARD <plagnioj <at> jcrosoft.com>
    Cc: Haavard Skinnemoen <haavard.skinnemoen <at> atmel.com>

commit 3f12f5217e8bdf8f6842bf1b8c5c5b98425ac3db
Author: Sandeep Paulraj <s-paulraj@ti.com>
Date:	Sat Nov 21 13:24:17 2009 -0500

    NAND: Add config option for imx27lite

    We will get compilation warnings without
    "CONFIG_SYS_64BIT_VSPRINTF" being defined
    in the board config.

    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 43a5f0df2f2e3a2b5eab05d6742501c98d3c0d0c
Author: Po-Yu Chuang <ratbert.chuang@gmail.com>
Date:	Wed Nov 11 17:27:30 2009 +0800

    arm: A320: Add support for Faraday A320 evaluation board

    This patch adds support for A320 evaluation board from Faraday. This board
    uses FA526 processor by default and has 512kB and 32MB NOR flash, 64M RAM.
    FA526 is an ARMv4 processor and uses the ARM920T source in this patch.

    Signed-off-by: Po-Yu Chuang <ratbert@faraday-tech.com>

commit 39ba774f9b02c44b8fd4df44afac932800c18662
Author: Po-Yu Chuang <ratbert.chuang@gmail.com>
Date:	Wed Nov 11 17:26:00 2009 +0800

    arm: A320: driver for FTRTC010 real time clock

    This patch adds an FTRTC010 driver for Faraday A320 evaluation board.

    Signed-off-by: Po-Yu Chuang <ratbert@faraday-tech.com>

commit c1ee63cee89c5822fbbcc63586c8f2a1add70614
Author: Sandeep Paulraj <s-paulraj@ti.com>
Date:	Sat Nov 21 18:08:49 2009 -0500

    TI DaVinci DM646x: Enable NAND on DM6467 EVM

    This patch enables NAND on the DM6467 EVM

    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit d414aae552bc229dafcad92028effb4a8306c7a5
Author: Nishanth Menon <nm@ti.com>
Date:	Mon Nov 9 09:29:34 2009 -0500

    OMAP3: Fix SDRC init

    Defaults are for Infineon DDR timings.
    Since none of the supported boards currently do
    XIP boot, these seem to be faulty. fix the values
    as per the calculations(ACTIMA,B), conf
    the sdrc power with pwdnen and wakeupproc bits

    Signed-off-by: Nishanth Menon <nm@ti.com>

commit 30563a04bff73fd4fbd840b846f4b6459759a839
Author: Nishanth Menon <nm@ti.com>
Date:	Sat Nov 7 10:51:24 2009 -0500

    OMAP3:SDRC: introduce DDR types

    Micron DDR timings based on:
    http://www.sakoman.net/cgi-bin/gitweb.cgi?p=x-load-omap3.git;a=blob;f=include/asm/arch-omap3/mem.h;h=e6fbfe3947f5d0d85fea776e30821d4017316d86;hb=HEAD

    Introduce Micron DDR timings and provide
    CONFIG_OMAP3_INFINEON_DDR and CONFIG_OMAP3_MICRON_DDR config
    options to allow for platform files to setup their timings as
    per the type of DDR selected

    Reported-by: Steve Sakoman in http://www.nabble.com/forum/Permalink.jtp?root=25779518&post=25959734&page=y

    Signed-off-by: Nishanth Menon <nm@ti.com>

commit 169a4c804dbaf11facb041b1333d394c6ceb8d68
Author: Nishanth Menon <nm@ti.com>
Date:	Sat Nov 7 10:40:47 2009 -0500

    OMAP3:SDRC: Cleanup references to SDP

    Remove SDP referenced unused defines

    Signed-off-by: Nishanth Menon <nm@ti.com>

commit 2819e1365be0c81a0141ef5c6a7996b40888f6d8
Author: Sekhar Nori <nsekhar@ti.com>
Date:	Thu Nov 12 11:09:25 2009 -0500

    TI DA8xx: Integrate DA830 EVM support into U-Boot

    Integrate DA830 EVM support into U-Boot.

    Provides initial support for TI OMAP-L137/DA830 SoC devices on a Spectrum
    Digital EVM board. See http://www.spectrumdigital.com/

    Signed-off-by: Nick Thompson <nick.thompson@gefanuc.com>

commit bdc9c6c7f77a9a63349ecb9f54b20ad34033a2ae
Author: Sekhar Nori <nsekhar@ti.com>
Date:	Thu Nov 12 11:08:39 2009 -0500

    TI DA8xx: Add new directory for da830evm board

    Add new directory for da830evm board

    Provides initial support for TI OMAP-L137/DA830 SoC devices on a Spectrum
    Digital EVM board. See http://www.spectrumdigital.com/

    Provides:
    Initial boot and configuration.
    Support for i2c.
    UART support (console).

    Signed-off-by: Nick Thompson <nick.thompson@gefanuc.com>

commit 91172baf46a57807233eb7bcd724b9f10109cfe0
Author: Sekhar Nori <nsekhar@ti.com>
Date:	Thu Nov 12 11:07:22 2009 -0500

    TI DA8xx: Add DA8xx cpu functions

    Provides initial support for TI OMAP-L1x/DA8xx SoC devices.
    See http://www.ti.com

    Provides:
    Low level initialisation.
    System clock API.
    Timer control.

    Signed-off-by: Nick Thompson <nick.thompson@gefanuc.com>

commit bbed056e550b26712edc173411c9d7ff9cb7e0e6
Author: Nick Thompson <nick.thompson@gefanuc.com>
Date:	Thu Nov 12 11:06:08 2009 -0500

    Add TI DA8xx support: DA8xx includes

    Provides initial support for TI OMAP-L1x/DA8xx SoC devices.
    See http://www.ti.com

    The DA8xx devices are similar to DaVinci devices but have a differing
    memory map and updated peripheral versions.

    Signed-off-by: Nick Thompson <nick.thompson@gefanuc.com>
    Signed-off-by: Sekhar Nori <nsekhar@ti.com>

commit ca8480d444bdcc1670e42a613c5a5e4e8366d2d9
Author: Nick Thompson <nick.thompson@gefanuc.com>
Date:	Thu Nov 12 11:03:23 2009 -0500

    TI Davinci: add a pin multiplexer configuration API

    Creates a method allowing pin settings to be logically grouped into data
    structure arrays and provides an API to configure the pinmux settings to
    enable the relevant pin functions.

    Signed-off-by: Nick Thompson <nick.thompson@gefanuc.com>

commit 9868a36dfb8de4bb98b48e4f4eb912312d67279e
Author: Nick Thompson <nick.thompson@gefanuc.com>
Date:	Thu Nov 12 11:02:17 2009 -0500

    TI Davinci timer.c: Remove volatiles and memory mapped structures

    Remove volatiles and memory mapped structure accesses and replace with
    readl and writel macro usage.

    Signed-off-by: Nick Thompson <nick.thompson@gefanuc.com>

commit c90b32739a50ca52d9b8d220ea6875ae994566ec
Author: Grazvydas Ignotas <notasas@gmail.com>
Date:	Thu Nov 12 11:46:07 2009 +0200

    OMAP3: pandora: fix booting without serial attached

    When the board is booted without serial cable attached (which
    is how most of them will be used) UART RX is left floating and
    sometimes picks noise, which interrupts countdown and enters
    U-Boot prompt instead of booting the kernel.

    Fix this by setting up internal pullup on UART RX pin. This
    does not prevent serial from working as the internal pullup
    is weak.

    Signed-off-by: Grazvydas Ignotas <notasas@gmail.com>

commit ac67804fbb2d82a19170066c02af7053d474ce8d
Author: kevin.morfitt@fearnside-systems.co.uk <kevin.morfitt@fearnside-systems.co.uk>
Date:	Tue Nov 17 18:30:34 2009 +0900

    Add a unified s3c24x0 header file

    This patch adds a unified s3c24x0 cpu header file that selects the header
    file for the specific s3c24x0 cpu from the SOC and CPU configs defined in
    board config file. This removes the current chain of s3c24-type #ifdef's
    from the s3c24x0 code.

    Signed-off-by: Kevin Morfitt <kevin.morfitt@fearnside-systems.co.uk>
    Signed-off-by: Minkyu Kang <mk7.kang@samsung.com>

commit a59a23d68ae4f4a1c07d105520c93e6e289d186f
Author: Seunghyeon Rhee <rhee4j1@gmail.com>
Date:	Fri Nov 13 16:49:41 2009 +0900

    S3C6400/SMDK6400: fix stack_setup in start.S

    Fix stack_setup to place the stack on the correct address in DRAM
    accroding to U-Boot standard and remove conditional compilation by
    CONFIG_MEMORY_UPPER_CODE macro that is not necessry. This macro
    was introduced and used only by this board for some unclear reason.

    The definition of this macro is also removed because it's not
    referenced elsewhere.

    Signed-off-by: Seunghyeon Rhee <seunghyeon@lpmtec.com>
    Tested-by: Minkyu Kang <mk7.kang@samsung.com>

commit 940032260914076b1594906334b2e3f7af6fb7cf
Author: Minkyu Kang <mk7.kang@samsung.com>
Date:	Tue Nov 10 20:23:50 2009 +0900

    s5pc1xx: serial: fix the error check logic

    Because of Frame error, Parity error and Overrun error are occured only receive
    operation, need to masking when error checking.

    Signed-off-by: Minkyu Kang <mk7.kang@samsung.com>

commit 9ebfdc202275bcd9eb4af56e32bfb4253ff1b781
Author: kevin.morfitt@fearnside-systems.co.uk <kevin.morfitt@fearnside-systems.co.uk>
Date:	Wed Nov 4 17:49:31 2009 +0900

    Clean-up of s3c24x0 header files

    Cleans up the s3c24x0 header files:

    s4c24x0.h: removes the use of 'volatile' from the S3C24X0_REG8,
    S3C24X0_REG16 and S3C24X0_REG32 register typedef's. Registers are always
    accessed using the IO accessor functions which cast the register address
    as 'volatile' anyway so it isn't required here.

    s3c2400.h and s3c2410.h: insert a blank line between the static inline
    functions

    Signed-off-by: Kevin Morfitt <kevin.morfitt@fearnside-systems.co.uk>

commit 47e801bec360e69e4b087a141d015b318e1b0212
Author: Minkyu Kang <mk7.kang@samsung.com>
Date:	Wed Nov 4 16:07:59 2009 +0900

    s3c64xx: move s3c64xx header files to asm-arm/arch-s3c64xx

    This patch moves the s3c64xx header files from include/
    to include/asm-arm/arch-s3c64xx

    Signed-off-by: Minkyu Kang <mk7.kang@samsung.com>

commit 492fb1fdbcdd5e21be0b6742c15f76c648f0653b
Author: kevin.morfitt@fearnside-systems.co.uk <kevin.morfitt@fearnside-systems.co.uk>
Date:	Tue Nov 3 18:08:41 2009 +0900

    Move s3c24x0 header files to asm-arm/arch-s3c24x0/

    This patch moves the s3c24x0 header files from include/ to
    include/asm-arm/arch-s3c24x0/.

    checkpatch.pl showed 2 errors and 3 warnings. The 2 errors were both due
    to a non-UTF8 character in David M?ller's name:

    ERROR: Invalid UTF-8, patch and commit message should be encoded in UTF-8
    #489: FILE: include/asm-arm/arch-s3c24x0/s3c2410.h:3:
    + * David M?ller ELSOFT AG Switzerland. d.mueller@elsoft.ch

    As David's name correctly contains a non-UTF8 character I haven't fixed
    these errors.

    The 3 warnings were all because of the use of 'volatile' in s3c24x0.h:

    WARNING: Use of volatile is usually wrong: see Documentation/volatile-considered-harmful.txt
    #673: FILE: include/asm-arm/arch-s3c24x0/s3c24x0.h:35:
    +typedef volatile u8	S3C24X0_REG8;
    +typedef volatile u16	S3C24X0_REG16;
    +typedef volatile u32	S3C24X0_REG32;

    I'll fix these errors in another patch.

    Tested by running MAKEALL for ARM8 targets and ensuring there were no new
    errors or warnings.

    Signed-off-by: Kevin Morfitt <kevin.morfitt@fearnside-systems.co.uk>
    Signed-off-by: Minkyu Kang <mk7.kang@samsung.com>

commit 2d251ccaa90997012e0b1f13bf791df2bf03a144
Author: Tom Rix <Tom.Rix@windriver.com>
Date:	Sun Nov 15 10:58:06 2009 -0600

    ARM Update mach-types

    Fetched from http://www.arm.linux.org.uk/developer/machines/download.php
    And built with

    repo http://ftp.arm.linux.org.uk/pub/linux/arm/kernel/git-cur/linux-2.6-arm
    commit 156171c71a0dc4bce12b4408bb1591f8fe32dc1a

    Signed-off-by: Tom Rix <Tom.Rix@windriver.com>

commit c88ed4cb2eed29a690ac6689ed1dc2f5e9547d15
Author: Mark Asselstine <[mark.asselstine@windriver.com]>
Date:	Tue Oct 27 19:40:40 2009 +0530

    sheevaplug: correct SDRAM address control register

    value

    The SheevaPlug DevKit is shipped with 4x8 by 1Gb DDR devices in
    two banks for a total of 512MB of RAM. Based on this configuration
    the existing values for SDRAM address control register are incorrect
    and result in random kernel oops as memory is incorrectly accessed
    (while for example extracting a large tarball such as a rootfs).
    Based on the hardware configuration along with the supporting
    documentation from Marvell these are the correct values, as
    well this change mimics values previously used in Marvell's own
    u-boot git tree for the SheevaPlug.

    Other variants of the hardware such as the PogoPlug and TonidoPlug
    may have different memory configurations but to properly support
    those additional board directories should be maintained or a better
    system to support other kwb*.cfg is needed.

    Tested on SheevaPlug DevKit.

    Signed-off-by: Mark Asselstine <mark.asselstine@windriver.com>

commit 9829cabbaa0474e94075bf7d62c99bdba996518b
Author: Sandeep Paulraj <s-paulraj@ti.com>
Date:	Wed Oct 28 19:16:43 2009 -0400

    Fix for Void function returning value in sbc35-a9g20

    Void function was returning 0 in the m41t94 rtc driver.
    This makes it similar to m41t62 rtc driver.

    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit d5e2d625c74c84aa419ba7fa0c81bad93fc69a60
Author: Tom Rix <Tom.Rix@windriver.com>
Date:	Sat Oct 24 14:48:33 2009 -0500

    ARM Update mach-types.h

    From http://ftp.arm.linux.org.uk/pub/linux/arm/kernel/git-cur/linux-2.6-arm

    Commit id 0996391139f43d032335b5360db11da62a2cbb39

    Signed-off-by: Tom Rix <Tom.Rix@windriver.com>

commit 34ddbd171ba154e9afd83f07a07ad8b57ac592e3
Author: Matthias Fuchs <matthias.fuchs@esd-electronics.com>
Date:	Thu Oct 22 23:06:59 2009 +0200

    ppc4xx: Remove autoupdate feature from PLU405 board

    The autoupdate feature is not used on PLU405 boards.
    So remove it.

    Signed-off-by: Matthias Fuchs <matthias.fuchs@esd.eu>
    Signed-off-by: Stefan Roese <sr@denx.de>

commit 824d82997fbcf28e49081d36fdd5d3be1b92b03d
Author: Ira W. Snyder <iws@ovro.caltech.edu>
Date:	Wed Nov 4 13:37:59 2009 -0800

    Fix example FIT image source files

    The example FIT image source files do not compile with the latest dtc and
    mkimage. The following error message is produced:

    DTC: dts->dtb  on file "kernel.its"
    Error: kernel.its 7:0 - 1:0 syntax error
    FATAL ERROR: Unable to parse input tree
    ./mkimage: Can't read kernel.itb.tmp: Invalid argument

    The FIT image source files are missing the "/dts-v1/;" directive at the
    beginning of the file. Add the directive to the examples.

    Signed-off-by: Ira W. Snyder <iws@ovro.caltech.edu>

commit fd66066ee3ce15c2966feb9b2be0f0d51a95db48
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Wed Nov 4 16:13:19 2009 -0500

    img2srec: use standard types

    The img2srec code creates a lot of typedefs with common names.  These
    easily clash with system headers that include these typedefs (like mingw).

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 8204e068110e8abe5db9c3b7df9971b58cda8f26
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Wed Nov 4 16:03:25 2009 -0500

    tools: gitignore *.exe binaries

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit 425d3b666eee5c58fdb82fb894a535dd71782a05
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Tue Nov 3 23:31:07 2009 -0600

    ppc: Move conditional compilation of kgdb.c to Makefile

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>

commit e06ab6546b332acc55ac4e7c31338662328b0fb3
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Tue Nov 3 11:36:39 2009 -0500

    spi_flash.h: pull in linux/types.h for u## types

commit 0008555f4d57c15ad86ee735861ca0d783042f61
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Tue Nov 3 11:36:26 2009 -0500

    bootm: mark local boot_os[] table static

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit a8fa379d47f06c7d3ed75c8fb26ae43ee38e1fd7
Author: Nishanth Menon <nm@ti.com>
Date:	Mon Nov 2 09:40:18 2009 -0600

    mkconfig: deny messed up ARCH definition

    Refuse to setup a platform if the command line ARCH= is not the same
    as the one required for the board. This prevents any user with
    prehistoric aliases from messing up their builds.

    Reported in thread:
    http://old.nabble.com/-U-Boot--Build-breaks-on-some-OMAP3-configs-to26132721.html

    Inputs from: Mike Frysinger and Wolfgang Denk:
    http://lists.denx.de/pipermail/u-boot/2009-November/063642.html

    Cc: Wolfgang Denk <wd@denx.de>
    Cc: Mike Frysinger <vapier@gentoo.org>
    Cc: Anand Gadiyar <gadiyar@ti.com>
    Cc: Dirk Behme <dirk.behme@googlemail.com>
    Signed-off-by: Nishanth Menon <nm@ti.com>

commit 67b96e87da1b84660fa1e5b78cc760246d116814
Author: Remy Bohmer <linux@bohmer.net>
Date:	Wed Oct 28 22:13:39 2009 +0100

    Repair the 'netretry=once' option.

    'netretry = once' does the same as 'netretry = yes', because it is not stored
    when it was tried once.

    Signed-off-by: Remy Bohmer <linux@bohmer.net>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit b25e38fc36e13fa8037fa4d37fe909d1d6e6f372
Author: Remy Bohmer <linux@bohmer.net>
Date:	Thu Oct 29 14:24:22 2009 +0100

    Repair build fail in case CONFIG_PPC=n and CONFIG_FIT=y

    Signed-off-by: Remy Bohmer <linux@bohmer.net>

commit 01826abc02ce160501534788e63629ccbe31b05c
Author: Grazvydas Ignotas <notasas@gmail.com>
Date:	Thu Nov 12 11:46:07 2009 +0200

    OMAP3: pandora: fix booting without serial attached

    When the board is booted without serial cable attached (which
    is how most of them will be used) UART RX is left floating and
    sometimes picks noise, which interrupts countdown and enters
    U-Boot prompt instead of booting the kernel.

    Fix this by setting up internal pullup on UART RX pin. This
    does not prevent serial from working as the internal pullup
    is weak.

    Signed-off-by: Grazvydas Ignotas <notasas@gmail.com>

commit 41dfd8a60324243dbe2dc313a607910824a68aa7
Author: Remy Bohmer <linux@bohmer.net>
Date:	Wed Oct 28 22:13:37 2009 +0100

    Add support for CS2 dataflash for Atmel-SPI.

    The only missing chipselect line support is CS2, and I need it on
    CS2...

    Signed-off-by: Remy Bohmer <linux@bohmer.net>

commit faf36c1437c95e4a86835633d9801c5f6396a3c7
Author: Remy Bohmer <linux@bohmer.net>
Date:	Wed Oct 28 22:13:36 2009 +0100

    Fix mingw tools build

    mkimage does not build due to missing strtok_r() and getline() implementation

    Signed-off-by: Remy Bohmer <linux@bohmer.net>

commit 6a590c5f5fd12cdd27f3153522acfac3854590e7
Author: Remy Bohmer <linux@bohmer.net>
Date:	Wed Oct 28 22:13:35 2009 +0100

    Building of FIT images does not work.

    The type is not set for generation of the FIT images, resulting
    in no images being created without printing or returning an error

    Signed-off-by: Remy Bohmer <linux@bohmer.net>

commit 0a7691e820e33b23f61c6ea0ef6fa72099d1a6ae
Author: Renato Andreola <renato.andreola@imagos.it>
Date:	Mon Nov 23 16:45:14 2009 -0500

    Nios2: do_boom_linux(): kernel gunzip input data integrity problem due to
	missing cache flush.

	Added instruction and data caches flush.

    Signed-off-by: Scott McNutt <smcnutt@psyent.com>

commit de03825386eaedb5e17261dd87cde86e9a764ba9
Author: Scott McNutt <smcnutt@psyent.com>
Date:	Mon Nov 23 16:29:40 2009 -0500

    Nios2: Fix compiler warnings in lib_nios2/board.c (unused variables)

    Signed-off-by: Scott McNutt <smcnutt@psyent.com>

commit 57baa379cf2f67df89a5c6052767fd25daff20bd
Author: Scott McNutt <smcnutt@psyent.com>
Date:	Mon Nov 23 15:54:25 2009 -0500

    Nios2/Nios: Remove unnecessary (residual) linker Nios command scripts from
	the standalone examples.

    Signed-off-by: Scott McNutt <smcnutt@psyent.com>

commit eb5eb2b0f744f0cba405160c5d01335c40f09acf
Author: Stefan Roese <sr@denx.de>
Date:	Thu Nov 19 14:03:17 2009 +0100

    ppc4xx: Cleanup PPC4xx I2C infrastructure

    This patch cleans up the PPC4xx I2C intrastructure:

    - Use C struct to describe the I2C registers instead of defines
    - Coding style cleanup (braces, whitespace, comments, line length)
    - Extract common code from i2c_read() and i2c_write()
    - Remove unneeded IIC defines from ppc405.h & ppc440.h

    Signed-off-by: Stefan Roese <sr@denx.de>

commit b2f618f2150b15b2674f11d09e1c0fdfe460c1cd
Author: Stefan Roese <sr@denx.de>
Date:	Thu Nov 19 11:49:36 2009 +0100

    ppc4xx: Remove some testing code from 4xx_pcie.c

    This code got included accidentally.

    Signed-off-by: Stefan Roese <sr@denx.de>

commit 4e574c4e2d3776d9db62dca4ca3c73be1574af43
Author: Daniel Gorsulowski <Daniel.Gorsulowski@esd.eu>
Date:	Mon May 18 13:20:54 2009 +0200

    at91: Extended soft_i2c driver for AT91SAM9263 SoC

    While hard_i2c support is not available
    (see http://lists.denx.de/pipermail/u-boot/2009-March/049751.html),
    this patch enables soft_i2c on AT91SAM9263 SoC.

    Signed-off-by: Daniel Gorsulowski <Daniel.Gorsulowski@esd.eu>

commit 396fd17338b9bf1f84f494ec1860427e18868ede
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Fri Oct 16 17:36:27 2009 -0500

    Add 'true' and 'false' commands

    These commands are only enabled when the hush shell is enabled and can
    be useful in scripts such as:

    while true do
	echo "Booting OS...";
	run $bootcmd;
	echo "Booting OS failed";
	sleep 10;
    done

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>

commit 4e1ca93b6bae34b68be9280b43bf0289d994656c
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Fri Oct 16 17:36:26 2009 -0500

    cmd_help: General cleanup

    Shorten the overly-verbose help message of 'help' and clean up some
    redundant ifdefery while we're at it.

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>

commit 6b8f5ad10f567362a3682840f59ba0fc470af319
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Fri Oct 16 17:36:25 2009 -0500

    command.c: Break commands out to appropriate cmd_*.c files

    command.c should contain common code related to commands, not
    miscellaneous command implementations.

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>

commit fcffb680e77fcb48598d4a9944dbe2d4503170e0
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Wed Oct 14 19:28:03 2009 -0400

    sf: fix stmicro offset setup while erasing

    Reported-by: Peter Gombos <gombos@protecta.hu>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit d394a7795027d96ca55799df40bd5c4a13dbeebe
Author: Jason McMullan <mcmullan@netapp.com>
Date:	Fri Oct 9 17:12:23 2009 -0400

    sf: new driver for Winbond W25X16/32/64 devices

    Signed-off-by: Jason McMullan <jason.mcmullan@gmail.com>
    Signed-off-by: Mike Frysinger <vapier@gentoo.org>

commit cada315100c88894b85972a91309a6f2413966b6
Author: Marcel Ziswiler <marcel@ziswiler.com>
Date:	Thu Oct 1 23:55:17 2009 +0200

    mpc8260: move FDT memory node fixup into common CPU code.

    Signed-off-by: Marcel Ziswiler <marcel.ziswiler@noser.com>
    Tested-by: Heiko Schocher <hs@denx.de>

commit f2cea405f83da46b72098ea874fb3eefe185d312
Author: Po-Yu Chuang <ratbert.chuang@gmail.com>
Date:	Wed Sep 23 15:52:35 2009 +0800

    Add driver for FTRTC010 real time clock

    Signed-off-by: Po-Yu Chuang <ratbert@faraday-tech.com>

    Edited commit message.
    Signed-off-by: Wolfgang Denk <wd@denx.de>

commit c0356a88011330646e960dfac8a2c909bede3304
Author: Mark Jackson <mpfj-list@mimc.co.uk>
Date:	Mon Aug 17 16:42:52 2009 +0100

    MIMC200: set default fbmem value

    This patch adds a default bootargs "fbmem" value to the
    CONFIG_BOOTARGS string for the MIMC200 board.

    Signed-off-by: Mark Jackson <mpfj@mimc.co.uk>

commit 10a5a7991258019af155bc19b3b246aaa708b0e2
Author: Sandeep Paulraj <s-paulraj@ti.com>
Date:	Thu Nov 19 23:04:42 2009 -0500

    NAND: Add Support for 4K page size in DaVinci NAND driver

    This patch adds support for NAND devices with a page size of
    4K in the DaVinci NAND driver. The layout matches the layout that TI uses
    for 4K page size NAND devices in the kernel NAND driver.

    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 14ce02c88116316a0285cc7d9c05f83367a5aae8
Author: Matthias Fuchs <matthias.fuchs@esd.eu>
Date:	Wed Nov 18 16:29:29 2009 +0100

    ppc4xx: Remove unused features from PMC440 board support

    This patch shrinks the PMC440 u-boot binary (from next branch)
    to fit into 384kB again.

    Signed-off-by: Matthias Fuchs <matthias.fuchs@esd.eu>
    Signed-off-by: Stefan Roese <sr@denx.de>

commit 629ab99b3b19c1b7e06a7c4e5d666138bc924c7c
Author: Matthias Fuchs <matthias.fuchs@esd.eu>
Date:	Wed Nov 18 16:28:42 2009 +0100

    ppc4xx: Remove confusing comment

    This is not the sequoia board.

    Signed-off-by: Matthias Fuchs <matthias.fuchs@esd.eu>
    Signed-off-by: Stefan Roese <sr@denx.de>

commit 79e2d8df3776b667257e609aefefa071b4fe13a2
Author: Stefan Roese <sr@denx.de>
Date:	Tue Nov 17 15:53:00 2009 +0100

    ppc4xx: alpr: Remove some not needed commands to make image fit again

    The latest changes in the u-boot/next branch increased the size of the
    alpr image a bit more. Now it doesn't fit into the 256k reserved for it.
    This patch now removes the commands "askenv" and "irq" which are not
    needed in the production systems.

    Signed-off-by: Stefan Roese <sr@denx.de>
    Cc: Pieter Voorthuijsen <pieter.voorthuijsen@prodrive.nl>

commit 6c70049bd14e8e81764570732be7f34a89831f09
Author: Stefan Roese <sr@denx.de>
Date:	Thu Nov 12 17:19:37 2009 +0100

    ppc4xx: Consolidate pci_master_init() function

    This patch removes the duplicted implementations of the pci_master_init()
    function by introducing a weak default function for it. It can be
    overridden by a board specific version.

    Signed-off-by: Stefan Roese <sr@denx.de>

commit a760b0203155da6fb8b8e9086169bb87d09d76fa
Author: Stefan Roese <sr@denx.de>
Date:	Thu Nov 12 16:41:09 2009 +0100

    ppc4xx: Consolidate pci_pre_init() function

    This patch removes the duplicted implementations of the pci_pre_init()
    function by introducing a weak default function for it. This weak default
    has a different implementation for some PPC variants. It can be
    overridden by a board specific version.

    Signed-off-by: Stefan Roese <sr@denx.de>

commit 1095493a5d4c16f481a783f6f54d83ad0e07dfa0
Author: Stefan Roese <sr@denx.de>
Date:	Thu Nov 12 12:00:49 2009 +0100

    ppc4xx: Consolidate pci_target_init() function

    This patch removes the duplicted implementations of the pci_target_init()
    function by introducing a weak default function for it. This weak default
    has a different implementation for 440EP(x)/GR(x) PPC's. It can be
    overridden by a board specific version (e.g. PMC440, korat).

    Signed-off-by: Stefan Roese <sr@denx.de>
    Acked-by: Matthias Fuchs <matthias.fuchs@esd.eu>

commit 5e1ded558b7cc28a62c14598f6437023b6262444
Author: Hui.Tang <zetalabs@gmail.com>
Date:	Wed Nov 18 16:24:04 2009 +0800

    S3C2410 NAND Flash Add Missing Function

    This patch add nand_read_buf() for S3C2410 NAND SPL.
    In nand_spl/nand_boot.c, nand_boot() will check nand->select_chip,
    so nand->select_chip should also be initialized.

    Signed-off-by: Hui.Tang <zetalabs@gmail.com>

commit 6cd752f927e515e63a038fa363edceec5a59c028
Author: Sandeep Paulraj <s-paulraj@ti.com>
Date:	Mon Nov 16 13:32:01 2009 -0500

    NAND: Update read_read_subpage API check

    This patch updates a check condition in the NAND driver.
    The check condition is similat to what is in linux/next.

    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit bb3e9828e7fbcc9e4518e51592876f4a0997d9ec
Author: Sandeep Paulraj <s-paulraj@ti.com>
Date:	Mon Nov 16 13:31:47 2009 -0500

    NAND:Extending the nand_ecclayout structure

    NANDs with page size of lesser than and equal to 2K are
    reaching EOL. They are bing replaced with NANDs of
    page size 4K and above.
    To support this we have to extend the eccpos field

    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 3ffc0d61bad7d986e344ce7062b37c5c8f04fb0e
Author: Matthias Fuchs <matthias.fuchs@esd-electronics.com>
Date:	Tue Oct 27 19:58:09 2009 +0100

    ppc4xx: Initialize magnetic coupler on VOM405 boards

    This patch fixes an ugly behavior of the IL712 magnetic coupler
    as used on VOM405. These parts will remember their last state
    over a power cycle which might cause unwanted behavior.

    Signed-off-by: Matthias Fuchs <matthias.fuchs@esd.eu>
    Signed-off-by: Stefan Roese <sr@denx.de>

commit be0db3e3141c6c6b4e232b51091f35a284cc54e5
Author: Matthias Fuchs <matthias.fuchs@esd.eu>
Date:	Mon Oct 26 09:58:45 2009 +0100

    ppc4xx: Initialize magnetic couplers in PLU405

    This patch fixes an ugly behavior of the IL712 magnetic couplers
    as used on PLU405. These parts will remember their last state
    over a power cycle which might cause unwanted behavior.

    Signed-off-by: Matthias Fuchs <matthias.fuchs@esd.eu>
    Signed-off-by: Stefan Roese <sr@denx.de>

commit 067f54c66acd469870ef6946e1591bfcc02de1b3
Author: Matthias Fuchs <matthias.fuchs@esd.eu>
Date:	Mon Oct 26 09:55:40 2009 +0100

    Add minimal SJA1000 header for basic CAN mode

    This patch is in preparation for the upcoming PLU405 board fix.

    Signed-off-by: Matthias Fuchs <matthias.fuchs@esd.eu>
    Signed-off-by: Stefan Roese <sr@denx.de>

commit 1d2e96de56cc57e25a19bc40d297f36c4c4443a2
Author: Dirk Behme <dirk.behme@googlemail.com>
Date:	Mon Nov 2 20:36:26 2009 +0100

    OMAP2/3: I2C: Add support for second and third bus

    Add support to use second and third I2C bus, too.

    Bus 0 is still the default, but by calling i2c_set_bus_num(1/2) before doing
    I2C accesses, code can switch to bus 1 and 2, too. Don't forget to switch
    back afterwards, then.

    Signed-off-by: Dirk Behme <dirk.behme@googlemail.com>

commit c758e947aa7d39a2be607ecdedd818ad300807b2
Author: Amul Kumar Saha <amul.saha@samsung.com>
Date:	Wed Nov 4 10:38:46 2009 +0530

    ENV Variable support for Flex-OneNAND

    Define and use CONFIG_ENV_ADDR_FLEX and CONFIG_ENV_SIZE_FLEX
    for storing environment variables.

    Signed-off-by: Rohit Hagargundgi <h.rohit@samsung.com>
    Signed-off-by: Amul Kumar Saha <amul.saha@samsung.com>

commit cacbe919584193f64e74088e03f068e52775bb86
Author: Amul Kumar Saha <amul.saha@samsung.com>
Date:	Fri Nov 6 17:15:31 2009 +0530

    Flex-OneNAND driver support

    This patch adds support for Flex-OneNAND devices.

    Signed-off-by: Rohit Hagargundgi <h.rohit@samsung.com>
    Signed-off-by: Amul Kumar Saha <amul.saha@samsung.com>

commit 35209cbceebe212a8c5ec17d552960f8bd4725f3
Author: Mingkai Hu <Mingkai.hu@freescale.com>
Date:	Tue Oct 20 16:58:17 2009 +0800

    fsl_elbc_nand: remove the bbt descriptors relocation fixup

    The commit 66372fe2 manually relocated the bbt pattern pointer,
    which can be removed by using full relocation.

    Signed-off-by: Mingkai Hu <Mingkai.hu@freescale.com>

commit 25643d4da257e51f6200b213c75de4fb5b345780
Author: Mingkai Hu <Mingkai.hu@freescale.com>
Date:	Tue Oct 20 16:58:16 2009 +0800

    ppc/85xx: make boot from NAND full relocation to RAM

    Take advantage of the latest full relocation commit of PPC platform
    for boot from NAND.

    Signed-off-by: Mingkai Hu <Mingkai.hu@freescale.com>
    Acked-by: Kumar Gala <galak@kernel.crashing.org>

commit 7e86661cd777eec1e81c5e57c468e81138fda983
Author: David Brownell <dbrownell@users.sourceforge.net>
Date:	Sat Nov 7 16:27:01 2009 -0500

    NAND: fix "raw" reads with ECC syndrome layouts

    The syndrome based page read/write routines store ECC, and possibly other
    "OOB" data, right after each chunk of ECC'd data.  With ECC chunk size of
    512 bytes and a large page (2KiB) NAND, the layout is:

      data-0 OOB-0 data-1 OOB-1 data-2 OOB-2 data-3 OOB-3 OOB-leftover

    Where OOBx is (prepad, ECC, postpad).  However, the current "raw" routines
    use a traditional layout -- data OOB, disregarding the prepad and postpad
    values -- so when they're used with that type of ECC hardware, those calls
    mix up the data and OOB.  Which means, in particular, that bad block
    tables won't be found on startup, with data corruption and related chaos
    ensuing.

    The current syndrome-based drivers in mainline all seem to use one chunk
    per page; presumably they haven't noticed such bugs.

    Fix this, by adding read/write page_raw_syndrome() routines as siblings of
    the existing non-raw routines; "raw" just means to bypass the ECC
    computations, not change data and OOB layout.

    Signed-off-by: David Brownell <dbrownell@users.sourceforge.net>
    Signed-off-by: Andrew Morton <akpm@linux-foundation.org>
    Signed-off-by: David Woodhouse <David.Woodhouse@intel.com>

commit 5df3c2b62cebaa0ddb2817364f93726e5dbe3525
Author: Sandeep Paulraj <s-paulraj@ti.com>
Date:	Sat Nov 7 14:25:18 2009 -0500

    NAND: Don't walk past end of oobfree[]

    When computing oobavail from the list of free areas in the OOB,
    don't assume there will always be an unused slot at the end.
    This syncs up with the kernel NAND driver.

    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 18b5a4b43af3c8359cb568f4fa32d6b9dcebbf26
Author: Sandeep Paulraj <s-paulraj@ti.com>
Date:	Sat Nov 7 14:25:03 2009 -0500

    NAND: Update check condition for nand_read_page_hwecc API

    The patch updates the check condition for determining
    whether the ECC corrections has failed.
    This makes it similar to what is in the kernel NAND driver.

    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit e25ee0396226fb56679702d0361cf2645504e7f6
Author: Sandeep Paulraj <s-paulraj@ti.com>
Date:	Sat Nov 7 14:24:50 2009 -0500

    NAND: Updating comments/explanations in the NAND driver

    Patch updates the comments and explanations for
    the arguments to various functions.

    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit aad4a28b2518e1d24ee606d9ea31f9b4dd029777
Author: Sandeep Paulraj <s-paulraj@ti.com>
Date:	Sat Nov 7 14:24:34 2009 -0500

    NAND: Subpage shift for ecc_steps equal to 16

    This was originally part of Thomas Gleixner's patch for
    adding support for 4KiB pages.
    This is not part of the U-Boot NAND driver so updating the
    driver with this to sync up with the kernel NAND driver.

    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 36e0b98ec832bb5ec42d6e249058d5b84f75dff8
Author: Sandeep Paulraj <s-paulraj@ti.com>
Date:	Sat Nov 7 14:24:20 2009 -0500

    NAND: Remove commented out code

    Patch removes already commented out dead code

    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit 4f41e7ea1a17ba7207ca41379bf344b317e72c12
Author: Sandeep Paulraj <s-paulraj@ti.com>
Date:	Sat Nov 7 14:24:06 2009 -0500

    NAND: Correct the "chip_shift" calculation

    This patch updates the "chip_shift" calculation in the
    NAND driver. This is being done to sync up the NAND driver with
    the kernel NAND driver.

    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>

commit aaa8eec532876c47acfd31bf9b573a00eaad92ae
Author: Sandeep Paulraj <s-paulraj@ti.com>
Date:	Fri Oct 30 13:51:23 2009 -0400

    NAND: Update to support 64 bit device size

    This patch adds support for NANDs greater than 2 GB.
    Patch is based on the MTD NAND driver in the kernel.

    Signed-off-by: Sandeep Paulraj <s-paulraj@ti.com>
    Signed-off-by: Scott Wood <scottwood@freescale.com>

commit 581d04f14d7a39b63d418e2a21e44101233096d1
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Thu Oct 15 10:48:18 2009 -0500

    cmd_nand: Move conditional compilation to Makefile

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>

commit 9574fd63a97d080e379f30b6a81a1221eaeb797e
Author: Peter Tyser <ptyser@xes-inc.com>
Date:	Thu Oct 15 10:48:17 2009 -0500

    cmd_nand: Remove duplicate include

    Also remove vague, unnecessary comment

    Signed-off-by: Peter Tyser <ptyser@xes-inc.com>

commit cdbdbe65f5f006cba208accee5a126c659d4b867
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Fri Nov 13 08:52:21 2009 -0600

    ppc/85xx: Fix how we determine the number of CAM entries

    We were incorrectly use the max CAM size as the number of entries in
    the array for setting up the addrmap.  We should be using the NENTRY
    field which is the low 12-bits of TLB1CFG.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit fbd47b6753b08162436d9ccad1e63c8d43ede54c
Author: Mike Rapoport <mike@compulab.co.il>
Date:	Thu Nov 12 15:35:08 2009 +0200

    smc911x: make smc911x_initialize return correct value

    Make smc911x_initialize return -1 on error and number of interfaces
    detected otherwise.

    Signed-off-by: Mike Rapoport <mike@compulab.co.il>
    Acked-by: Mike Frysinger <vapier@gentoo.org>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit c44efcf97b335dcef7d014f65b7d3094e79adb13
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Thu Nov 12 22:26:02 2009 -0500

    smc911x_eeprom: fix building after smc911x overhaul

    When the smc911x driver was converted to NET_MULTI, the smc911x eeprom was
    missed.  The config option needed updating as well as overhauling of the
    rergister read/write functions.

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>
    Tested-by: Mike Rapoport <mike.rapoport@gmail.com>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit 3ad95deb30ac73bd57e966d321215a17d3236f9f
Author: Dave Liu <daveliu@freescale.com>
Date:	Thu Nov 12 07:26:37 2009 +0800

    fsl-ddr: Fix the chip-select interleaving issue

    commit 1542fbdeec0d1e2a6df13189df8dcb1ce8802be3
    introduced one new bug to chip-select interleaving.

    Single DDR controller also can do the chip-select
    interleaving if there is dual-rank or qual-rank DIMMs.

    Signed-off-by: Dave Liu <daveliu@freescale.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 651ef90fa6ca824c8e581aeef9e04bbbe7f7e9ce
Author: javier Martin <javier.martin@vista-silicon.com>
Date:	Thu Oct 29 08:22:43 2009 +0100

    mxc_fec: avoid free() calls to already freed pointers.

    Sometimes, inside NetLoop, eth_halt() is called before eth_init() has
    been called. This is harmless except for free() calls to pointers
    which have not been allocated yet.

    This patch initializes those pointers to NULL and allocates them only
    the first time. This way we can get rid of free calls in halt callback.

    This has been tested in i.MX27 Litekit board and eldk-4.2 toolchains.

    Signed-off-by: Javier Martin <javier.martin@vista-silicon.com>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit e8f1546a88b4ade6a910c4a7958a774ee1b40023
Author: javier Martin <javier.martin@vista-silicon.com>
Date:	Thu Oct 29 08:18:34 2009 +0100

    mxc_fec: fix some erroneous PHY accesses.

    This patch fixes erroneous access to the ethernet PHY which broke the driver.
    1. Selector field in the auto-negotiation register must be 0x00001 for
    using 802.3, not 0x00000 which is reseved.
    2. Access to the PHY address specified by CONFIG_FEC_MXC_PHYADDR, not
    0x0 fixed address.

    This has been tested in i.MX27 Litekit board and eldk-4.2 toolchains.

    Now using proper defines for auto-negotiation register.

    Signed-off-by: Javier Martin <javier.martin@vista-silicon.com>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit f865fcbbb35851e75fee9c3a3fa8e0f71d9e6463
Author: Ron Lee <ron@debian.org>
Date:	Wed Aug 5 20:14:01 2009 +0200

    ARM Don't inline weak symbols

    ------------------------------------------------------------------------

    GCC 4.4 complains about this now.

    Signed-off-by: Ron Lee <ron@debian.org>

commit efe12bcec55c3d77b9ead56e62010d26b66781f3
Author: Stefan Roese <sr@denx.de>
Date:	Mon Nov 9 14:15:42 2009 +0100

    ppc4xx: Katmai: Add chip_config command

    This patch removes the Katmai "bootstrap" command and replaces it
    with the now common command "chip_config".

    Signed-off-by: Stefan Roese <sr@denx.de>

commit cdaed5dc31f4023610f180fe158ec8c6f5e855a3
Author: Stefan Roese <sr@denx.de>
Date:	Mon Nov 9 14:13:43 2009 +0100

    ppc4xx: Switch to I2C bus numer 0 for chip_config command

    All currently available 4xx derivats have the I2C bootstrap EEPROM
    located on I2C bus number 0. This patch now first sets this bus number,
    so that the chip_config command also works for board with multiple
    I2C busses, like Katmai.

    Signed-off-by: Stefan Roese <sr@denx.de>

commit 985edaccc4fbaef6d357d104aed08f839058a32f
Author: Matthias Fuchs <matthias.fuchs@esd.eu>
Date:	Tue Oct 27 12:19:11 2009 +0100

    ppc4xx: Add UBI support to PLU405 boards

    -add UBI support
    -increase malloc'able memory size
    -cleanup MONITOR|FLASH_BASE|LEN constants

    Signed-off-by: Matthias Fuchs <matthias.fuchs@esd.eu>
    Signed-off-by: Stefan Roese <sr@denx.de>

commit d14c7ec2b51fb92c4a5218b299b772c3d186510d
Author: Ben Warren <biggerbadderben@gmail.com>
Date:	Mon Nov 9 13:09:57 2009 -0800

    Fix SMC91111 regression: lpd7a40x build failures

    Both lpd7a400 and lpd7a404 failed to compile because they had
    CONFIG_SMC_USE_IOFUNCS defined:

    examples/standalone/smc91111_eeprom.c:388: undefined reference to `SMC_outw'

    Also removed an orphaned paren in lpd7a404.h

    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit 1031ae960ce6ce8332190278a06e2d72c2b2793e
Author: Ben Warren <biggerbadderben@gmail.com>
Date:	Mon Nov 9 14:01:08 2009 -0800

    SMC91111: Clean up SMC_inx macros on xsengine and xaeniax

    This patch fixes the following warnings:

    Configuring for xaeniax board...
    smc91111_eeprom.c: In function 'print_macaddr':
    smc91111_eeprom.c:278: warning: suggest parentheses around + or - in operand of &
    smc91111_eeprom.c:281: warning: suggest parentheses around + or - in operand of &
    ...
    Configuring for xsengine board...
    smc91111_eeprom.c: In function 'print_macaddr':
    smc91111_eeprom.c:278: warning: suggest parentheses around + or - inside shift
    smc91111_eeprom.c:281: warning: suggest parentheses around + or - inside shift

    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit 830c7b6722c6a9762411bf52a7bf2fae4dc71dab
Author: Ben Warren <biggerbadderben@gmail.com>
Date:	Mon Nov 9 11:43:18 2009 -0800

    Fix CS8900 regression on impa7 board

    The following error was seen on impa7 board, due to its use of a 32-bit bus
    on CS8900.
    cs8900.c:137:37: error: macro "get_reg_init_bus" passed 2 arguments, but takes just 1

    This patch gives the macro the correct number of arguments

    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit e5c5d9e0834bacf1c4787fa76cc4e369f2597cf5
Author: Mike Frysinger <vapier@gentoo.org>
Date:	Sun Nov 1 22:39:56 2009 -0500

    clarify eth driver halt/recv steps

    The dev->halt() func can be called at any time, and the dev->recv() func
    does not need to use NetRxPackets[] when calling NetReceive().

    Signed-off-by: Mike Frysinger <vapier@gentoo.org>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit 497ab0eec5e1e2dfccc141a4485cd6b940e1424a
Author: Hui.Tang <zetalabs@gmail.com>
Date:	Thu Nov 5 09:58:44 2009 +0800

    Fix cs8900 dev->priv not init issue

    Ensure all CS8900 data structures are assigned before accessing device

    Signed-off-by: Hui.Tang <zetalabs@gmail.com>
    Signed-off-by: Ben Warren <biggerbadderben@gmail.com>

commit 4fe5193d464ecdac26ddc71b1351be5b86bbff29
Author: Stefan Roese <sr@denx.de>
Date:	Tue Nov 3 14:34:45 2009 +0100

    ppc4xx: 44x_spd_ddr2.c: Fix register macro ECCCR -> ECCES (SDRAM_ECCES)

    This error only appears when DEBUG is enabled in this driver. That's why
    it went unnoticed till now.

    Signed-off-by: Stefan Roese <sr@denx.de>

commit 916ed9444d3ab7b5cd6312557005f2a764a8baf7
Author: Stefan Roese <sr@denx.de>
Date:	Thu Oct 29 18:37:45 2009 +0100

    ppc4xx: Canyonlands: Change EBC bus config to drive always (no high-z)

    This patch fixes a problem only seen very occasionally on Canyonlands.
    The NOR flash interface (CFI driver) doesn't work reliably in all cases.
    Erasing and/or programming sometimes doesn't work. Sometimes with
    an error message, like "flash not erased" when trying to program an
    area that should have just been erased. And sometimes without any error
    messages. As mentioned above, this problem was only seen rarely and with
    some PLL configuration (CPU speed, EBC speed).

    Now I spotted this problem a few times, when running my Canyonlands with
    the following setup (chip_config):

    1000-nor	     - NOR  CPU:1000 PLB: 200 OPB: 100 EBC: 100

    Changing the EBC configuration to not release the bus into high
    impedance state inbetween the transfers (ATC, DTC and CTC bits set to 1
    in EBC0_CFG) seems to fix this problem. I haven't seen any failure
    anymore with this patch applied.

    Signed-off-by: Stefan Roese <sr@denx.de>
    Cc: David Mitchell <dmitchell@amcc.com>
    Cc: Jeff Mann <MannJ@embeddedplanet.com>

commit 56f9b39d1f5d3c51e4b19792adb65bd93a8b6fcb
Author: Stefan Roese <sr@denx.de>
Date:	Mon Nov 9 13:01:19 2009 +0100

    ppc4xx: Fix NAND booting targets after 4xx linker script consolidation

    Somehow I missed the NAND booting targets in the 4xx linker script
    consolidation patchset. This patch fixes this issue.

    Signed-off-by: Stefan Roese <sr@denx.de>

commit 9a81c61249d8361ed57d81f496121f3eb9c0eee8
Author: Stefan Roese <sr@denx.de>
Date:	Thu Oct 29 16:54:52 2009 +0100

    ppc4xx: Remove duplicated is_pci_host() functions

    This patch introduces a weak default function for is_pci_host(),
    returning 1. This is the default behaviour, since most boards only
    implement PCI host functionality. This weak default can be overridden
    by a board specific version if needed.

    Signed-off-by: Stefan Roese <sr@denx.de>

commit b0b867462c569e7accd6f78c942cbab028116ecf
Author: Stefan Roese <sr@denx.de>
Date:	Thu Oct 29 15:04:35 2009 +0100

    ppc4xx: Consolidate 4xx PCIe board specific configuration

    This patch consolidates the PPC4xx board specific PCIe configuration
    code. This way the duplicated code is removed. Boards can implement a
    special, non standard behaviour (e.g. number of PCIe slots, etc) by
    overriding the weak default functions.

    Signed-off-by: Stefan Roese <sr@denx.de>

commit 25793f76bf9a7be59c9415ef0f78d034e8d53dae
Author: Remy Bohmer <linux@bohmer.net>
Date:	Thu Oct 29 12:29:37 2009 +0100

    ARM: Use Linux version for unaligned access code

    The asm-arm/unaligned.h includes linux/unaligned/access_ok.h
    This file is unsafe to be used on ARM, since it does an unaligned memory
    accesses which fails on ARM.

    Lookin at Linux the basic difference seems to be the header
    "include/asm-arm/unaligned.h". The Linux version of "unaligned.h"
    does *not* include "access_ok.h" at all. It includes "le_byteshift.h"
    and "be_byteshift.h" instead.

    Signed-off-by: Remy Bohmer <linux@bohmer.net>
    Signed-off-by: Stefan Roese <sr@denx.de>
    --
     include/asm-arm/unaligned.h	    |	 3 -
     include/linux/unaligned/be_byteshift.h |	70 +++++++++++++++++++++++++++++++++
     include/linux/unaligned/le_byteshift.h |	70 +++++++++++++++++++++++++++++++++
     3 files changed, 142 insertions(+), 1 deletion(-)
     create mode 100644 include/linux/unaligned/be_byteshift.h
     create mode 100644 include/linux/unaligned/le_byteshift.h

commit 6d6e7c53d5c75e5e24841c5506f4ed9d82adee09
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Wed Nov 4 18:02:10 2009 -0600

    ppc/85xx: Fix inclusion of 83xx immap in 85xx builds

    The nand_boot_fsl_elbc.c is shared between 83xx & 85xx however we should
    not be including the immap_83xx.h when building 85xx.  We can just get
    this all from common.h

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 107b579c75256212d4bf8b99ee8d68e0078f3646
Author: Becky Bruce <beckyb@kernel.crashing.org>
Date:	Wed Nov 4 17:34:04 2009 -0600

    86xx: Remove redundant code in initdram

    The same code exists both inside an #ifdef and outside of it.
    Remove the extra code for all the 86xx boards.

    Signed-off-by: Becky Bruce <beckyb@kernel.crashing.org>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 715d8f7608f77c93f1807a032644893fd5b6d08b
Author: Ed Swarthout <Ed.Swarthout@freescale.com>
Date:	Mon Nov 2 09:05:49 2009 -0600

    fsl_pci_init_port end-point initialization is broken

    commit 70ed869e broke fsl pcie end-point initialization.
    Returning 0 is not correct.  The function must return the first free
    bus number for the next controller.

    fsl_pci_init() must still be called and a bus allocated even if the
    controller is an end-point.

    Signed-off-by: Ed Swarthout <Ed.Swarthout@freescale.com>
    Acked-by: Vivek Mahajan <vivek.mahajan@freescale.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 01471d538fb163f472a769f21267d7676c91267c
Author: Kumar Gala <galak@kernel.crashing.org>
Date:	Wed Nov 4 01:29:04 2009 -0600

    Revert "ppc/85xx/pci: fsl_pci_init: pcie agent mode support"

    This reverts commit 70ed869ea5f6b1d13d7b140c83ec0dcd8a127ddc.

    There isn't any need to modify the API for fsl_pci_init_port to pass the
    status of host/agent(end-point) status.  We can determine that
    internally to fsl_pci_init_port.  Revert the patch that makes the API
    change.

    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit 2cd95a25cb0ee8218b271d23d64fb3f719ac5390
Author: Stefan Roese <sr@denx.de>
Date:	Tue Oct 27 16:20:05 2009 +0100

    ppc4xx: Remove board specific linker scripts from most PPC4xx boards

    All these linker scripts can be removed since the new common ppc4xx
    linker script should be able to handle all of those boards.

    Please test and report problems. Thanks.

    Signed-off-by: Stefan Roese <sr@denx.de>

commit 4649913ea5f440d756d150a6fdf2fb2e8ecb75fd
Author: Stefan Roese <sr@denx.de>
Date:	Tue Oct 27 16:11:26 2009 +0100

    ppc4xx: Add common ppc4xx linker script

    This linker script can be used by all PPC4xx platforms. It works for
    PPC405 and PPC440 platforms. Boards which need a board specific linker
    script can override this default linker script in board/*/config.mk.

    Signed-off-by: Stefan Roese <sr@denx.de>

commit b1245dd3c6409c743f6c2768d00e909a4c8cc4ea
Author: Stefan Roese <sr@denx.de>
Date:	Tue Oct 27 16:16:13 2009 +0100

    ppc4xx: Add custom linker script to board/*/config.mk

    These boards have special linker scripts right now. We can't use the
    common 4xx linker script here. So overrride the linker script (LDSCRIPT)
    in board/*/config.mk and choose the board specific version.

    Signed-off-by: Stefan Roese <sr@denx.de>

commit ceaa62a6f0237a8ddd2a5f659e6535fcd054332f
Author: Stefan Roese <sr@denx.de>
Date:	Tue Oct 27 15:57:24 2009 +0100

    ppc4xx: Fix problems in some ppc4xx board Makefiles

    Some 4xx Makefiles didn't add $(SOBJ) to their board library. This was
    no till now problem, since those boards included this object (init.o
    most of the time) directly from their linker scripts. This patch clean
    this up, so that all objects are now collected in the board library. This
    is in preparation for the upcoming PPC4xx linker script consolidation.

    Signed-off-by: Stefan Roese <sr@denx.de>

commit a0ff1f129a0e1a466e4f8568fce12b7b84578e4c
Author: Stefan Roese <sr@denx.de>
Date:	Tue Oct 27 11:20:53 2009 +0100

    ppc4xx: sc3: Remove unreferenced external declarations from sc3.h

    Signed-off-by: Stefan Roese <sr@denx.de>
    Acked-by: Heiko Schocher <hs@denx.de>

commit 7ec1fedda6ac551c67f2214ced94e4b49b6680e4
Author: Stefan Roese <sr@denx.de>
Date:	Tue Oct 27 11:46:23 2009 +0100

    mkconfig: Create board directory (CONFIG_BOARDDIR) in include/config.h

    This patch extends the mkconfig script to automatically create a define
    for the board directory in include/config.h:

    #define CONFIG_BOARDDIR board/amcc/canyonlands

    This is needed for the upcoming PPC4xx linker script consolidation,
    where the PPC440 platforms need to include a board specific file in
    the common linker script.

    Signed-off-by: Stefan Roese <sr@denx.de>

commit ff88229549e08fdd3f9127c1cc4db11a3576250f
Author: Dave Liu <daveliu@freescale.com>
Date:	Sat Oct 31 07:59:55 2009 +0800

    ppc/85xx: Fix misc L2 cache enabling bug

    We need loop-check the flash clear lock and enable bit for L2 cache.

    Signed-off-by: Dave Liu <daveliu@freescale.com>
    Signed-off-by: Kumar Gala <galak@kernel.crashing.org>

commit cd12f615e4dd1dd24caab93f4157894783c6c1c0
Author: Wolfgang Grandegger <wg@denx.de>
